2010-02-25  Leif Madsen <lmadsen@digium.com>

	* Release Asterisk 1.6.0.25

	* AST-2010-003: Invalid parsing of ACL rules can compromise security            

2010-02-18  Leif Madsen <lmadsen@digium.com>

        * Release Asterisk 1.6.0.24

        * AST-2010-002: This security release is intended to raise awareness
          of how it is possible to insert malicious strings into dialplans,
          and to advise developers to read the best practices documents so
          that they may easily avoid these dangers.

2010-02-18 Leif Madsen <lmadsen@digium.com>

	* Asterisk 1.6.0.23 intentionally skipped due to security release.
	  Changes in release candidates for this version will be available
	  in the next non-security release of Asterisk.

2010-02-02  Leif Madsen <lmadsen@digium.com>

	* Release Asterisk 1.6.0.22

	* AST-2010-001: An attacker attempting to negotiate T.38 over SIP can 
	  remotely crash Asterisk by modifying the FaxMaxDatagram field of 
	  the SDP to contain either a negative or exceptionally large value.
	  The same crash occurs when the FaxMaxDatagram field is omitted from 
	  the SDP as well.

2010-01-14  Leif Madsen <lmadsen@digium.com>

	* Release Asterisk 1.6.0.21

2010-01-08  Leif Madsen <lmadsen@digium.com>

	* Release Asterisk 1.6.0.21-rc1

2010-01-07 21:17 +0000 [r238494]  Tilghman Lesher <tlesher@digium.com>

	* channels/chan_oss.c, main/poll.c, channels/chan_usbradio.c,
	  include/asterisk/utils.h, /, channels/chan_sip.c,
	  channels/chan_alsa.c, channels/chan_console.c: Merged revisions
	  209400 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r209400 |
	  kpfleming | 2009-07-28 08:49:46 -0500 (Tue, 28 Jul 2009) | 3
	  lines Define side-effect-safe MIN and MAX macros and remove
	  duplicate definitions from various files. (closes issue #16251)
	  Reported by: asgaroth ........

2010-01-07 20:22 +0000 [r238364-238441]  David Vossel <dvossel@digium.com>

	* /, channels/chan_iax2.c: Merged revisions 238412 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r238412 | dvossel | 2010-01-07 14:15:27 -0600
	  (Thu, 07 Jan 2010) | 16 lines Merged revisions 238411 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r238411 | dvossel | 2010-01-07 14:14:25 -0600 (Thu, 07 Jan 2010)
	  | 10 lines fixes crash in "scheduled_destroy" in chan_iax A
	  signed short was used to represent a callnumber. This is makes it
	  possible to attempt to access the iaxs array with a negative
	  index. (closes issue #16565) Reported by: jensvb ........
	  ................

	* /, channels/chan_sip.c: Merged revisions 238405 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r238405 |
	  dvossel | 2010-01-07 14:00:31 -0600 (Thu, 07 Jan 2010) | 8 lines
	  Change in sip show channels display format allowing more digits
	  for CID (closes issue #16459) Reported by: Rzadzins Patches:
	  chan_sip_longer_cid.patch uploaded by Rzadzins (license 953)
	  ........

	* /, apps/app_queue.c: Merged revisions 238361 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r238361 |
	  dvossel | 2010-01-07 12:58:23 -0600 (Thu, 07 Jan 2010) | 8 lines
	  cli 'queue show' formatting fix. queue name was truncated over 12
	  characters (closes issue #16078) Reported by: RoadKill Patches:
	  quequename_limit.patch uploaded by ppyy (license 906) Tested by:
	  dvossel ........

2010-01-06 21:48 +0000 [r238232]  Tilghman Lesher <tlesher@digium.com>

	* /, funcs/func_cdr.c: Merged revisions 238231 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r238231 | tilghman | 2010-01-06 15:45:17 -0600 (Wed, 06 Jan 2010)
	  | 11 lines Merged revisions 238230 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r238230 | tilghman | 2010-01-06 15:41:55 -0600 (Wed, 06 Jan 2010)
	  | 4 lines Revise documentation on disposition values to the
	  actual values used. (closes issue #16289) Reported by: wdoekes
	  ........ ................

2010-01-06 20:38 +0000 [r238135-238182]  Jeff Peeler <jpeeler@digium.com>

	* /, apps/app_meetme.c: Merged revisions 238181 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r238181 |
	  jpeeler | 2010-01-06 14:37:18 -0600 (Wed, 06 Jan 2010) | 8 lines
	  Fix misreverting from 177158. (closes issue #15725) Reported by:
	  shanermn Patches: v1-15725.patch uploaded by dimas (license 88)
	  Tested by: shanermn ........

	* /, main/features.c: Merged revisions 238134 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r238134 |
	  jpeeler | 2010-01-06 13:05:06 -0600 (Wed, 06 Jan 2010) | 10 lines
	  Fix channel name comparison for bridge application. The channel
	  name comparison was not comparing the whole string and therefore
	  if one channel name was a substring of the other, the bridge
	  would fail. (closes issue #16528) Reported by: telecos82 Patches:
	  res_features_r236843.diff uploaded by telecos82 (license 687)
	  ........

2010-01-06 15:20 +0000 [r238011]  Russell Bryant <russell@digium.com>

	* /, apps/app_mp3.c: Merged revisions 238010 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r238010 | russell | 2010-01-06 09:19:10 -0600 (Wed, 06 Jan 2010)
	  | 14 lines Merged revisions 238009 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r238009 | russell | 2010-01-06 09:18:22 -0600 (Wed, 06 Jan 2010)
	  | 7 lines Resolve a crash due to an ast_frame not being fully
	  initialized. (closes issue #16531) Reported by: john8675309
	  (closes SWP-615) ........ ................

2010-01-06 06:51 +0000 [r237966]  Tilghman Lesher <tlesher@digium.com>

	* channels/chan_sip.c: Something clearly went wrong with a merge
	  somewhere, because these are all duplicates (and therefore dead
	  code).

2010-01-05 23:10 +0000 [r237843-237923]  David Vossel <dvossel@digium.com>

	* /, apps/app_queue.c: Merged revisions 237920 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r237920 |
	  dvossel | 2010-01-05 17:08:50 -0600 (Tue, 05 Jan 2010) | 16 lines
	  fixes holdtime playback issue in app_queue When reporting hold
	  time, the number of seconds should be mod 60. Otherwise audio
	  playback could be something like "2 minutes 123 seconds" rather
	  than "2 minutes 3 seconds". Also, the "minute" sound file is
	  missing, so for the moment until that file can be created the
	  "minutes" file is used instead. (closes issue #16168) Reported
	  by: nickilo Patches: patch-unified-trunk-rev-222176 uploaded by
	  nickilo (license ) Tested by: nickilo, wonderg ........

	* main/pbx.c, /: Merged revisions 237839 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r237839 |
	  dvossel | 2010-01-05 13:29:47 -0600 (Tue, 05 Jan 2010) | 19 lines
	  fixes subscriptions being lost after 'module reload' During a
	  module reload if multiple extension configs are present, such as
	  both extensions.conf and extensions.ael, watchers for one
	  config's hints will be lost during the merging of the other
	  config. This happens because hint watchers are only preserved for
	  the current config being merged. The old context list is
	  destroyed after the merging takes place, meaning any watchers
	  that were not perserved will be removed. Now all hints are
	  preserved during merging regardless of what config file is being
	  merged. These hints are only restored if they are present within
	  the new context list. (closes issue #16093) Reported by: jlaroff
	  ........

2010-01-05 17:19 +0000 [r237712]  Russell Bryant <russell@digium.com>

	* /, main/utils.c: Merged revisions 237699 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r237699 | russell | 2010-01-05 11:16:01 -0600 (Tue, 05 Jan 2010)
	  | 14 lines Merged revisions 237697 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r237697 | russell | 2010-01-05 11:13:28 -0600 (Tue, 05 Jan 2010)
	  | 7 lines Change a NOTICE log message to DEBUG where it belongs.
	  (closes issue #16479) Reported by: alexrecarey (closes SWP-577)
	  ........ ................

2010-01-04 21:51 +0000 [r237407-237575]  Tilghman Lesher <tlesher@digium.com>

	* /, main/say.c: Merged revisions 237574 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r237574 | tilghman | 2010-01-04 15:48:20 -0600 (Mon, 04 Jan 2010)
	  | 13 lines Merged revisions 237573 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r237573 | tilghman | 2010-01-04 15:45:46 -0600 (Mon, 04 Jan 2010)
	  | 6 lines Bounds checking for input string (closes issue #16407)
	  Reported by: qwell Patches: 20100104__issue16407.diff.txt
	  uploaded by tilghman (license 14) ........ ................

	* main/pbx.c, /: Merged revisions 237494 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r237494 | tilghman | 2010-01-04 14:59:01 -0600 (Mon, 04 Jan 2010)
	  | 15 lines Merged revisions 237493 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r237493 | tilghman | 2010-01-04 14:57:35 -0600 (Mon, 04 Jan 2010)
	  | 8 lines Regression in issue #15421 - Pattern matching (closes
	  issue #16482) Reported by: wdoekes Patches:
	  astsvn-16482-betterfix.diff uploaded by wdoekes (license 717)
	  20091223__issue16482.diff.txt uploaded by tilghman (license 14)
	  Tested by: wdoekes, tilghman ........ ................

	* main/config.c, /: Merged revisions 237414 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r237414 |
	  tilghman | 2010-01-04 13:03:20 -0600 (Mon, 04 Jan 2010) | 2 lines
	  Oops, didn't compile (thanks, kpfleming) ........

	* main/config.c, /: Merged revisions 237410 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r237410 |
	  tilghman | 2010-01-04 12:42:10 -0600 (Mon, 04 Jan 2010) | 7 lines
	  Further reduce the encoded blank values back to blank in the
	  realtime API. (closes issue #16533) Reported by: sergee Patches:
	  200100104__issue16533.diff.txt uploaded by tilghman (license 14)
	  Tested by: sergee ........

	* main/pbx.c, /, res/res_agi.c, include/asterisk/channel.h: Merged
	  revisions 237406 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r237406 | tilghman | 2010-01-04 12:28:28 -0600 (Mon, 04 Jan 2010)
	  | 23 lines Merged revisions 237405 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r237405 | tilghman | 2010-01-04 12:19:00 -0600 (Mon, 04 Jan 2010)
	  | 16 lines Add a flag to disable the Background behavior, for AGI
	  users. This is in a section of code that relates to two other
	  issues, namely issue #14011 and issue #14940), one of which was
	  the behavior of Background when called with a context argument
	  that matched the current context. This fix broke FreePBX,
	  however, in a post-Dial situation. Needless to say, this is an
	  extremely difficult collision of several different issues. While
	  the use of an exception flag is ugly, fixing all of the issues
	  linked is rather difficult (although if someone would like to
	  propose a better solution, we're happy to entertain that
	  suggestion). (closes issue #16434) Reported by: rickead2000
	  Patches: 20091217__issue16434.diff.txt uploaded by tilghman
	  (license 14) 20091222__issue16434__1.6.1.diff.txt uploaded by
	  tilghman (license 14) Tested by: rickead2000 ........
	  ................

2010-01-04 16:26 +0000 [r237324]  Jeff Peeler <jpeeler@digium.com>

	* /, res/res_agi.c: Merged revisions 237323 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r237323 |
	  jpeeler | 2010-01-04 10:24:51 -0600 (Mon, 04 Jan 2010) | 5 lines
	  Fix timeout for AGI command speech recognize. (closes issue
	  #16297) Reported by: semond ........

2010-01-04 16:21 +0000 [r237320]  Tilghman Lesher <tlesher@digium.com>

	* channels/chan_local.c, /: Merged revisions 237319 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r237319 | tilghman | 2010-01-04 10:20:03 -0600
	  (Mon, 04 Jan 2010) | 10 lines Merged revisions 237318 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r237318 | tilghman | 2010-01-04 10:18:59 -0600 (Mon, 04 Jan 2010)
	  | 3 lines It's also possible for the Local channel to directly
	  execute an Application. Reviewboard:
	  https://reviewboard.asterisk.org/r/452/ ........ ................

2010-01-02 09:56 +0000 [r237137]  Olle Johansson <oej@edvina.net>

	* /, channels/chan_sip.c: Merged revisions 237136 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r237136 | oej | 2010-01-02 10:54:22 +0100 (Lör, 02 Jan 2010) | 10
	  lines Merged revisions 237135 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r237135 | oej | 2010-01-02 10:52:30 +0100 (Lör, 02 Jan 2010) | 2
	  lines Release memory of the contact acl before unloading module
	  ........ ................

2009-12-30 22:00 +0000 [r236983]  Tilghman Lesher <tlesher@digium.com>

	* channels/chan_local.c, /: Merged revisions 236982 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r236982 | tilghman | 2009-12-30 15:59:18 -0600
	  (Wed, 30 Dec 2009) | 16 lines Merged revisions 236981 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r236981 | tilghman | 2009-12-30 15:57:10 -0600 (Wed, 30 Dec 2009)
	  | 9 lines Don't queue frames to channels that have no means to
	  process them. (closes issue #15609) Reported by: aragon Patches:
	  20091230__issue16521__1.4__chan_local_only.diff.txt uploaded by
	  tilghman (license 14) Tested by: aragon Review:
	  https://reviewboard.asterisk.org/r/452/ ........ ................

2009-12-30 21:12 +0000 [r236903]  Jeff Peeler <jpeeler@digium.com>

	* /, utils/ael_main.c: Merged revisions 236902 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r236902 |
	  jpeeler | 2009-12-30 15:09:28 -0600 (Wed, 30 Dec 2009) | 2 lines
	  One more LOW_MEMORY compile fix. ........

2009-12-30 17:55 +0000 [r236805-236849]  Tilghman Lesher <tlesher@digium.com>

	* /, cdr/cdr_adaptive_odbc.c: Merged revisions 236847 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk ........
	  r236847 | tilghman | 2009-12-30 11:53:29 -0600 (Wed, 30 Dec 2009)
	  | 4 lines When the field is blank, don't warn about the field
	  being unable to be coerced, just skip the column. (closes
	  http://lists.digium.com/pipermail/asterisk-dev/2009-December/041362.html)
	  Reported by Nic Colledge on the -dev list, fixed by me. ........

	* /, channels/chan_sip.c: Merged revisions 236802 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r236802 |
	  tilghman | 2009-12-29 17:05:45 -0600 (Tue, 29 Dec 2009) | 7 lines
	  Shut down the SIP session timers more gracefully, in order to
	  prevent a possible crash. (closes issue #16452) Reported by:
	  corruptor Patches: 20091221__issue16452.diff.txt uploaded by
	  tilghman (license 14) Tested by: corruptor ........

2009-12-28 22:10 +0000 [r236714]  Jason Parker <jparker@digium.com>

	* main/ast_expr2.c, /, main/ast_expr2.y: Merged revisions 236713
	  via svnmerge from https://origsvn.digium.com/svn/asterisk/trunk
	  ........ r236713 | qwell | 2009-12-28 16:09:40 -0600 (Mon, 28 Dec
	  2009) | 8 lines Allow "REMAINDER" to function properly in
	  expressions. (closes issue #16427) Reported by: wdoekes Patches:
	  ast16-reminder-remainder.patch uploaded by wdoekes (license 717)
	  Tested by: wdoekes ........

2009-12-28 17:39 +0000 [r236668]  Tilghman Lesher <tlesher@digium.com>

	* apps/app_voicemail.c, /: Merged revisions 236667 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk ........
	  r236667 | tilghman | 2009-12-28 11:37:46 -0600 (Mon, 28 Dec 2009)
	  | 4 lines Use recommended option, not deprecated option. (closes
	  issue #16515) Reported by: ManChicken ........

2009-12-28 15:31 +0000 [r236511-236633]  Sean Bright <sean@malleable.com>

	* include/asterisk/threadstorage.h, /, configure,
	  include/asterisk/autoconfig.h.in, configure.ac: Merged revisions
	  236613 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r236613 | seanbright | 2009-12-28 10:22:54 -0500 (Mon, 28 Dec
	  2009) | 14 lines Merged revisions 236585 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r236585 | seanbright | 2009-12-28 10:12:08 -0500 (Mon, 28 Dec
	  2009) | 7 lines Try a test compile to see if PTHREAD_ONCE_INIT
	  requires extra braces. There was conditional code (based on build
	  platform) to optioinally wrap PTHREAD_ONCE_INIT in braces that
	  was removed since it is fixed in newer versions of
	  Solaris/OpenSolaris, but I am still running into it on Solaris 10
	  x86 so add a configure-time check for it. ........
	  ................

	* /, apps/app_meetme.c: Merged revisions 236510 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r236510 | seanbright | 2009-12-28 07:44:58 -0500 (Mon, 28 Dec
	  2009) | 19 lines Merged revisions 236509 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r236509 | seanbright | 2009-12-28 07:43:36 -0500 (Mon, 28 Dec
	  2009) | 12 lines Avoid a crash with large numbers of MeetMe
	  conferences. Similar to changes made to Queue(), when we have
	  large numbers of conferences in meetme.conf (1000s) and we use
	  alloca()/strdupa(), we can blow out the stack and crash, so
	  instead just use a single fixed buffer. (closes issue #16509)
	  Reported by: Kashif Raza Patches: 20091223_16509.patch uploaded
	  by seanbright (license 71) Tested by: seanbright ........
	  ................

2009-12-27 18:22 +0000 [r236435]  Tilghman Lesher <tlesher@digium.com>

	* contrib/init.d/rc.debian.asterisk, /: Merged revisions 236434 via
	  svnmerge from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r236434 | tilghman | 2009-12-27 12:20:53 -0600
	  (Sun, 27 Dec 2009) | 9 lines Merged revisions 236433 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/branches/1.4
	  ........ r236433 | tilghman | 2009-12-27 12:19:38 -0600 (Sun, 27
	  Dec 2009) | 2 lines Turn on colors in the daemon, since there's
	  many requests for it on Ubuntu. ........ ................

2009-12-26 15:29 +0000 [r236359]  Kevin P. Fleming <kpfleming@digium.com>

	* /, sounds/Makefile: Merged revisions 236358 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r236358 | kpfleming | 2009-12-26 09:27:44 -0600 (Sat, 26 Dec
	  2009) | 9 lines Merged revisions 236357 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r236357 | kpfleming | 2009-12-26 09:26:17 -0600 (Sat, 26 Dec
	  2009) | 1 line update to latest releases with zero uid/gid
	  ........ ................

2009-12-23 18:26 +0000 [r236187-236301]  Tilghman Lesher <tlesher@digium.com>

	* apps/app_stack.c, /: Merged revisions 236300 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r236300 |
	  tilghman | 2009-12-23 12:25:27 -0600 (Wed, 23 Dec 2009) | 7 lines
	  AGI may be invoked from outside the dialplan (closes issue
	  #16510) Reported by: atis Patches: 20091223__issue16510.diff.txt
	  uploaded by tilghman (license 14) Tested by: atis ........

	* /, res/res_agi.c: Merged revisions 236186 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r236186 | tilghman | 2009-12-22 21:07:48 -0600 (Tue, 22 Dec 2009)
	  | 11 lines Merged revisions 236184 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r236184 | tilghman | 2009-12-22 20:55:24 -0600 (Tue, 22 Dec 2009)
	  | 4 lines If EXEC only gets a single argument, don't crash when
	  the second is used. (closes issue #16504) Reported by: bklang
	  ........ ................

2009-12-22 17:10 +0000 [r236066]  David Vossel <dvossel@digium.com>

	* /, channels/chan_sip.c: Merged revisions 236063 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r236063 | dvossel | 2009-12-22 11:00:08 -0600 (Tue, 22 Dec 2009)
	  | 18 lines Merged revisions 236062 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r236062 | dvossel | 2009-12-22 10:58:19 -0600 (Tue, 22 Dec 2009)
	  | 11 lines fixes issue with p->method incorrectly set to ACK It
	  is possible for a second ACK to come in for a retransmitted
	  message. If an ack does not match an unacked message in our
	  queue, restore the previous p->method as this ACK is completely
	  ignored. (closes issue #16295) Reported by: omolenkamp Patches:
	  issue16295_v2.diff uploaded by dvossel (license 671) ........
	  ................

2009-12-21 19:54 +0000 [r235942]  Jeff Peeler <jpeeler@digium.com>

	* res/res_monitor.c, /: Merged revisions 235941 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r235941 | jpeeler | 2009-12-21 13:54:20 -0600 (Mon, 21 Dec 2009)
	  | 20 lines Merged revisions 235940 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r235940 | jpeeler | 2009-12-21 13:43:41 -0600 (Mon, 21 Dec 2009)
	  | 13 lines Change Monitor to not assume file to write to does not
	  contain pathing. 227944 changed the fname_base argument to always
	  append the configured monitor path. This change was necessary to
	  properly compare files for uniqueness. If a full path is given
	  though, nothing needs to be appended and that is handled
	  correctly now. (closes issue #16377) (closes issue #16376)
	  Reported by: bcnit Patches: res_monitor.c-issue16376-1.patch
	  uploaded by dant (license 670) ........ ................

2009-12-21 17:11 +0000 [r235824]  Tilghman Lesher <tlesher@digium.com>

	* /, main/features.c: Merged revisions 235822 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r235822 | tilghman | 2009-12-21 11:00:46 -0600 (Mon, 21 Dec 2009)
	  | 15 lines Merged revisions 235821 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r235821 | tilghman | 2009-12-21 10:45:03 -0600 (Mon, 21 Dec 2009)
	  | 8 lines Send parking lot announcement to the channel which
	  parked the call, not the park-ee. (closes issue #16234) Reported
	  by: yeshuawatso Patches: 20091210__issue16234.diff.txt uploaded
	  by tilghman (license 14) 20091221__issue16234__1.4.diff.txt
	  uploaded by tilghman (license 14) Tested by: yeshuawatso ........
	  ................

2009-12-18 22:58 +0000 [r235662]  Jeff Peeler <jpeeler@digium.com>

	* main/channel.c, /, include/asterisk/cdr.h: Merged revisions
	  235660 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r235660 | jpeeler | 2009-12-18 16:51:37 -0600 (Fri, 18 Dec 2009)
	  | 55 lines Merged revisions 235635 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r235635 | jpeeler | 2009-12-18 16:29:51 -0600 (Fri, 18 Dec 2009)
	  | 48 lines Correct CDR dispositions for BUSY/FAILED This patch is
	  simple in that it reorders the disposition defines so that the
	  fix for issue 12946 works properly (the default CDR disposition
	  was changed to AST_CDR_NOANSWER). Also, the
	  AST_CDR_FLAG_ORIGINATED flag was set in ast_call to ensure all
	  CDR records are written. The side effects of CDR changes are
	  scary, so I'm documenting the test cases performed to attempt to
	  catch any regressions. The following tests were all performed
	  using 1.4 rev 195881 vs head (235571) + patch: A calls B C calls
	  B (busy) Hangup C Hangup A (Both SIP and features) A calls B A
	  blind transfers to C Hangup C (Both SIP and features) A calls B A
	  attended transfers to C Hangup C A calls B A attended transfers
	  to C (SIP) C blind transfers to A (features) Hangup A All of the
	  test scenario CDRs matched. The following tests were performed
	  just with the patch to ensure proper operation (with
	  unanswered=yes): exten =>s,1,Answer exten =>s,n,ResetCDR(w) exten
	  =>s,n,ResetCDR(w) exten =>s,1,ResetCDR(w) exten =>s,n,ResetCDR(w)
	  (closes issue #16180) Reported by: aatef Patches: bug16180.patch
	  uploaded by jpeeler (license 325) ........ ................

2009-12-18 22:42 +0000 [r235574-235657]  Tilghman Lesher <tlesher@digium.com>

	* /, configure, configure.ac: Merged revisions 235656 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r235656 | tilghman | 2009-12-18 16:40:46 -0600
	  (Fri, 18 Dec 2009) | 9 lines Merged revisions 235652 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/branches/1.4
	  ........ r235652 | tilghman | 2009-12-18 16:39:30 -0600 (Fri, 18
	  Dec 2009) | 2 lines Revise verbiage, per #asterisk-dev discussion
	  ........ ................

	* /, configure, include/asterisk/autoconfig.h.in, configure.ac:
	  Merged revisions 235573 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r235573 | tilghman | 2009-12-18 15:19:43 -0600 (Fri, 18 Dec 2009)
	  | 9 lines Merged revisions 235572 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r235572 | tilghman | 2009-12-18 15:18:16 -0600 (Fri, 18 Dec 2009)
	  | 2 lines Point to the typical missing package, not the cryptic
	  "termcap support". ........ ................

2009-12-17  Leif Madsen <lmadsen@digium.com>

	* Release Asterisk 1.6.0.20

2009-12-09  Leif Madsen <lmadsen@digium.com>

	* Release Asterisk 1.6.0.20-rc1

2009-12-09 20:00 +0000 [r233841-233881]  Russell Bryant <russell@digium.com>

	* main/loader.c, /: Fix breakage of the "module load <module>" CLI
	  command.

	* main/loader.c, formats/format_ilbc.c, formats/format_vox.c,
	  include/asterisk/module.h, formats/format_pcm.c,
	  formats/format_h263.c, formats/format_g723.c,
	  formats/format_h264.c, formats/format_jpeg.c,
	  formats/format_g726.c, formats/format_gsm.c,
	  formats/format_g729.c, main/editline/makelist.in,
	  formats/format_sln.c, formats/format_wav.c,
	  formats/format_ogg_vorbis.c, UPGRADE.txt, UPGRADE-1.6.txt,
	  formats/format_wav_gsm.c, formats/format_sln16.c: Set a module
	  load priority for format modules. A recent change to
	  app_voicemail made it such that the module now assumes that all
	  format modules are available while processing voicemail
	  configuration. However, when autoloading modules, it was possible
	  that app_voicemail was loaded before the format modules. Since
	  format modules don't depend on anything, set a module load
	  priority on them to ensure that they get loaded first when
	  autoloading. This version of the patch is specific to Asterisk
	  1.4 and 1.6.0. These versions did not already support module load
	  priority in the module API. This adds a trivial version of this
	  which is just a module flag to include it in a pass before
	  loading "everything". Thanks to mmichelson for the review!
	  (closes issue #16412) Reported by: jiddings Tested by: russell
	  Review: https://reviewboard.asterisk.org/r/445/

2009-12-08 18:28 +0000 [r233729]  Tilghman Lesher <tlesher@digium.com>

	* /, res/res_musiconhold.c: Merged revisions 233718 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk ........
	  r233718 | tilghman | 2009-12-08 12:22:44 -0600 (Tue, 08 Dec 2009)
	  | 8 lines Find another ref leak and change how we manage module
	  references. (closes issue #16388) Reported by: parisioa Patches:
	  20091208__issue16388.diff.txt uploaded by tilghman (license 14)
	  Tested by: parisioa, tilghman Review:
	  https://reviewboard.asterisk.org/r/442/ ........

2009-12-07 23:57 +0000 [r233617]  Atis Lezdins <atis@iq-labs.net>

	* contrib/valgrind.supp, /: Merged revisions 233577 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk ........
	  r233577 | atis | 2009-12-08 01:10:13 +0200 (Tue, 08 Dec 2009) | 8
	  lines Fix compatibility with valgrind 3.3 and older. (noticed in
	  issue #16388) Reported by: parisioa Patches: valgrind.supp
	  uloaded by atis (license 242) Tested by: atis, parisioa ........

2009-12-07 23:30 +0000 [r233475-233614]  David Vossel <dvossel@digium.com>

	* /, main/utils.c: Merged revisions 233611 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r233611 |
	  dvossel | 2009-12-07 17:28:51 -0600 (Mon, 07 Dec 2009) | 4 lines
	  fixes incorrect logic in ast_uri_encode issue #16299 ........

	* /, channels/chan_sip.c: Merged revisions 233472 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r233472 | dvossel | 2009-12-07 12:08:46 -0600 (Mon, 07 Dec 2009)
	  | 15 lines Merged revisions 233471 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r233471 | dvossel | 2009-12-07 12:07:38 -0600 (Mon, 07 Dec 2009)
	  | 9 lines fixes missing Contact header angle brackets (closes
	  issue #16298) Reported by: mgernoth Patches:
	  reg_parse_issue_1.4.diff uploaded by dvossel (license 671) Tested
	  by: dvossel ........ ................

2009-12-07 16:16 +0000 [r233397]  Matthew Nicholson <mnicholson@digium.com>

	* /, channels/chan_sip.c: Merged revisions 233394 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r233394 |
	  mnicholson | 2009-12-07 10:14:42 -0600 (Mon, 07 Dec 2009) | 8
	  lines Do not reject SDP packets describing only non audio
	  streams. (closes issue #16387) Reported by: zalex1953 Patches:
	  media-level-c-fix1.diff uploaded by mnicholson (license 96)
	  Tested by: mnicholson, zalex1953 ........

2009-12-04 21:56 +0000 [r233284]  David Vossel <dvossel@digium.com>

	* configs/iax.conf.sample, /: Merged revisions 233280 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r233280 | dvossel | 2009-12-04 15:54:44 -0600
	  (Fri, 04 Dec 2009) | 14 lines Merged revisions 233279 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r233279 | dvossel | 2009-12-04 15:54:01 -0600 (Fri, 04 Dec 2009)
	  | 7 lines clarify requirecalltoken option in iax.sample.conf
	  (closes issue #16223) Reported by: bklang Patches:
	  clarify-iax-requirecalltoken.patch uploaded by bklang (license
	  919) ........ ................

2009-12-04 20:29 +0000 [r233236]  Matthias Nick <mnick@digium.com>

	* /, pbx/pbx_config.c: Merged revisions 233093 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r233093 |
	  mnick | 2009-12-04 11:15:47 -0600 (Fri, 04 Dec 2009) | 8 lines
	  Parse global variables or expressions in hint extensions Parse
	  global variables or expressions in hint extensions. Like: exten
	  => 400,hint,DAHDI/i2/${GLOBAL(var)} (closes issue #16166)
	  Reported by: rmudgett Tested by: mnick, rmudgett ........

2009-12-04 20:11 +0000 [r233230]  Russell Bryant <russell@digium.com>

	* /: unblock a rev.

2009-12-04 17:39 +0000 [r233167]  David Vossel <dvossel@digium.com>

	* apps/app_voicemail.c, /: Merged revisions 233121 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r233121 | dvossel | 2009-12-04 11:22:31 -0600
	  (Fri, 04 Dec 2009) | 12 lines Merged revisions 233116 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r233116 | dvossel | 2009-12-04 11:21:34 -0600 (Fri, 04 Dec 2009)
	  | 6 lines document and rename strip_control() in app_voicemail
	  (closes issue #16291) Reported by: wdoekes ........
	  ................

2009-12-04 17:20 +0000 [r233112]  Russell Bryant <russell@digium.com>

	* main/channel.c, /: Merged revisions 233100 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r233100 | russell | 2009-12-04 11:18:22 -0600 (Fri, 04 Dec 2009)
	  | 14 lines Merged revisions 233092 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r233092 | russell | 2009-12-04 11:12:47 -0600 (Fri, 04 Dec 2009)
	  | 7 lines Only do frame payload check for HOLD frames. This code
	  was added for helping to debug the source of invalid HOLD frames.
	  However, a side effect of this is that it will incorrectly report
	  errors for frames that have an integer payload. Make the check
	  for this block specific to the HOLD frame case. ........
	  ................

2009-12-04 15:46 +0000 [r233047]  Matthias Nick <mnick@digium.com>

	* main/dsp.c, /: Merged revisions 233046 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r233046 | mnick | 2009-12-04 09:38:33 -0600 (Fri, 04 Dec 2009) |
	  17 lines Merged revisions 233014 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r233014 | mnick | 2009-12-04 09:17:03 -0600 (Fri, 04 Dec 2009) |
	  11 lines Warning message gets displayed only once Added
	  additional field 'int display_inband_dtmf_warning', which when
	  set to '1' displays the warning ('Inband DTMF is not supported on
	  codec %s. Use RFC2833'), and when set to '0' doesn't display the
	  warning. Otherwise you would get hundreds of warnings every
	  second. (closes issue #15769) Reported by: falves11 Patches:
	  patch_15769_14.txt uploaded by mnick (license 874) Tested by:
	  mnick, falves11 ........ ................

2009-12-03 21:03 +0000 [r232864]  Tilghman Lesher <tlesher@digium.com>

	* apps/app_voicemail.c, /: Merged revisions 232854 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r232854 | tilghman | 2009-12-03 14:47:07 -0600
	  (Thu, 03 Dec 2009) | 15 lines Merged revisions 232820 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r232820 | tilghman | 2009-12-03 14:10:19 -0600 (Thu, 03 Dec 2009)
	  | 8 lines Deprecate "cz" in favor of "cs". Also, change the use
	  of language codes so that language registers as a prefix, rather
	  than an exact match. (closes issue #16272) Reported by: patrol-cz
	  Patches: 20091203__issue16272.diff.txt uploaded by tilghman
	  (license 14) ........ ................

2009-12-03 14:47 +0000 [r232811]  David Ruggles <thedavidfactor@gmail.com>

	* apps/app_externalivr.c: Merged revisions 232587 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r232587 |
	  diruggles | 2009-12-02 17:17:22 -0500 (Wed, 02 Dec 2009) | 12
	  lines Prevent double closing of FDs by EIVR This caused a problem
	  when asterisk was under heavy load and running both AGI and EIVR
	  applications. EIVR would close an FD at which point it would be
	  considered freed and be used by a new AGI instance the second
	  close would then close the FD now in use by AGI. (closes issue
	  #16305) Reported by: diLLec Tested by: thedavidfactor, diLLec
	  Review: https://reviewboard.asterisk.org/r/436/ ........

2009-12-03 00:32 +0000 [r232699]  Tilghman Lesher <tlesher@digium.com>

	* /, res/res_musiconhold.c: Merged revisions 232660-232661 via
	  svnmerge from https://origsvn.digium.com/svn/asterisk/trunk
	  ........ r232660 | tilghman | 2009-12-02 18:08:55 -0600 (Wed, 02
	  Dec 2009) | 19 lines Fix multiple issues with musiconhold, which
	  led to classes not getting destroyed properly. * Classes are now
	  tracked past removal from the core container, and module removal
	  is actively prevented until all references are freed. * A hanging
	  reference stored in the channel has been removed. This could have
	  caused a mismatch and the music state not properly cleared, if
	  two or more reloads occurred between MOH being stopped and MOH
	  being restarted. * In certain circumstances, duplicate classes
	  were possible. * A race existed at reload time between a process
	  being killed and the thread responsible for reading from the
	  related pipe respawning that process. * Several reference counts
	  have also been corrected. At least one could have caused deleted
	  classes to stick around forever, consuming resources. This
	  originally manifested as MOH external processes that were not
	  killed at reload time. (closes issue #16279, closes issue #16207)
	  Reported by: parisioa, dcabot Patches:
	  20091202__issue16279__2.diff.txt uploaded by tilghman (license
	  14) Tested by: parisioa, tilghman ........ r232661 | tilghman |
	  2009-12-02 18:09:36 -0600 (Wed, 02 Dec 2009) | 2 lines Remove
	  debugging line ........

2009-12-02 22:03 +0000 [r232577-232583]  Jeff Peeler <jpeeler@digium.com>

	* main/manager.c, /: Merged revisions 232582 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r232582 | jpeeler | 2009-12-02 16:02:43 -0600 (Wed, 02 Dec 2009)
	  | 14 lines Merged revisions 232581 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r232581 | jpeeler | 2009-12-02 15:57:42 -0600 (Wed, 02 Dec 2009)
	  | 7 lines Send ack (response/message) after receiving manager
	  action userevent (closes issue #16264) Reported by: dimas
	  Patches: event-ack.patch uploaded by dimas (license 88) ........
	  ................

	* main/manager.c, /: Merged revisions 232576 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r232576 |
	  jpeeler | 2009-12-02 15:32:50 -0600 (Wed, 02 Dec 2009) | 8 lines
	  Make manager response to "Action: events" finish with empty line
	  (closes issue #16275) Reported by: vnovy Patches: manager.c.diff
	  uploaded by vnovy (license 922) ........

2009-12-02 17:08 +0000 [r232357]  Joshua Colp <jcolp@digium.com>

	* /, apps/app_amd.c: Merged revisions 232356 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r232356 | file | 2009-12-02 13:06:54 -0400 (Wed, 02 Dec 2009) |
	  12 lines Merged revisions 232355 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r232355 | file | 2009-12-02 13:04:52 -0400 (Wed, 02 Dec 2009) | 5
	  lines Fix a bug where if you hung up very quickly after calling
	  AMD it would overwrite the AMDSTATUS of HANGUP with TOOLONG.
	  (closes issue #16239) Reported by: CGMChris ........
	  ................

2009-12-02 17:03 +0000 [r232354]  David Vossel <dvossel@digium.com>

	* /, main/acl.c: Merged revisions 232351 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r232351 | dvossel | 2009-12-02 11:00:15 -0600 (Wed, 02 Dec 2009)
	  | 12 lines Merged revisions 232350 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r232350 | dvossel | 2009-12-02 10:59:18 -0600 (Wed, 02 Dec 2009)
	  | 6 lines ast_outaddrfor doesn't do htons() on port, looks odd in
	  strace. (closes issue #16290) Reported by: wdoekes ........
	  ................

2009-12-02 16:41 +0000 [r232346]  Joshua Colp <jcolp@digium.com>

	* /, channels/chan_sip.c: Merged revisions 232345 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r232345 |
	  file | 2009-12-02 12:40:14 -0400 (Wed, 02 Dec 2009) | 7 lines Add
	  support for handling the 415 Unsupported media type response like
	  we do for a 488 Not acceptable here response. (closes issue
	  #16186) Reported by: atis Patches: sip_t38_response_415.patch
	  uploaded by atis (license 242) ........

2009-12-02 15:45 +0000 [r232272]  David Vossel <dvossel@digium.com>

	* funcs/func_groupcount.c, /: Merged revisions 232269 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r232269 | dvossel | 2009-12-02 09:42:54 -0600
	  (Wed, 02 Dec 2009) | 15 lines Merged revisions 232268 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r232268 | dvossel | 2009-12-02 09:41:36 -0600 (Wed, 02 Dec 2009)
	  | 9 lines fixes segfault in func_groupcount closes issue #16337)
	  Reported by: Parantido Patches: issue_16337.diff uploaded by
	  dvossel (license 671) Tested by: Parantido, dvossel ........
	  ................

2009-12-02 00:49 +0000 [r232092]  Jeff Peeler <jpeeler@digium.com>

	* channels/chan_dahdi.c, /: Merged revisions 232091 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r232091 | jpeeler | 2009-12-01 18:45:18 -0600
	  (Tue, 01 Dec 2009) | 17 lines Merged revisions 232090 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r232090 | jpeeler | 2009-12-01 18:42:58 -0600 (Tue, 01 Dec 2009)
	  | 10 lines Do not modify the gain settings on data calls. (The
	  digital flag actually represents a data call.) (closes issue
	  #15972) Reported by: udosw Patches: transcap_digital_fix.diff.txt
	  uploaded by alecdavis (license 585) Tested by: alecdavis ........
	  ................

2009-12-01 23:39 +0000 [r232009-232013]  Russell Bryant <russell@digium.com>

	* /, funcs/func_lock.c: Merged revisions 232012 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r232012 |
	  russell | 2009-12-01 17:38:34 -0600 (Tue, 01 Dec 2009) | 2 lines
	  Fix a build error on FreeBSD. ........

	* /, main/file.c: Merged revisions 232008 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r232008 | russell | 2009-12-01 17:27:53 -0600 (Tue, 01 Dec 2009)
	  | 9 lines Merged revisions 232007 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r232007 | russell | 2009-12-01 17:25:36 -0600 (Tue, 01 Dec 2009)
	  | 2 lines Fix a warning pointed out by buildbot. ........
	  ................

2009-12-01 21:57 +0000 [r231928]  Jeff Peeler <jpeeler@digium.com>

	* main/channel.c, /: Merged revisions 231927 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r231927 | jpeeler | 2009-12-01 15:54:21 -0600 (Tue, 01 Dec 2009)
	  | 19 lines Merged revisions 231911 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r231911 | jpeeler | 2009-12-01 15:29:31 -0600 (Tue, 01 Dec 2009)
	  | 12 lines Fix crash with invalid frame data The crash was
	  happening as a result of a frame containing an invalid data
	  pointer, but was set with data length of zero. The few times the
	  issue was reproduced it _seemed_ that the frame was queued
	  properly, that is the data pointer was set to NULL. I never could
	  reproduce the crash so as a last resort the crash has been fixed,
	  but a check in __ast_read has been added to give as much
	  information about the source of problematic frames in the future.
	  (closes issue #16058) Reported by: atis ........ ................

2009-12-01 21:22 +0000 [r231879]  David Vossel <dvossel@digium.com>

	* main/pbx.c, /: Merged revisions 231867 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r231867 | dvossel | 2009-12-01 15:20:19 -0600 (Tue, 01 Dec 2009)
	  | 9 lines Merged revisions 231853 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r231853 | dvossel | 2009-12-01 15:14:31 -0600 (Tue, 01 Dec 2009)
	  | 3 lines WaitExten m option with no parameters generates frame
	  with zero datalen but non-null data ptr ........ ................

2009-12-01 15:51 +0000 [r231744]  Matthew Nicholson <mnicholson@digium.com>

	* /, main/file.c: Merged revisions 231741 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r231741 | mnicholson | 2009-12-01 09:47:36 -0600 (Tue, 01 Dec
	  2009) | 9 lines Merged revisions 231740 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r231740 | mnicholson | 2009-12-01 09:34:57 -0600 (Tue, 01 Dec
	  2009) | 2 lines Ignore unknown formats in ast_format_str_reduce()
	  and return an error if no know formats are found. ........
	  ................

2009-11-30 21:52 +0000 [r231693]  Kevin P. Fleming <kpfleming@digium.com>

	* main/udptl.c, /, channels/chan_sip.c, include/asterisk/udptl.h:
	  Merged revisions 231692 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r231692 |
	  kpfleming | 2009-11-30 15:47:42 -0600 (Mon, 30 Nov 2009) | 22
	  lines Another round of UDPTL stack fixes/improvements: 1) Allow
	  users of UDPTL stack to associate a character-string tag with a
	  UDPTL session, so that log/error/debug messages generated by the
	  UDPTL stack can be 'connected' to the endpoint that caused them
	  to be generated. 2) Improve comments (and process) of calculating
	  the far end's maximum IFP size when redundancy mode is in use for
	  error correction. 3) When an IFP larger than the calculated 'far
	  max IFP' size is presented for writing, truncate it rather than
	  putting in the buffer and allowing the buffer to overflow; this
	  will cause the ends to retrain to a lower bit rate that produces
	  IFPs of an appropriate size if possible, and if not possible, the
	  FAX transfer will fail completely. In these cases, it is due to
	  the one endpoint supplying a T38FaxMaxDatagram value that is
	  improperly calculated and is too low to be of use; we have
	  configuration options available to override this behavior. 4)
	  Eliminate use of T38FaxMaxDatagram value in udptl.conf; it is no
	  longer needed. ........

2009-11-30 21:37 +0000 [r231691]  Matthew Nicholson <mnicholson@digium.com>

	* apps/app_voicemail.c, include/asterisk/file.h, /, main/file.c,
	  main/app.c: Merged revisions 231688 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r231688 | mnicholson | 2009-11-30 15:31:55 -0600 (Mon, 30 Nov
	  2009) | 15 lines Merged revisions 231614 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r231614 | mnicholson | 2009-11-30 15:11:44 -0600 (Mon, 30 Nov
	  2009) | 8 lines Remove duplicate entries from voicemail format
	  lists. This prevents app_voicemail from entering an infinite loop
	  when the same format is specified twice in the format list.
	  (closes issue #15625) Reported by: Shagg63 Tested by: mnicholson
	  Review: https://reviewboard.asterisk.org/r/429/ ........
	  ................

2009-11-30 20:45 +0000 [r231603]  Joshua Colp <jcolp@digium.com>

	* /, channels/chan_sip.c: Merged revisions 231602 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r231602 |
	  file | 2009-11-30 16:44:30 -0400 (Mon, 30 Nov 2009) | 5 lines
	  When receiving SDP that matches the version of the last one do
	  not treat it as a fatal error. (closes issue #16238) Reported by:
	  seandarcy ........

2009-11-30 18:58 +0000 [r231517-231560]  David Vossel <dvossel@digium.com>

	* /, apps/app_queue.c: Merged revisions 231556 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r231556 |
	  dvossel | 2009-11-30 12:55:07 -0600 (Mon, 30 Nov 2009) | 11 lines
	  app_queue crashes randomly, often during call-transfers This
	  patch adds a ref to the queue_ent object's parent call_queue in
	  queue_exec() so the call_queue won't be destroyed while the the
	  queue_ent still holds a pointer to it. (closes issue 0015686)
	  Tested by: dvossel, aragon ........

	* main/rtp.c, /: Merged revisions 231491 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r231491 | dvossel | 2009-11-30 11:28:28 -0600 (Mon, 30 Nov 2009)
	  | 17 lines Merged revisions 231441 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r231441 | dvossel | 2009-11-30 11:14:08 -0600 (Mon, 30 Nov 2009)
	  | 11 lines fixes crash caused by RTP comfort noise payload
	  greater than 24 bytes AST-2009-010 (closes issue #16242) Reported
	  by: amorsen Patches: issue16242.diff uploaded by oej (license
	  306) Tested by: amorsen, oej, dvossel ........ ................

2009-11-25 22:34 +0000 [r231300]  Tilghman Lesher <tlesher@digium.com>

	* main/channel.c, /: Merged revisions 231299 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r231299 | tilghman | 2009-11-25 16:33:02 -0600 (Wed, 25 Nov 2009)
	  | 9 lines Merged revisions 231298 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r231298 | tilghman | 2009-11-25 16:31:57 -0600 (Wed, 25 Nov 2009)
	  | 2 lines After a frame duplication failure, unlock the channel
	  before returning. ........ ................

2009-11-25 15:48 +0000 [r231192]  Matthew Nicholson <mnicholson@digium.com>

	* /, pbx/pbx_lua.c: Merged revisions 231189 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r231189 |
	  mnicholson | 2009-11-25 09:42:48 -0600 (Wed, 25 Nov 2009) | 4
	  lines Load pbx_lua with global symbols to allow linking with
	  other lua libraries. Found by Maxim Litnitskiy. ........

2009-11-24 18:53 +0000 [r231096]  Jeff Peeler <jpeeler@digium.com>

	* /, main/features.c: Merged revisions 231095 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r231095 |
	  jpeeler | 2009-11-24 12:50:36 -0600 (Tue, 24 Nov 2009) | 11 lines
	  Fix erroneous hangup extension execution ast_spawn_extension
	  behaves differently from 1.4 in that hangups and extensions that
	  do not exist do not return an error, whereas in 1.6 it does. This
	  is now taken into account so that the AST_FLAG_BRIDGE_HANGUP_RUN
	  flag gets set properly. (closes issue #16106) Reported by:
	  ajohnson Tested by: ajohnson ........

2009-11-23 15:46 +0000 [r230882]  Joshua Colp <jcolp@digium.com>

	* /, channels/chan_sip.c, configs/sip.conf.sample: Merged revisions
	  230881 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r230881 |
	  file | 2009-11-23 09:45:45 -0600 (Mon, 23 Nov 2009) | 7 lines
	  Change fax detection in chan_sip so it behaves as one would
	  expect. Internally the way T.38 is negotiated has changed and the
	  option no longer reflects a behavior that is valid. It will now
	  look for a CNG tone on received calls and if present send the
	  call to the 'fax' extension. It is then up to the application or
	  channel to request the switch over to T.38. ........

2009-11-23 15:35 +0000 [r230782-230878]  Kevin P. Fleming <kpfleming@digium.com>

	* /, channels/chan_sip.c: Merged revisions 230877 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r230877 | kpfleming | 2009-11-23 09:34:16 -0600 (Mon, 23 Nov
	  2009) | 9 lines Merged revisions 230839 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r230839 | kpfleming | 2009-11-23 09:09:24 -0600 (Mon, 23 Nov
	  2009) | 1 line Correct fix for issue #16268... the reporter's
	  original patch was very close to correct. ........
	  ................

	* /, channels/chan_sip.c: Merged revisions 230773 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r230773 | kpfleming | 2009-11-23 08:15:48 -0600 (Mon, 23 Nov
	  2009) | 12 lines Merged revisions 230772 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r230772 | kpfleming | 2009-11-23 08:13:56 -0600 (Mon, 23 Nov
	  2009) | 5 lines Ensure that SDP parsing does not ignore the last
	  line of the SDP. (closes issue #16268) Reported by: sgimeno
	  ........ ................

2009-11-20 22:37 +0000 [r230729]  David Vossel <dvossel@digium.com>

	* /, channels/chan_iax2.c: Merged revisions 230726 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk ........
	  r230726 | dvossel | 2009-11-20 16:35:54 -0600 (Fri, 20 Nov 2009)
	  | 7 lines fixes iax2 show cache locking error, thanks alecdavis!
	  (closes issue #16094) Reported by: alecdavis Patches:
	  bug16094.diff.txt uploaded by alecdavis (license 585) Tested by:
	  alecdavis, dvossel ........

2009-11-20 21:09 +0000 [r230631]  Matthew Nicholson <mnicholson@digium.com>

	* /, main/features.c: Merged revisions 230628 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r230628 | mnicholson | 2009-11-20 15:01:10 -0600 (Fri, 20 Nov
	  2009) | 15 lines Merged revisions 230627 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r230627 | mnicholson | 2009-11-20 14:53:06 -0600 (Fri, 20 Nov
	  2009) | 8 lines Copy the peer CDR's userfield to the bridge CDR
	  if it exists. This is necessary for the recordagentcalls option
	  in chan_agent to store the recorded file name in the bridge CDR.
	  (closes issue #14590) Reported by: msetim Patches:
	  queue_agent_userfield.patch uploaded by Laureano (license 265)
	  Tested by: Laureano, mnicholson ........ ................

2009-11-20 17:37 +0000 [r230512-230587]  David Vossel <dvossel@digium.com>

	* /, include/asterisk/audiohook.h, main/audiohook.c: Merged
	  revisions 230583 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r230583 |
	  dvossel | 2009-11-20 11:26:20 -0600 (Fri, 20 Nov 2009) | 6 lines
	  audiohook signal trigger on every status change (issue #14618)
	  Review: https://reviewboard.asterisk.org/r/434/ ........

	* apps/app_mixmonitor.c, /: Merged revisions 230509 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r230509 | dvossel | 2009-11-19 15:26:21 -0600
	  (Thu, 19 Nov 2009) | 17 lines Merged revisions 230508 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r230508 | dvossel | 2009-11-19 15:22:46 -0600 (Thu, 19 Nov 2009)
	  | 10 lines fixes MixMonitor thread not exiting when
	  StopMixMonitor is used (closes issue #16152) Reported by: AlexMS
	  Patches: stopmixmonitor_1.4.diff uploaded by dvossel (license
	  671) Tested by: dvossel, AlexMS Review:
	  https://reviewboard.asterisk.org/r/424/ ........ ................

2009-11-30  Leif Madsen <lmadsen@digium.com>

	* Release Asterisk 1.6.0.19

	* AST-2009-010

	* SDP parser regression fix (issue #16268, issue #16238)

2009-11-18  Leif Madsen <lmadsen@digium.com>

	* Release Asterisk 1.6.0.18

2009-11-13  Leif Madsen <lmadsen@digium.com>

	* Release Asterisk 1.6.0.18-rc3

2009-11-13 15:56 +0000 [r229913]  Joshua Colp <jcolp@digium.com>

	* /, channels/chan_sip.c: Merged revisions 229912 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r229912 |
	  file | 2009-11-13 09:56:16 -0600 (Fri, 13 Nov 2009) | 2 lines Fix
	  T.38 negotiation regression introduced with the SDP parser
	  changes. ........

2009-11-12 16:49 +0000 [r229673]  David Vossel <dvossel@digium.com>

	* funcs/func_audiohookinherit.c, /: Merged revisions 229670 via
	  svnmerge from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r229670 | dvossel | 2009-11-12 10:44:39 -0600
	  (Thu, 12 Nov 2009) | 12 lines Merged revisions 229669 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r229669 | dvossel | 2009-11-12 10:41:49 -0600 (Thu, 12 Nov 2009)
	  | 6 lines fixes merging error, datastore was being freed in the
	  wrong function. (closes issue #16219) Reported by: aragon
	  ........ ................

2009-11-11 19:51 +0000 [r229475-229500]  David Brooks <dbrooks@digium.com>

	* main/pbx.c: Merged revisions 229499 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r229499 | dbrooks | 2009-11-11 13:48:18 -0600 (Wed, 11 Nov 2009)
	  | 15 lines Merged revisions 229498 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r229498 | dbrooks | 2009-11-11 13:46:19 -0600 (Wed, 11 Nov 2009)
	  | 8 lines Solaris doesn't like NULL going to ast_log Solaris will
	  crash if NULL is passed to ast_log. This simple patch simply uses
	  S_OR to get around this. (closes issue #15392) Reported by:
	  yrashk ........ ................

	* /, apps/app_softhangup.c: Merged revisions 229460 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk ........
	  r229460 | dbrooks | 2009-11-11 12:13:56 -0600 (Wed, 11 Nov 2009)
	  | 7 lines Flags not initialized in app_softhangup.c, causing
	  undefined behavior Trivial patch [kobaz] to initialize an
	  ast_flags = {0} (closes issue #16129) Reported by: kobaz ........

2009-11-10 22:17 +0000 [r229363]  Tilghman Lesher <tlesher@digium.com>

	* main/pbx.c, /: Merged revisions 229361 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r229361 | tilghman | 2009-11-10 16:14:22 -0600 (Tue, 10 Nov 2009)
	  | 19 lines Merged revisions 229360 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r229360 | tilghman | 2009-11-10 16:09:16 -0600 (Tue, 10 Nov 2009)
	  | 12 lines If two pattern classes start with the same digit and
	  have the same number of characters, they will compare equal. The
	  example given in the issue report is that of [234] and [246],
	  which have these characteristics, yet they are clearly not
	  equivalent. The code still uses these two characteristics, yet
	  when the two scores compare equal, an additional check will be
	  done to compare all characters within the class to verify
	  equality. (closes issue #15421) Reported by: jsmith Patches:
	  20091109__issue15421__2.diff.txt uploaded by tilghman (license
	  14) Tested by: jsmith, thedavidfactor ........ ................

2009-11-10 22:03 +0000 [r229357]  David Ruggles <thedavidfactor@gmail.com>

	* doc/externalivr.txt: Merged revisions 229356 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r229356 | diruggles | 2009-11-10 17:01:50 -0500 (Tue, 10 Nov
	  2009) | 16 lines Merged revisions 229355 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r229355 | diruggles | 2009-11-10 16:45:15 -0500 (Tue, 10 Nov
	  2009) | 9 lines Fix ExternalIVR Documentation Remove
	  documentation for event that doesn't function (closes issue
	  #16220) Reported by: thedavidfactor Patches:
	  externalivr.txt.20091110.1622.patch uploaded by thedavidfactor
	  (license 903) ........ ................

2009-11-10 21:31 +0000 [r229352]  Tilghman Lesher <tlesher@digium.com>

	* apps/app_stack.c, /: Merged revisions 229351 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r229351 |
	  tilghman | 2009-11-10 15:22:50 -0600 (Tue, 10 Nov 2009) | 7 lines
	  When GOSUB is invoked within an AGI, it may not exit correctly.
	  (closes issue #16216) Reported by: atis Patches:
	  20091110__atis_work.diff.txt uploaded by tilghman (license 14)
	  Tested by: atis ........

2009-11-10 20:07 +0000 [r229283]  Joshua Colp <jcolp@digium.com>

	* /, codecs/codec_g726.c: Merged revisions 229282 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r229282 | file | 2009-11-10 16:06:13 -0400 (Tue, 10 Nov 2009) |
	  15 lines Merged revisions 229281 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r229281 | file | 2009-11-10 16:03:14 -0400 (Tue, 10 Nov 2009) | 8
	  lines Remove broken support for direct transcoding between G.726
	  RFC3551 and G.726 AAL2. On some systems the translation core
	  would actually consider g726aal2 -> g726 -> signed linear to be a
	  quicker path then g726aal2 -> signed linear which exposed this
	  problem. (closes issue #15504) Reported by: globalnetinc ........
	  ................

2009-11-10 17:54 +0000 [r229234]  David Vossel <dvossel@digium.com>

	* /, channels/chan_iax2.c: Merged revisions 229168 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r229168 | dvossel | 2009-11-10 11:16:49 -0600
	  (Tue, 10 Nov 2009) | 15 lines Merged revisions 229167 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r229167 | dvossel | 2009-11-10 11:15:57 -0600 (Tue, 10 Nov 2009)
	  | 9 lines don't crash on log message in solaris AST-2009-006
	  (closes issue #16206) Reported by: bklang Tested by: bklang
	  ........ ................

2009-11-10 17:37 +0000 [r229229]  David Ruggles <thedavidfactor@gmail.com>

	* doc/externalivr.txt: Merged revisions 229228 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r229228 | diruggles | 2009-11-10 12:33:47 -0500 (Tue, 10 Nov
	  2009) | 18 lines Merged revisions 229191 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r229191 | diruggles | 2009-11-10 12:23:59 -0500 (Tue, 10 Nov
	  2009) | 11 lines Document ExternalIVR event tag collision
	  ExternalIVR uses the D tag for two different event types. This
	  documents that behavior and how to differentiate between the two
	  cases. Also includes a minor spelling fix and clarification
	  (closes issue #16211) Reported by: thedavidfactor Patches:
	  externalivr.txt.20091109.1507.patch uploaded by thedavidfactor
	  (license 903) ........ ................

2009-11-10 15:41 +0000 [r229100]  Matthew Nicholson <mnicholson@digium.com>

	* channels/chan_sip.c: Reverted revision 202006. (closes issue
	  #16175) Reported by: paul-tg

2009-11-10 11:19 +0000 [r229057]  Gavin Henry <ghenry@suretecsystems.com>

	* contrib/scripts/asterisk.ldap-schema, /: Merged revisions 229050
	  via svnmerge from https://origsvn.digium.com/svn/asterisk/trunk
	  ........ r229050 | ghenry | 2009-11-10 11:16:10 +0000 (Tue, 10
	  Nov 2009) | 20 lines Schema file additions * Added
	  AsteriskDialplan, AsteriskAccount and AsteriskMailbox
	  objectClasses to allow standalone dialplan, account and mailbox
	  entries (STRUCTURAL) * Added new Fields: - AstAccountLanguage,
	  AstAccountTransport, AstAccountPromiscRedir, -
	  AstAccountAccountCode, AstAccountSetVar, AstAccountAllowOverlap,
	  - AstAccountVideoSupport, AstAccountIgnoreSDPVersion * Removed
	  redundant IPaddr (there's already IPAddress) - Gives more
	  configuration Flags for SIP-Users available (tested) - Allows to
	  create Asterisk Attributes in defined Asterisk ObjectClasses
	  without extensibleObject (which really should be the last
	  resort); gives also additional possibilities for LDAP-filter
	  (closes issue #15874) Reported by: Medozas Patches:
	  asterisk.ldap-schema.patch uploaded by Medozas (license 41)
	  Tested by: Medozas, suretec ........

2009-11-09  Leif Madsen <lmadsen@digium.com>

	* Release Asterisk 1.6.0.18-rc2

2009-11-09 15:39 +0000 [r228898]  Leif Madsen <lmadsen@digium.com>

	* main/channel.c: Merged revisions 228897 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r228897 | lmadsen | 2009-11-09 09:38:38 -0600 (Mon, 09 Nov 2009)
	  | 14 lines Merged revisions 228896 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r228896 | lmadsen | 2009-11-09 09:37:43 -0600 (Mon, 09 Nov 2009)
	  | 6 lines Update WARNING message. Update a WARNING message to
	  give a suggested fix when encountered. (closes issue #16198)
	  Reported by: atis Tested by: atis ........ ................

2009-11-09 14:58 +0000 [r228861]  Matthew Nicholson <mnicholson@digium.com>

	* /, include/asterisk/lock.h: Merged revisions 228858 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r228858 | mnicholson | 2009-11-09 08:37:07 -0600
	  (Mon, 09 Nov 2009) | 15 lines Merged revisions 228827 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r228827 | mnicholson | 2009-11-09 08:16:03 -0600 (Mon, 09 Nov
	  2009) | 8 lines Perform limited bounds checking when destroying
	  ast_mutex_t structures to make sure we don't try to use negative
	  indices. (closes issue #15588) Reported by: zerohalo Patches:
	  20090820__issue15588.diff.txt uploaded by tilghman (license 14)
	  Tested by: zerohalo ........ ................

2009-11-06 22:38 +0000 [r228696]  David Vossel <dvossel@digium.com>

	* main/channel.c, /: Merged revisions 228693 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r228693 | dvossel | 2009-11-06 16:35:44 -0600 (Fri, 06 Nov 2009)
	  | 16 lines Merged revisions 228692 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r228692 | dvossel | 2009-11-06 16:33:27 -0600 (Fri, 06 Nov 2009)
	  | 9 lines fixes audiohook write crash occuring in chan_spy
	  whisper mode. After writing to the audiohook list in ast_write(),
	  frames were being freed incorrectly. Under certain conditions
	  this resulted in a double free crash. (closes issue #16133)
	  Reported by: wetwired ........ ................

2009-11-06 20:42 +0000 [r228651]  Matthew Nicholson <mnicholson@digium.com>

	* funcs/func_base64.c, /, main/utils.c: Merged revisions 228620 via
	  svnmerge from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r228620 | mnicholson | 2009-11-06 13:47:11 -0600
	  (Fri, 06 Nov 2009) | 15 lines Merged revisions 228378 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r228378 | mnicholson | 2009-11-06 10:26:59 -0600 (Fri, 06 Nov
	  2009) | 8 lines Properly handle '=' while decoding base64
	  messages and null terminate strings returned from BASE64_DECODE.
	  (closes issue #15271) Reported by: chappell Patches:
	  base64_fix.patch uploaded by chappell (license 8) Tested by:
	  kobaz ........ ................

2009-11-06 18:40 +0000 [r228549]  Joshua Colp <jcolp@digium.com>

	* /, channels/chan_sip.c: Merged revisions 228548 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r228548 | file | 2009-11-06 14:37:59 -0400 (Fri, 06 Nov 2009) |
	  11 lines Merged revisions 228547 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r228547 | file | 2009-11-06 14:32:58 -0400 (Fri, 06 Nov 2009) | 4
	  lines Don't overwrite caller ID name on a trunk with the
	  configured fullname when using users.conf (issue ABE-1989)
	  ........ ................

2009-11-06  Leif Madsen <lmadsen@digium.com>

	* Release Asterisk 1.6.0.18-rc1

2009-11-06 17:53 +0000 [r228479-228500]  Joshua Colp <jcolp@digium.com>

	* /, doc/tex/localchannel.tex: Merged revisions 228499 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk ........
	  r228499 | file | 2009-11-06 13:52:00 -0400 (Fri, 06 Nov 2009) | 2
	  lines Fix the localchannel.tex file. ........

	* channels/chan_sip.c: Fix a logic flaw I introduced when I was
	  testing stuff out.

2009-11-06 17:10 +0000 [r228423]  David Vossel <dvossel@digium.com>

	* /, codecs/codec_ilbc.c: Merged revisions 228420 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r228420 | dvossel | 2009-11-06 11:09:01 -0600 (Fri, 06 Nov 2009)
	  | 19 lines Merged revisions 228418 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r228418 | dvossel | 2009-11-06 11:07:13 -0600 (Fri, 06 Nov 2009)
	  | 13 lines fixes segfault in iLBC For reasons not yet known, it
	  appears possible for an ast_frame to have a datalen greater than
	  zero while the actual data is NULL during Packet Loss
	  Concealment. Most codecs don't support PLC so this doesn't affect
	  them. This patch catches the malformed frame and prevents the
	  crash from occuring. Additional efforts to determine why it is
	  possible for a frame to look like this are still being
	  investigated. (issue #16979) ........ ................

2009-11-06 16:56 +0000 [r228411-228415]  Joshua Colp <jcolp@digium.com>

	* channels/chan_sip.c: Fix a crash caused by freeing a dialog
	  directly instead of using dialog_unref. (closes issue #16097)
	  Reported by: steinwej Patches: no_RTP.diff uploaded by steinwej
	  (license 841)

	* /, main/abstract_jb.c: Merged revisions 228410 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r228410 | file | 2009-11-06 12:42:23 -0400 (Fri, 06 Nov 2009) |
	  14 lines Merged revisions 228409 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r228409 | file | 2009-11-06 12:41:20 -0400 (Fri, 06 Nov 2009) | 7
	  lines Fix a bug caused by a partially invalid frame (from the
	  jitterbuffer) passing through the Asterisk core. (closes issue
	  #15560) Reported by: jvandal (closes issue #15709) Reported by:
	  covici ........ ................

2009-11-06 15:44 +0000 [r228271-228342]  David Vossel <dvossel@digium.com>

	* /, main/astfd.c: Merged revisions 228339 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r228339 | dvossel | 2009-11-06 09:42:46 -0600 (Fri, 06 Nov 2009)
	  | 12 lines Merged revisions 228338 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r228338 | dvossel | 2009-11-06 09:41:41 -0600 (Fri, 06 Nov 2009)
	  | 5 lines fixes crash in astfd.c (closes issue #15981) Reported
	  by: slavon ........ ................

	* funcs/func_audiohookinherit.c, /: Merged revisions 228268 via
	  svnmerge from https://origsvn.digium.com/svn/asterisk/trunk
	  ........ r228268 | dvossel | 2009-11-06 09:04:24 -0600 (Fri, 06
	  Nov 2009) | 9 lines fixes memory leak in func_audiohookinherit.c
	  (closes issue #15394) Reported by: boroda Patches:
	  bug15394_memoryleak_diff2.txt uploaded by dbrooks (license 790)
	  Tested by: dbrooks, boroda ........

2009-11-05 21:24 +0000 [r228190]  Jeff Peeler <jpeeler@digium.com>

	* apps/app_chanspy.c, /: Merged revisions 228189 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r228189 |
	  jpeeler | 2009-11-05 15:23:06 -0600 (Thu, 05 Nov 2009) | 11 lines
	  Fix the fix for chanspy option o In 224178, I assumed the
	  uploaded patch was correct as it had received positive feedback.
	  The flags were being checked in the incorrect location. Upon
	  testing the fix this time it was also found that the flags from
	  the dialplan weren't being copied to the
	  chanspy_translation_helper. (closes issue #16167) Reported by:
	  marhbere ........

2009-11-05 19:39 +0000 [r228146]  David Brooks <dbrooks@digium.com>

	* channels/chan_misdn.c, /: Merged revisions 228145 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r228145 | dbrooks | 2009-11-05 13:34:50 -0600
	  (Thu, 05 Nov 2009) | 16 lines Merged revisions 228078 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r228078 | dbrooks | 2009-11-05 12:59:41 -0600 (Thu, 05 Nov 2009)
	  | 9 lines chan_misdn Asterisk 1.4.27-rc2 crash Crash related to
	  chan_misdn connection. Patch submitted by gknispel_proformatique,
	  tested by francesco_r. "I have many crash since i have upgraded
	  to Asterisk 1.4.27-rc2. Attached a full bt." This patch zeros out
	  an ast_frame. (closes issue #16041) Reported by: francesco_r
	  ........ ................

2009-11-05 19:17 +0000 [r228081]  Jason Parker <jparker@digium.com>

	* channels/chan_vpb.cc, /: Merged revisions 228080 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r228080 | qwell | 2009-11-05 13:16:29 -0600
	  (Thu, 05 Nov 2009) | 15 lines Merged revisions 228079 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r228079 | qwell | 2009-11-05 13:14:25 -0600 (Thu, 05 Nov 2009) |
	  8 lines Fix crash on VPB exception when no hardware is present.
	  (closes issue #14970) Reported by: tzafrir Patches:
	  vpb_exception.diff uploaded by tzafrir (license 46) Tested by:
	  markwaters ........ ................

2009-11-04 23:52 +0000 [r227946]  Jeff Peeler <jpeeler@digium.com>

	* res/res_monitor.c, /: Merged revisions 227945 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r227945 | jpeeler | 2009-11-04 17:50:59 -0600 (Wed, 04 Nov 2009)
	  | 21 lines Merged revisions 227944 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r227944 | jpeeler | 2009-11-04 17:47:08 -0600 (Wed, 04 Nov 2009)
	  | 14 lines Fix incorrect filename comparsion after monitor file
	  change The logic to detect if a requested file is indeed a
	  different file from the current file was incorrect. The main
	  issue being confusion of the use of filename_base which was
	  previously set without pathing information and then compared to
	  another full path. Robust file comparison logic has been added to
	  properly check if two files are the same even if symlinks are
	  used. (closes issue #15313) Reported by: caspy Patches:
	  20091103__issue15313__1.4.diff.txt uploaded by jpeeler (license
	  325) but mostly tilghman's work ........ ................

2009-11-04 21:15 +0000 [r227763-227833]  Matthew Nicholson <mnicholson@digium.com>

	* apps/app_dial.c, /: Merged revisions 227829 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r227829 | mnicholson | 2009-11-04 15:03:33 -0600 (Wed, 04 Nov
	  2009) | 17 lines Merged revisions 227827 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r227827 | mnicholson | 2009-11-04 14:52:27 -0600 (Wed, 04 Nov
	  2009) | 10 lines This patch modifies the Dial application to
	  monitor the calling channel for hangups while playing back
	  announcements. (closes issue #16005) Reported by: falves11
	  Patches: dial-announce-hangup-fix1.diff uploaded by mnicholson
	  (license 96) Tested by: mnicholson, falves11 Review:
	  https://reviewboard.asterisk.org/r/407/ ........ ................

	* channels/chan_sip.c: Modify the SDP parsing code to parse session
	  and media level items separately. With the new code, media level
	  proprieties should no longer be confused with session level
	  proprieties. This change also reorganizes some of the SDP parsing
	  code which should make it easier to manage in the future. (closes
	  issue #14994) Reported by: frawd

2009-11-04 19:27 +0000 [r227717-227743]  Joshua Colp <jcolp@digium.com>

	* /, static-http/prototype.js: Merged revisions 227739 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r227739 | file | 2009-11-04 15:26:19 -0400 (Wed,
	  04 Nov 2009) | 12 lines Merged revisions 227735 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r227735 | file | 2009-11-04 15:25:37 -0400 (Wed, 04 Nov 2009) | 5
	  lines Fix a security issue where it may be possible for someone
	  to execute a cross-site AJAX request exploit. (AST-2009-009)
	  ........ ................

	* /, channels/chan_sip.c: Merged revisions 227712 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r227712 | file | 2009-11-04 15:20:46 -0400 (Wed, 04 Nov 2009) |
	  12 lines Merged revisions 227700 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r227700 | file | 2009-11-04 15:17:39 -0400 (Wed, 04 Nov 2009) | 5
	  lines Fix a security issue where sending a REGISTER with a
	  differing username in the From URI and Authorization header would
	  reveal whether it was valid or not. (AST-2009-008) ........
	  ................

2009-11-03 20:00 +0000 [r227373]  Jason Parker <jparker@digium.com>

	* Makefile, /, main/Makefile: Merged revisions 227372 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk ........
	  r227372 | qwell | 2009-11-03 13:59:46 -0600 (Tue, 03 Nov 2009) |
	  9 lines Fix some build issues on Solaris. (closes issue #14517)
	  (SWP-109) Reported by: asgaroth Patches: bug_14517.diff uploaded
	  by snuffy (license 35) Tested by: asgaroth, snuffy, dougm, qwell
	  ........

2009-11-03 19:49 +0000 [r227362-227369]  Leif Madsen <lmadsen@digium.com>

	* apps/app_controlplayback.c, /: Merged revisions 227368 via
	  svnmerge from https://origsvn.digium.com/svn/asterisk/trunk
	  ........ r227368 | lmadsen | 2009-11-03 13:48:53 -0600 (Tue, 03
	  Nov 2009) | 8 lines Change warning message to debug message.
	  app_controlplayback outputs a warning, when in fact it is normal.
	  (closes issue #16071) Reported by: atis Patches:
	  controlplayback_warning.patch uploaded by atis (license 242)
	  ........

	* configs/extensions.conf.sample, /: Merged revisions 227361 via
	  svnmerge from https://origsvn.digium.com/svn/asterisk/trunk
	  ........ r227361 | lmadsen | 2009-11-03 13:25:18 -0600 (Tue, 03
	  Nov 2009) | 11 lines Additional fixes to the
	  extensions.conf.sample file. Update the extensions.conf.sample
	  [stdexten] context so that we use the variable instead of
	  requiring it to be passed explicitly. Also updated uses of the
	  [stdexten] context throughout. (closes issue #15858) Reported by:
	  pprindeville Patches: stdexten-context-update.txt uploaded by
	  lmadsen (license 10) Tested by: pprindeville ........

2009-11-03 18:05 +0000 [r227278]  Richard Mudgett <rmudgett@digium.com>

	* channels/chan_dahdi.c: Merged revisions 227275 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r227275 | rmudgett | 2009-11-03 11:55:47 -0600 (Tue, 03 Nov 2009)
	  | 4 lines Make sure the outgoing flag is cleared if a new channel
	  fails to get created for outgoing calls. This is the relevant
	  portion of asterisk/trunk -r226648 ........

2009-11-03 15:37 +0000 [r227168]  Joshua Colp <jcolp@digium.com>

	* /, channels/chan_sip.c: Merged revisions 227167 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r227167 | file | 2009-11-03 11:37:08 -0400 (Tue, 03 Nov 2009) |
	  12 lines Merged revisions 227166 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r227166 | file | 2009-11-03 11:36:16 -0400 (Tue, 03 Nov 2009) | 5
	  lines Fix a bug where an RPID header could be generated with a
	  blank username in the URI. (closes issue #15909) Reported by:
	  kobaz ........ ................

2009-11-03 15:24 +0000 [r227163]  Leif Madsen <lmadsen@digium.com>

	* configs/extensions.conf.sample, /: Merged revisions 227162 via
	  svnmerge from https://origsvn.digium.com/svn/asterisk/trunk
	  ........ r227162 | lmadsen | 2009-11-03 09:19:47 -0600 (Tue, 03
	  Nov 2009) | 7 lines Update extensions.conf.sample file to fix
	  incorrect extensions. (closes issue #15857) Reported by:
	  pprindeville Patches: stdexten.patch#2 uploaded by pprindeville
	  (license 347) Tested by: pprindeville ........

2009-11-03 11:21 +0000 [r227102]  Olle Johansson <oej@edvina.net>

	* /, channels/chan_sip.c: Merged revisions 227091 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r227091 | oej | 2009-11-03 12:11:15 +0100 (Tis, 03 Nov 2009) | 15
	  lines Merged revisions 227088 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r227088 | oej | 2009-11-03 11:29:59 +0100 (Tis, 03 Nov 2009) | 7
	  lines Use proper response code when violating Contact ACL's.
	  https://reviewboard.asterisk.org/r/415/ Thanks kpfleming for a
	  quick review. (EDVX-003) ........ ................

2009-11-02 21:05 +0000 [r226975-226976]  David Brooks <dbrooks@digium.com>

	* channels/chan_sip.c: SIP channel name uniqueness SIP channel
	  names were supposed to be unique by way of a name suffix derived
	  from the pointer to the channel's private data. Uniqueness was
	  preserved on 32-bit systems, but not on 64-bit systems. This
	  patch, as suggested by kpfleming, replaces this suffix with a
	  simple incremented unsigned int. (closes issue #15152) Reported
	  by: palbrecht Review: https://reviewboard.asterisk.org/r/420/

	* /: SIP channel name uniqueness SIP channel names were supposed to
	  be unique by way of a name suffix derived from the pointer to the
	  channel's private data. Uniqueness was preserved on 32-bit
	  systems, but not on 64-bit systems. This patch, as suggested by
	  kpfleming, replaces this suffix with a simple incremented
	  unsigned int. (closes issue #15152) Reported by: palbrecht
	  Review: https://reviewboard.asterisk.org/r/420/

2009-11-02 18:09 +0000 [r226891]  Joshua Colp <jcolp@digium.com>

	* apps/app_dial.c, /: Merged revisions 226890 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r226890 | file | 2009-11-02 14:08:54 -0400 (Mon, 02 Nov 2009) |
	  18 lines Merged revisions 226889 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r226889 | file | 2009-11-02 14:08:11 -0400 (Mon, 02 Nov 2009) |
	  11 lines Fix a bug where the recorded privacy introduction file
	  would not get removed if the caller hung up while the called
	  party had not yet answered. This was fixed by introducing an
	  argument to the 'n' option which, when enabled, removes the
	  introduction file under all scenarios. This was done to preserve
	  the behavior that has existed for quite some time. (closes issue
	  #14674) Reported by: ulogic Patches: bug14674.patch uploaded by
	  jpeeler (license 325) ........ ................

2009-11-02 17:16 +0000 [r226813]  Tilghman Lesher <tlesher@digium.com>

	* /, contrib/init.d/rc.redhat.asterisk: Merged revisions 226812 via
	  svnmerge from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r226812 | tilghman | 2009-11-02 11:15:31 -0600
	  (Mon, 02 Nov 2009) | 15 lines Merged revisions 226811 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r226811 | tilghman | 2009-11-02 11:14:20 -0600 (Mon, 02 Nov 2009)
	  | 8 lines Don't allow two separate instances of safe_asterisk
	  when restarting from the init script. (closes issue #14562)
	  Reported by: davidw Patches: Initially
	  20091022__issue14562.diff.txt uploaded by tilghman (license 14)
	  Modified to 20091030__Issue14562_diff.txt uploaded by davidw
	  (license 780) Tested by: davidw ........ ................

2009-10-29 18:14 +0000 [r226533]  Joshua Colp <jcolp@digium.com>

	* channels/chan_local.c, /, doc/tex/localchannel.tex: Merged
	  revisions 226532 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r226532 | file | 2009-10-29 15:13:42 -0300 (Thu, 29 Oct 2009) |
	  13 lines Merged revisions 226531 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r226531 | file | 2009-10-29 15:11:26 -0300 (Thu, 29 Oct 2009) | 6
	  lines Add an option to enabling passing music on hold start and
	  stop requests through instead of acting on them in chan_local.
	  (closes issue #14709) Reported by: dimas ........
	  ................

2009-10-28 20:17 +0000 [r226381-226387]  Leif Madsen <lmadsen@digium.com>

	* configs/sip.conf.sample: Merged revisions 226384 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r226384 | lmadsen | 2009-10-28 15:11:07 -0500
	  (Wed, 28 Oct 2009) | 17 lines Merged revisions 226382 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r226382 | lmadsen | 2009-10-28 15:06:13 -0500 (Wed, 28 Oct 2009)
	  | 9 lines Update documentation in sip.conf.sample. Update the
	  documentation in sip.conf.sample in order to make it more clear
	  that directmedia/canreinvite do not cause Asterisk to ignore
	  reINVITEs. It is only used to stop Asterisk from generating a
	  reINVITE, but does not stop it from accepting them if necessary.
	  (closes issue #15644) Reported by: lmadsen ........
	  ................

	* /, doc/tex/channelvariables.tex: Merged revisions 226378 via
	  svnmerge from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r226378 | lmadsen | 2009-10-28 14:50:00 -0500
	  (Wed, 28 Oct 2009) | 15 lines Merged revisions 226377 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r226377 | lmadsen | 2009-10-28 14:48:29 -0500 (Wed, 28 Oct 2009)
	  | 7 lines Update CALLINGSUBADDR channel variable documentation.
	  (closes issue #15734) Reported by: alecdavis Patches:
	  channelvariables.tex.diff.txt uploaded by alecdavis (license 585)
	  Tested by: alecdavis ........ ................

2009-10-28 18:05 +0000 [r226167-226306]  Tilghman Lesher <tlesher@digium.com>

	* /, include/asterisk/linkedlists.h: Merged revisions 226305 via
	  svnmerge from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r226305 | tilghman | 2009-10-28 13:04:05 -0500
	  (Wed, 28 Oct 2009) | 9 lines Merged revisions 226304 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/branches/1.4
	  ........ r226304 | tilghman | 2009-10-28 13:02:25 -0500 (Wed, 28
	  Oct 2009) | 2 lines Fix documentation (pointed out by
	  TheDavidFactor on #-dev) ........ ................

	* main/manager.c, /: Merged revisions 226159 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r226159 | tilghman | 2009-10-27 15:22:07 -0500 (Tue, 27 Oct 2009)
	  | 14 lines Merged revisions 226138 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r226138 | tilghman | 2009-10-27 15:16:49 -0500 (Tue, 27 Oct 2009)
	  | 7 lines Manager output is not always NULL-terminated, so force
	  a NULL at the end of the filestream. (closes issue #15495)
	  Reported by: pdf Patches: 20090916__issue15495.diff.txt uploaded
	  by tilghman (license 14) Tested by: pdf ........ ................

2009-10-26 23:13 +0000 [r226019]  Tzafrir Cohen <tzafrir.cohen@xorcom.com>

	* /, configure, configure.ac: detect ARM Linux EABI OSARCH as
	  linux-gnu instead of linux-gnueabi * Set OSARCH to linux-gnu even
	  if host_os is linux-gnueabi * When checking if we are Linux,
	  check OSARCH rather than host_os The newer ARM ABI ("EABI") shows
	  the OS name 'linux-gnueabi' rather than 'linux-gnu' . This patch
	  sets OSARCH to be 'linux-gnu' even in such a case. OSARCH is
	  tested for the value of 'linux-gnu' in one or two places in the
	  tree. This patch also fixes the check libcap to check for $OSARCH
	  rather than $host_os . See also:
	  http://wiki.debian.org/ArmEabiPort Merged revisions 225957 via
	  svnmerge from http://svn.digium.com/svn/asterisk/branches/1.4
	  Merged revisions 226018 via svnmerge from
	  http://svn.digium.com/svn/asterisk/trunk

2009-10-26 15:46 +0000 [r225869]  Kevin P. Fleming <kpfleming@digium.com>

	* apps/app_fax.c: Backport audio handling loop fixes from trunk
	  version of app_fax. This backport resolves some issues handling
	  audio frames during FAX processing, and ensures that the FAX
	  application doesn't accidentally get notified of a T.38
	  switchover at the end of a successful FAX. (issue #16127)

2009-10-23 14:05 +0000 [r225583]  Kevin P. Fleming <kpfleming@digium.com>

	* Makefile, /: Merged revisions 225582 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r225582 | kpfleming | 2009-10-23 09:02:42 -0500 (Fri, 23 Oct
	  2009) | 17 lines Merged revisions 225581 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r225581 | kpfleming | 2009-10-23 09:00:01 -0500 (Fri, 23 Oct
	  2009) | 10 lines Don't force menuselect.makeopts to be rebuilt on
	  every build. For some reason the menuselect.makeopts file was
	  listed as PHONY in the Makefile, resulting in 'make' needing to
	  rebuild it for every build. This then resulted in the embedded
	  module rules being rebuilt on every build, which can be slow and
	  is unnecessary. This patch fixes the problem by properly allowing
	  'make' to know when the menuselect.makeopts file needs to be
	  rebuilt (defining the proper dependencies). ........
	  ................

2009-10-22 21:53 +0000 [r225486]  Leif Madsen <lmadsen@digium.com>

	* doc/valgrind.txt, contrib/valgrind.supp (added): Merged revisions
	  225485 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r225485 | lmadsen | 2009-10-22 16:52:30 -0500 (Thu, 22 Oct 2009)
	  | 19 lines Merged revisions 225484 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r225484 | lmadsen | 2009-10-22 16:51:52 -0500 (Thu, 22 Oct 2009)
	  | 11 lines Clean valgrind output by suppressing false errors.
	  Update valgrind.txt documentation and add valgrind.supp file in
	  order to allow those who are creating valgrind output to have
	  less false errors in the logfile. (closes issue #16007) Reported
	  by: atis Patches: valgrind.txt.diff uploaded by atis (license
	  242) asterisk2.supp uploaded by atis (license 242) Tested by:
	  atis, amorsen ........ ................

2009-10-22 17:13 +0000 [r225361]  Tilghman Lesher <tlesher@digium.com>

	* main/pbx.c, /, apps/app_meetme.c, include/asterisk/channel.h:
	  Merged revisions 225360 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r225360 | tilghman | 2009-10-22 12:11:23 -0500 (Thu, 22 Oct 2009)
	  | 11 lines Merged revisions 225105 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r225105 | tilghman | 2009-10-21 11:02:12 -0500 (Wed, 21 Oct 2009)
	  | 4 lines Fix documentation for ast_softhangup() and correct the
	  misuse thereof. (closes issue #16103) Reported by: majorbloodnok
	  ........ ................

2009-10-21 22:10 +0000 [r225310-225311]  David Vossel <dvossel@digium.com>

	* /, channels/chan_iax2.c: Merged revisions 225307 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r225307 | dvossel | 2009-10-21 16:58:46 -0500
	  (Wed, 21 Oct 2009) | 20 lines Merged revisions 225243 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r225243 | dvossel | 2009-10-21 15:58:08 -0500 (Wed, 21 Oct 2009)
	  | 13 lines IAX2: VNAK loop caused by signaling frames with no
	  destination call number It is possible for the PBX thread to
	  queue up signaling frames before a destination call number is
	  received. This can result in signaling frames being sent out with
	  no destination call number. Since recent versions of Asterisk
	  require accurate destination callnumbers for all Full Frames,
	  this can cause a VNAK loop to occur. To resolve this no signaling
	  frames are sent until a destination callnumber is received, and
	  destination call numbers are now only required for iax_pvt
	  matching when the frame is an ACK. Review:
	  https://reviewboard.asterisk.org/r/413/ ........ ................

	* configs/iax.conf.sample, /, channels/chan_sip.c,
	  configs/sip.conf.sample, channels/chan_iax2.c: Merged revisions
	  225033 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r225033 | dvossel | 2009-10-21 09:39:10 -0500 (Wed, 21 Oct 2009)
	  | 27 lines Merged revisions 225032 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r225032 | dvossel | 2009-10-21 09:37:04 -0500 (Wed, 21 Oct 2009)
	  | 20 lines IAX/SIP shrinkcallerid option The shrinking of caller
	  id removes '(', ' ', ')', non-trailing '.', and '-' from the
	  string. This means values such as 555.5555 and test-test result
	  in 555555 and testtest. There are instances, such as Skype
	  integration, where a specific value is passed via caller id that
	  must be preserved unmodified. This patch makes the shrinking of
	  caller id optional in chan_sip and chan_iax in order to support
	  such cases. By default this option is on to preserve previous
	  expected behavior. (closes issue #15940) Reported by: dimas
	  Patches: v2-15940.patch uploaded by dimas (license 88)
	  15940_shrinkcallerid_trunk.c uploaded by dvossel (license 671)
	  Tested by: dvossel Review:
	  https://reviewboard.asterisk.org/r/408/ ........ ................

2009-10-21 03:15 +0000 [r224933]  Russell Bryant <russell@digium.com>

	* include/asterisk/translate.h, main/dsp.c, main/frame.c, /,
	  main/translate.c, include/asterisk/dsp.h, codecs/codec_dahdi.c,
	  include/asterisk/frame.h: Merged revisions 224932 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r224932 | russell | 2009-10-20 22:09:04 -0500
	  (Tue, 20 Oct 2009) | 12 lines Merged revisions 224931 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r224931 | russell | 2009-10-20 21:59:54 -0500 (Tue, 20 Oct 2009)
	  | 5 lines Isolate frames returned from a DSP instance or codec
	  translator. The reasoning for these changes are the same as what
	  I wrote in the commit message for rev 222878. ........
	  ................

2009-10-20 22:10 +0000 [r224857]  Tilghman Lesher <tlesher@digium.com>

	* /, main/audiohook.c: Merged revisions 224856 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r224856 | tilghman | 2009-10-20 17:09:07 -0500 (Tue, 20 Oct 2009)
	  | 12 lines Merged revisions 224855 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r224855 | tilghman | 2009-10-20 17:07:11 -0500 (Tue, 20 Oct 2009)
	  | 5 lines Pay attention to the return value of the manipulate
	  function. While this looks like an optimization, it prevents a
	  crash from occurring when used with certain audiohook callbacks
	  (diagnosed with SVN trunk, backported to 1.4 to keep the source
	  consistent across versions). ........ ................

2009-10-20 17:48 +0000 [r224775]  Joshua Colp <jcolp@digium.com>

	* /, main/features.c: Merged revisions 224774 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r224774 | file | 2009-10-20 14:47:34 -0300 (Tue, 20 Oct 2009) |
	  12 lines Merged revisions 224773 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r224773 | file | 2009-10-20 14:46:37 -0300 (Tue, 20 Oct 2009) | 5
	  lines Add support for relaying early media in the features
	  attended transfer option. (closes issue #14828) Reported by:
	  licedey ........ ................

2009-10-19 23:50 +0000 [r224672]  Kevin P. Fleming <kpfleming@digium.com>

	* main/rtp.c, /: Merged revisions 224671 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r224671 | kpfleming | 2009-10-19 18:47:39 -0500 (Mon, 19 Oct
	  2009) | 14 lines Merged revisions 224670 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r224670 | kpfleming | 2009-10-19 18:44:07 -0500 (Mon, 19 Oct
	  2009) | 7 lines Correct timestamp calculations when RTP sample
	  rates over 8kHz are used. While testing some endpoints that
	  support 16kHz and 32kHz sample rates, some log messages were
	  generated due to calc_rxstamp() computing timestamps in a way
	  that produced odd results, so this patch sanitizes the result of
	  the computations. ........ ................

2009-10-19 19:50 +0000 [r224568]  Joshua Colp <jcolp@digium.com>

	* apps/app_dial.c, /: Merged revisions 224567 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r224567 | file | 2009-10-19 16:49:09 -0300 (Mon, 19 Oct 2009) |
	  12 lines Merged revisions 224565 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r224565 | file | 2009-10-19 16:47:50 -0300 (Mon, 19 Oct 2009) | 5
	  lines Do not attempt early media bridging (ie: direct RTP setup)
	  if options are enabled that should prevent it. (closes issue
	  #14763) Reported by: cupotka ........ ................

2009-10-19 00:12 +0000 [r224449]  Tilghman Lesher <tlesher@digium.com>

	* apps/app_voicemail.c, /: Merged revisions 224448 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk ........
	  r224448 | tilghman | 2009-10-18 19:05:56 -0500 (Sun, 18 Oct 2009)
	  | 3 lines Allow ODBC storage to be queried with multiple
	  mailboxes. This corrects an issue reported on the -users list.
	  ........

2009-10-17 02:03 +0000 [r224332-224337]  Jeff Peeler <jpeeler@digium.com>

	* channels/chan_dahdi.c: fix typo, sorry

	* channels/chan_dahdi.c, /: Merged revisions 224331 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r224331 | jpeeler | 2009-10-16 20:36:08 -0500
	  (Fri, 16 Oct 2009) | 20 lines Merged revisions 224330 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r224330 | jpeeler | 2009-10-16 20:32:47 -0500 (Fri, 16 Oct 2009)
	  | 13 lines Fix stale caller id data from being reported in AMI
	  NewChannel event The problem here is that chan_dahdi is designed
	  in such a way to set certain values in the dahdi_pvt only once.
	  One of those such values is the configured caller id data in
	  chan_dahdi.conf. For PRI, the configured caller id data could be
	  overwritten during a call. Instead of saving the data and
	  restoring, it was decided that for all non-analog channels it was
	  simply best to not set the configured caller id in the first
	  place and also clear it at the end of the call. (closes issue
	  #15883) Reported by: jsmith ........ ................

2009-10-16 20:48 +0000 [r224262]  Richard Mudgett <rmudgett@digium.com>

	* channels/chan_dahdi.c, /: Merged revisions 224261 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r224261 | rmudgett | 2009-10-16 15:40:57 -0500
	  (Fri, 16 Oct 2009) | 25 lines Merged revisions 224260 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r224260 | rmudgett | 2009-10-16 15:25:23 -0500 (Fri, 16 Oct 2009)
	  | 18 lines Never released PRI channels when using Busy() or
	  Congestion() dialplan apps. When the Busy() or Congestion()
	  application is used towards ISDN (an ISDN progress is sent), the
	  responding ISDN Disconnect or Release may contain the ISDN cause
	  user busy or one of the congestion causes. In chan_dahdi.c these
	  causes will only set the needbusy or needcongestion flags and not
	  activate the softhangup procedure. Unfortunately only the latter
	  can interrupt the endless wait loop of Busy()/Congestion().
	  Result: PRI channels staying in state busy for the rest of
	  asterisk life or until the other end times out and forces the
	  call to clear. (in issue 0014292) Reported by: tomaso Patches:
	  disc_rel_userbusy.patch uploaded by tomaso (license 564) (This
	  patch is unrelated to the issue.) ........ ................

2009-10-15 15:57 +0000 [r224179]  Jeff Peeler <jpeeler@digium.com>

	* apps/app_chanspy.c, /: Merged revisions 224178 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r224178 |
	  jpeeler | 2009-10-15 10:57:14 -0500 (Thu, 15 Oct 2009) | 11 lines
	  Readd removed ability to allow listening to one side of the call
	  in app_chanspy (Option o) (closes issue #15675) Reported by:
	  john8675309 Patches: issue15675patchtrunk.txt uploaded by dbrooks
	  (license 790) Tested by: jgutierrez on users list:
	  http://lists.digium.com/pipermail/asterisk-users/2009-October/239155.html
	  ........

2009-10-12 23:50 +0000 [r223833]  Jeff Peeler <jpeeler@digium.com>

	* apps/app_dial.c, /: Merged revisions 223832 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r223832 | jpeeler | 2009-10-12 18:48:09 -0500 (Mon, 12 Oct 2009)
	  | 15 lines Merged revisions 223804 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r223804 | jpeeler | 2009-10-12 18:12:50 -0500 (Mon, 12 Oct 2009)
	  | 8 lines Ensure ringing continues for branched calls after
	  progress is received While waiting for an answer, don't send
	  progress for branched calls for which ringing was sent. (closes
	  issue #15028) Reported by: fnordian ........ ................

2009-10-12 21:07 +0000 [r223759]  David Vossel <dvossel@digium.com>

	* configs/iax.conf.sample, /: Merged revisions 223756 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk ........
	  r223756 | dvossel | 2009-10-12 15:58:27 -0500 (Mon, 12 Oct 2009)
	  | 5 lines Clarifies trunkmaxsize, trunkfreq, and trunkmtu iax2
	  options SWP-151 ........

2009-10-12 14:28 +0000 [r223653]  Kevin P. Fleming <kpfleming@digium.com>

	* /, channels/chan_sip.c, apps/app_fax.c: Merged revisions 223652
	  via svnmerge from https://origsvn.digium.com/svn/asterisk/trunk
	  ........ r223652 | kpfleming | 2009-10-12 09:25:29 -0500 (Mon, 12
	  Oct 2009) | 13 lines Remove automatic switching from T.38 to
	  voice mode in chan_sip. chan_sip has some code to automatically
	  switch from T.38 mode to voice mode when a voice frame is written
	  to the channel while it is in T.38 mode; this was intended to
	  handle the situation when a FAX transmission has ended and the
	  channel is not yet hung up, but is causing problems at the
	  beginning of FAX sessions as well when there are still voice
	  frames 'in flight' at the time the T.38 negotiation completes.
	  This patch removes the automatic switchover, and changes app_fax
	  to explicitly switch off T.38 mode when the FAX transmission
	  process ends. (closes issue #16025) Reported by: jamicque
	  ........

2009-10-11 17:27 +0000 [r223488]  Russell Bryant <russell@digium.com>

	* main/autoservice.c, /: Merged revisions 223487 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r223487 | russell | 2009-10-11 12:25:42 -0500 (Sun, 11 Oct 2009)
	  | 17 lines Merged revisions 223485-223486 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r223485 | russell | 2009-10-11 12:22:52 -0500 (Sun, 11 Oct 2009)
	  | 6 lines Don't use data outside of its scope. The purpose of
	  this code was to have a hangup frame put on the list of deferred
	  frames. However, the code that read the hangup frame was outside
	  of the scope of where the hangup frame was declared. ........
	  r223486 | russell | 2009-10-11 12:25:06 -0500 (Sun, 11 Oct 2009)
	  | 2 lines Remove some unnecessary code. ........ ................

2009-10-09 23:08 +0000 [r223404]  Jeff Peeler <jpeeler@digium.com>

	* channels/chan_dahdi.c, channels/chan_h323.c: Fix interpretation
	  of PRIREDIRECTIONREASON set by chan_sip. This commit is the
	  simplest way to solve a problem that has already been solved in
	  trunk with the "COLP/CONP and Redirecting party information into
	  Asterisk" commit. In trunk the redirection reason is translated
	  into a generic redirect reason. I would have had to do the same
	  fix except chan_sip never reads PRIREDIRECTREASON. So both
	  chan_dahdi and chan_h323 have been modified to interpret the one
	  different redirect reason of "no-answer" properly and set the
	  ISDN reason code 2 of "no reply". (closes issue #15033) Reported
	  by: steinwej

2009-10-09 20:59 +0000 [r223331]  Kevin P. Fleming <kpfleming@digium.com>

	* /, apps/app_fax.c: Merged revisions 223330 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r223330 |
	  kpfleming | 2009-10-09 15:58:44 -0500 (Fri, 09 Oct 2009) | 10
	  lines Initiate T.38 switchover when acting as called party,
	  regardless of FAX direction. SendFAX() and ReceiveFAX() can be
	  given options to indicate whether they should act as the calling
	  or called party; this mode should be used to decide whether to
	  initiate a switchover to T.38, not the direction that the FAX
	  transfer will take place. (closes issue #16039) Reported by:
	  jamicque ........

2009-10-09 18:36 +0000 [r223276]  Matthew Nicholson <mnicholson@digium.com>

	* main/channel.c, /: Merged revisions 223273 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r223273 | mnicholson | 2009-10-09 13:34:08 -0500 (Fri, 09 Oct
	  2009) | 14 lines Merged revisions 223225 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r223225 | mnicholson | 2009-10-09 13:20:11 -0500 (Fri, 09 Oct
	  2009) | 8 lines Signal timeouts by returning AST_CONTROL_RINGING
	  when originating calls. (closes issue #15104) Reported by:
	  nblasgen Patches: manager-timeout1.diff uploaded by mnicholson
	  (license 96) Tested by: nblasgen, mnicholson ........
	  ................

2009-10-09 18:20 +0000 [r223226]  Mark Michelson <mmichelson@digium.com>

	* apps/app_dial.c, /: Merged revisions 223215 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r223215 | mmichelson | 2009-10-09 13:17:34 -0500 (Fri, 09 Oct
	  2009) | 9 lines Recorded merge of revisions 223213 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/branches/1.4
	  ........ r223213 | mmichelson | 2009-10-09 13:17:12 -0500 (Fri,
	  09 Oct 2009) | 3 lines Fix potential memory leak in app_dial.c
	  ........ ................

2009-10-09 17:57 +0000 [r223210]  David Vossel <dvossel@digium.com>

	* /, channels/chan_sip.c: Merged revisions 223206 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r223206 | dvossel | 2009-10-09 12:53:37 -0500 (Fri, 09 Oct 2009)
	  | 16 lines Merged revisions 223205 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r223205 | dvossel | 2009-10-09 12:52:35 -0500 (Fri, 09 Oct 2009)
	  | 10 lines fixes sip registration using authuser in user.conf
	  (closes issue #14954) Reported by: tornblad Tested by:
	  mmichelson, tornblad, dvossel ........ ................

2009-10-09 17:27 +0000 [r223172]  Matthew Nicholson <mnicholson@digium.com>

	* cdr/cdr_sqlite3_custom.c, /: Merged revisions 223136 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk ........
	  r223136 | mnicholson | 2009-10-09 12:14:38 -0500 (Fri, 09 Oct
	  2009) | 8 lines Don't close the sqlite database when reloading.
	  Only close the database when unloading. (closes issue #15953)
	  Reported by: frawd Patches: sqlite3_rev220097.diff uploaded by
	  frawd (license 610) Tested by: frawd ........

2009-10-09 17:11 +0000 [r223091-223135]  David Vossel <dvossel@digium.com>

	* /, channels/chan_sip.c: Merged revisions 223132 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r223132 |
	  dvossel | 2009-10-09 11:54:02 -0500 (Fri, 09 Oct 2009) | 9 lines
	  'auth=' did not parse md5 secret correctly (closes issue #15949)
	  Reported by: ebroad Patches: authparsefix.patch uploaded by
	  ebroad (license 878) 15949_trunk.diff uploaded by dvossel
	  (license 671) Tested by: ebroad ........

	* /, channels/chan_sip.c: Merged revisions 223088 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r223088 |
	  dvossel | 2009-10-09 10:49:30 -0500 (Fri, 09 Oct 2009) | 14 lines
	  p->peerauth is always empty in transmit_register() When using
	  callbackextension or specifing the peer name in a registration
	  string, the peer's specific auth settings set by the "auth="
	  strings within the peer definition are not used by the
	  registration. Thanks to ebroad for reporting the issue and
	  providing the patch. (closes issue #15955) Reported by: ebroad
	  Patches: regauthfix.patch uploaded by ebroad (license 878)
	  ........

2009-10-08 19:54 +0000 [r222881]  Russell Bryant <russell@digium.com>

	* include/asterisk/file.h, main/frame.c, /, main/file.c,
	  include/asterisk/frame.h: Merged revisions 222880 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r222880 | russell | 2009-10-08 14:52:03 -0500
	  (Thu, 08 Oct 2009) | 51 lines Merged revisions 222878 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r222878 | russell | 2009-10-08 14:45:47 -0500 (Thu, 08 Oct 2009)
	  | 44 lines Make filestream frame handling safer by isolating
	  frames before returning them. This patch is related to a number
	  of issues on the bug tracker that show crashes related to freeing
	  frames that came from a filestream. A number of fixes have been
	  made over time while trying to figure out these problems, but
	  there re still people seeing the crash. (Note that some of these
	  bug reports include information about other problems. I am
	  specifically addressing the filestream frame crash here.) I'm
	  still not clear on what the exact problem is. However, what is
	  _very_ clear is that we have seen quite a few problems over time
	  related to unexpected behavior when we try to use embedded frames
	  as an optimization. In some cases, this optimization doesn't
	  really provide much due to improvements made in other areas. In
	  this case, the patch modifies filestream handling such that the
	  embedded frame will not be returned. ast_frisolate() is used to
	  ensure that we end up with a completely mallocd frame. In
	  reality, though, we will not actually have to malloc every time.
	  For filestreams, the frame will almost always be allocated and
	  freed in the same thread. That means that the thread local frame
	  cache will be used. So, going this route doesn't hurt. With this
	  patch in place, some people have reported success in not seeing
	  the crash anymore. (SWP-150) (AST-208) (ABE-1834) (issue #15609)
	  Reported by: aragon Patches: filestream_frisolate-1.4.diff2.txt
	  uploaded by russell (license 2) Tested by: aragon, russell
	  (closes issue #15817) Reported by: zerohalo Tested by: zerohalo
	  (closes issue #15845) Reported by: marhbere Review:
	  https://reviewboard.asterisk.org/r/386/ ........ ................

2009-10-08 19:42 +0000 [r222876]  David Vossel <dvossel@digium.com>

	* main/netsock.c, /, include/asterisk/netsock.h: Merged revisions
	  222873 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r222873 |
	  dvossel | 2009-10-08 14:35:30 -0500 (Thu, 08 Oct 2009) | 6 lines
	  fixes an ast_netsock_list memory leak. ABE-1998 Review:
	  https://reviewboard.asterisk.org/r/395/ ........

2009-10-08 16:47 +0000 [r222693-222800]  Richard Mudgett <rmudgett@digium.com>

	* channels/misdn_config.c, /: Merged revisions 222799 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r222799 | rmudgett | 2009-10-08 11:44:33 -0500
	  (Thu, 08 Oct 2009) | 19 lines Merged revisions 222797 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r222797 | rmudgett | 2009-10-08 11:33:06 -0500 (Thu, 08 Oct 2009)
	  | 12 lines Fix memory leak if chan_misdn config parameter is
	  repeated. Memory leak when the same config option is set more
	  than once in an misdn.conf section. Why must this be considered?
	  Templates! Defining a template with default port options and
	  later adding to or overriding some of them. Patches:
	  memleak-misdn.patch JIRA ABE-1998 ........ ................

	* channels/chan_misdn.c, /: Merged revisions 222692 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r222692 | rmudgett | 2009-10-07 16:56:36 -0500
	  (Wed, 07 Oct 2009) | 21 lines Merged revisions 222691 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r222691 | rmudgett | 2009-10-07 16:51:24 -0500 (Wed, 07 Oct 2009)
	  | 14 lines chan_misdn.c:process_ast_dsp() memory leak misdn.conf:
	  astdtmf must be set to "yes". With "no", buffer loss does not
	  occur. The translated frame "f2" when passing through
	  ast_dsp_process() is not freed whenever it is not used further in
	  process_ast_dsp(). Then in the end it is never ever freed.
	  Patches: translate.patch JIRA ABE-1993 ........ ................

2009-10-07 18:35 +0000 [r222605]  Sean Bright <sean@malleable.com>

	* main/pbx.c: Properly initialize ast_devstate_aggregate so we
	  don't crash sporadically. This looks like it was just missed
	  during a merge. (closes issue #15841) Reported by: amorsen
	  Patches:
	  ast_devstate_aggregate_init-in-ast_extension_state2.patch
	  uploaded by amorsen (license 676) Tested by: amorsen (closes
	  issue #15852) Reported by: amorsen Tested by: amorsen, farisraouf

2009-10-07 17:47 +0000 [r222546]  David Vossel <dvossel@digium.com>

	* /, channels/chan_sip.c: Merged revisions 222543 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r222543 | dvossel | 2009-10-07 12:44:52 -0500 (Wed, 07 Oct 2009)
	  | 14 lines Merged revisions 222542 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r222542 | dvossel | 2009-10-07 12:41:21 -0500 (Wed, 07 Oct 2009)
	  | 8 lines crash on transfer handle_invite_replaces() attempts to
	  uplock a pvt's owner channel without first verifing that it
	  exists. (issue #16027) ........ ................

2009-10-07 17:32 +0000 [r222541]  Tilghman Lesher <tlesher@digium.com>

	* res/ael/pval.c: Small typo (thanks, jpeeler)

2009-10-06 23:57 +0000 [r222302-222464]  Jeff Peeler <jpeeler@digium.com>

	* channels/chan_dahdi.c, /: Merged revisions 222463 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r222463 | jpeeler | 2009-10-06 18:56:01 -0500
	  (Tue, 06 Oct 2009) | 14 lines Merged revisions 222462 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r222462 | jpeeler | 2009-10-06 18:51:19 -0500 (Tue, 06 Oct 2009)
	  | 8 lines Add missing unlock(s) in dahdi_read (two cases in
	  trunk) (closes issue #15683) Reported by: alecdavis ........
	  ................

	* channels/chan_dahdi.c: Fix potential crash when entire span
	  request is received. The variable index used in this scenario for
	  accessing the dahdi_pvts was wrong and was most likely copied
	  from the several other places it is used correctly. (closes issue
	  #15998) Reported by: tsearle Patches: dahdi_reset_crash.patch
	  uploaded by tsearle (license 373) Modified:
	  branches/1.4/channels/chan_dahdi.c

	* channels/chan_dahdi.c, /: Merged revisions 222351 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk ........
	  r222351 | jpeeler | 2009-10-06 15:35:19 -0500 (Tue, 06 Oct 2009)
	  | 9 lines Fix 222298 (crash during destruction of second channel
	  when variable set with setvar). I mistakenly reasoned that setvar
	  would be used on all channels. Since it can be set per channel,
	  give each dahdi channel a copy of the variable. (related to
	  #15899) ........

	* channels/chan_dahdi.c, /: Merged revisions 222298 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk ........
	  r222298 | jpeeler | 2009-10-06 14:24:59 -0500 (Tue, 06 Oct 2009)
	  | 9 lines Fix crash during destruction of second channel when
	  variable set with setvar. The setvar line in chan_dahdi.conf is
	  shared among all the channels, so make sure to only free the
	  resources only when the last channel is destroyed. (closes issue
	  #15899) Reported by: tzafrir ........

2009-10-06 19:19 +0000 [r222279]  Tilghman Lesher <tlesher@digium.com>

	* res/ael/pval.c, /: Recorded merge of revisions 222273 via
	  svnmerge from https://origsvn.digium.com/svn/asterisk/trunk
	  ........ r222273 | tilghman | 2009-10-06 14:17:11 -0500 (Tue, 06
	  Oct 2009) | 5 lines When we call a gosub routine, the variables
	  should be scoped to avoid contaminating the caller. This affected
	  the ~~EXTEN~~ hack, where a subroutine might have changed the
	  value before it was used in the caller. Patch by myself, tested
	  by ebroad on #asterisk ........

2009-11-04  Leif Madsen <lmadsen@digium.com>

	* Release Asterisk 1.6.0.17

	* AST-2009-008 and AST-2009-009

2009-10-06  Leif Madsen <lmadsen@digium.com>

	* Release Asterisk 1.6.0.16-rc2

2009-10-06 01:33 +0000 [r222111-222185]  Kevin P. Fleming <kpfleming@digium.com>

	* main/astobj2.c, /, funcs/func_dialgroup.c,
	  include/asterisk/astobj2.h, res/res_phoneprov.c,
	  channels/chan_console.c, res/res_musiconhold.c, apps/app_queue.c,
	  channels/chan_iax2.c: Merged revisions 222176 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r222176 | kpfleming | 2009-10-05 20:24:24 -0500 (Mon, 05 Oct
	  2009) | 27 lines Recorded merge of revisions 222152 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/branches/1.4
	  ........ r222152 | kpfleming | 2009-10-05 20:16:36 -0500 (Mon, 05
	  Oct 2009) | 20 lines Fix ao2_iterator API to hold references to
	  containers being iterated. See Mantis issue for details of what
	  prompted this change. Additional notes: This patch changes the
	  ao2_iterator API in two ways: F_AO2I_DONTLOCK has become an enum
	  instead of a macro, with a name that fits our naming policy;
	  also, it is now necessary to call ao2_iterator_destroy() on any
	  iterator that has been created. Currently this only releases the
	  reference to the container being iterated, but in the future this
	  could also release other resources used by the iterator, if the
	  iterator implementation changes to use additional resources.
	  (closes issue #15987) Reported by: kpfleming Review:
	  https://reviewboard.asterisk.org/r/383/ ........ ................

	* main/udptl.c, /, channels/chan_sip.c, configs/udptl.conf.sample,
	  UPGRADE.txt, configs/sip.conf.sample: Recorded merge of revisions
	  222110 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r222110 |
	  kpfleming | 2009-10-05 14:45:00 -0500 (Mon, 05 Oct 2009) | 25
	  lines Allow non-compliant T.38 endpoints to be supportable via
	  configuration option. Many T.38 endpoints incorrectly send the
	  maximum IFP frame size they can accept as the T38FaxMaxDatagram
	  value in their SDP, when in fact this value is supposed to be the
	  maximum UDPTL payload size (datagram size) they can accept. If
	  the value they supply is small enough (a commonly supplied value
	  is '72'), T.38 UDPTL transmissions will likely fail completely
	  because the UDPTL packets will not have enough room for a primary
	  IFP frame and the redundancy used for error correction. If this
	  occurs, the Asterisk UDPTL stack will emit log messages warning
	  that data loss may occur, and that the value may need to be
	  overridden. This patch extends the 't38pt_udptl' configuration
	  option in sip.conf to allow the administrator to override the
	  value supplied by the remote endpoint and supply a value that
	  allows T.38 FAX transmissions to be successful with that
	  endpoint. In addition, in any SIP call where the override takes
	  effect, a debug message will be printed to that effect. This
	  patch also removes the T38FaxMaxDatagram configuration option
	  from udptl.conf.sample, since it has not actually had any effect
	  for a number of releases. In addition, this patch cleans up the
	  T.38 documentation in sip.conf.sample (which incorrectly
	  documented that T.38 support was passthrough only). (issue
	  #15586) Reported by: globalnetinc ........

2009-10-02 17:37 +0000 [r222038]  David Vossel <dvossel@digium.com>

	* /, channels/chan_iax2.c: Merged revisions 222030 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r222030 | dvossel | 2009-10-02 12:34:07 -0500
	  (Fri, 02 Oct 2009) | 9 lines Merged revisions 222026 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/branches/1.4
	  ........ r222026 | dvossel | 2009-10-02 12:32:13 -0500 (Fri, 02
	  Oct 2009) | 3 lines Removes unnecessary unlock, clarifies a
	  memcpy. ........ ................

2009-10-02 17:00 +0000 [r221972]  Tilghman Lesher <tlesher@digium.com>

	* main/astobj2.c, /: Merged revisions 221971 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r221971 | tilghman | 2009-10-02 11:59:57 -0500 (Fri, 02 Oct 2009)
	  | 9 lines Merged revisions 221970 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r221970 | tilghman | 2009-10-02 11:58:03 -0500 (Fri, 02 Oct 2009)
	  | 2 lines Ensure the result of the hash function is positive.
	  Negative array offsets suck. ........ ................

2009-10-02 13:04 +0000 [r221963]  Sean Bright <sean@malleable.com>

	* funcs/func_strings.c: Revert XML docs that ended up in the 1.6.0
	  and 1.6.1 branches during a merge.

2009-10-02 03:05 +0000 [r221921]  Tilghman Lesher <tlesher@digium.com>

	* /, main/logger.c: Merged revisions 221920 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r221920 |
	  tilghman | 2009-10-01 22:04:34 -0500 (Thu, 01 Oct 2009) | 4 lines
	  Initialize a variable that we check immediately upon startup.
	  (closes issue #15973) Reported by: atis ........

2009-10-02 01:20 +0000 [r221853]  Richard Mudgett <rmudgett@digium.com>

	* channels/misdn/isdn_lib.c, channels/misdn/isdn_lib_intern.h, /:
	  Merged revisions 221844 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r221844 | rmudgett | 2009-10-01 20:09:31 -0500 (Thu, 01 Oct 2009)
	  | 33 lines Merged revisions 221769 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r221769 | rmudgett | 2009-10-01 18:18:28 -0500 (Thu, 01 Oct 2009)
	  | 26 lines Occasionally losing use of B channels in chan_misdn. I
	  have not been able to reproduce the problem of losing channels.
	  However, I have seen in the code a reentrancy problem that might
	  give these symptoms. The reentrancy patch does several things: 1)
	  Guards B channel and B channel structure allocation. 2) Makes the
	  B channel structure find routines more precise in locating
	  records. 3) Never leave a B channel allocated if we received
	  cause 44. The last item may cause temporary outgoing call
	  problems, but they should clear when the line becomes idle.
	  (closes issue #15490) Reported by: slutec18 Patches:
	  issue15490_channel_alloc_reentrancy.patch uploaded by rmudgett
	  (license 664) Tested by: rmudgett, slutec18 (closes issue #15458)
	  Reported by: FabienToune Patches:
	  issue15458_channel_alloc_reentrancy.patch uploaded by rmudgett
	  (license 664) Tested by: FabienToune, rmudgett, slutec18 ........
	  ................

2009-10-02 00:03 +0000 [r221778]  Tilghman Lesher <tlesher@digium.com>

	* main/asterisk.c, main/rtp.c, /, main/say.c: Merged revisions
	  221777 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r221777 | tilghman | 2009-10-01 18:59:15 -0500 (Thu, 01 Oct 2009)
	  | 9 lines Merged revisions 221776 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r221776 | tilghman | 2009-10-01 18:53:12 -0500 (Thu, 01 Oct 2009)
	  | 2 lines Fix a bunch of off-by-one errors ........
	  ................

2009-10-01 21:04 +0000 [r221745]  David Vossel <dvossel@digium.com>

	* /, channels/chan_sip.c: Merged revisions 221697 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r221697 |
	  dvossel | 2009-10-01 14:33:33 -0500 (Thu, 01 Oct 2009) | 9 lines
	  outbound tls connections were not defaulting to port 5061 (closes
	  issue #15854) Reported by: dvossel Patches:
	  sip_port_config_trunk.diff uploaded by dvossel (license 671)
	  Tested by: dvossel ........

2009-10-01 20:34 +0000 [r221742]  Tilghman Lesher <tlesher@digium.com>

	* /, channels/chan_sip.c: Merged revisions 221705 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r221705 |
	  tilghman | 2009-10-01 15:09:46 -0500 (Thu, 01 Oct 2009) | 2 lines
	  Revision 220906 (a merge from 1.4) was not merged correctly,
	  causing a problem with non-dynamic peers. ........

2009-10-01 20:19 +0000 [r221712]  David Vossel <dvossel@digium.com>

	* channels/chan_sip.c: Fixes issue with non dynamic hosts not being
	  set for peers

2009-10-01 17:09 +0000 [r221662]  Matthew Nicholson <mnicholson@digium.com>

	* /, channels/chan_sip.c: Merged revisions 221554,221589 via
	  svnmerge from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r221554 | oej | 2009-10-01 02:00:04 -0500 (Thu,
	  01 Oct 2009) | 3 lines Simplify code for porturi, use TRUE/FALSE
	  constructs when it's just TRUE or FALSE. ................ r221589
	  | mnicholson | 2009-10-01 10:26:20 -0500 (Thu, 01 Oct 2009) | 9
	  lines Merged revisions 221588 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r221588 | mnicholson | 2009-10-01 10:24:00 -0500 (Thu, 01 Oct
	  2009) | 2 lines Use unsigned ints for portinuri flags. ........
	  ................

2009-10-01 16:18 +0000 [r221598]  Kevin P. Fleming <kpfleming@digium.com>

	* main/udptl.c, /, configs/udptl.conf.sample, UPGRADE.txt: Merged
	  revisions 221592 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r221592 |
	  kpfleming | 2009-10-01 11:16:09 -0500 (Thu, 01 Oct 2009) | 12
	  lines Remove ability to control T.38 FAX error correction from
	  udptl.conf. chan_sip has had the ability to control T.38 FAX
	  error correction mode on a per-peer (or global) basis for a
	  couple of releases now, which is where it should have been all
	  along. This patch removes the ability to configure it in
	  udptl.conf, but issues a warning if the user tries to do, telling
	  them to look at sip.conf.sample for how to configure it now. For
	  any SIP peers that are T.38 enabled in sip.conf, there is already
	  a default for FEC error correction even if the user does not
	  specify any mode, so this change will not turn off error
	  correction by default, it will have the same default value that
	  has been in the udptl.conf sample file. ........

2009-09-30 23:08 +0000 [r221486]  Matthew Nicholson <mnicholson@digium.com>

	* /, channels/chan_sip.c, configs/sip.conf.sample: Merged revisions
	  221432 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r221432 | mnicholson | 2009-09-30 15:40:20 -0500 (Wed, 30 Sep
	  2009) | 17 lines Merged revisions 221360 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r221360 | mnicholson | 2009-09-30 14:36:06 -0500 (Wed, 30 Sep
	  2009) | 10 lines Fix SRV lookup and Request-URI generation in
	  chan_sip. This patch adds a new field "portinuri" to the sip
	  dialog struct and the sip peer struct. That field is used during
	  RURI generation to determine if the port should be included in
	  the RURI. It is also used in some places to determine if an SRV
	  lookup should occur. (closes issue #14418) Reported by: klaus3000
	  Tested by: klaus3000, mnicholson Review:
	  https://reviewboard.asterisk.org/r/369/ ........ ................

2009-09-30 20:02 +0000 [r221369]  Matthias Nick <mnick@digium.com>

	* configs/cdr_custom.conf.sample, /, funcs/func_strings.c: Merged
	  revisions 221368 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r221368 | mnick | 2009-09-30 14:42:36 -0500 (Wed, 30 Sep 2009) |
	  23 lines Merged revisions 221153,221157,221303 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r221153 | mnick | 2009-09-30 10:37:39 -0500 (Wed, 30 Sep 2009) |
	  2 lines check bounds - prevents for buffer overflow ........
	  r221157 | mnick | 2009-09-30 10:41:46 -0500 (Wed, 30 Sep 2009) |
	  8 lines added a new dialplan function 'CSV_QUOTE' and changed the
	  cdr_custom.sample.conf (closes issue #15471) Reported by: dkerr
	  Patches: csv_quote_14.txt uploaded by mnick (license ) Tested by:
	  mnick ........ r221303 | mnick | 2009-09-30 14:02:00 -0500 (Wed,
	  30 Sep 2009) | 2 lines changed the prototype definition of
	  csv_quote ........ ................

2009-09-30 18:50 +0000 [r221301]  Terry Wilson <twilson@digium.com>

	* main/rtp.c, /, channels/chan_sip.c, include/asterisk/rtp.h,
	  configs/sip.conf.sample: Merged revisions 221266 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r221266 | twilson | 2009-09-30 12:52:30 -0500
	  (Wed, 30 Sep 2009) | 32 lines Merged revisions 221086 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r221086 | twilson | 2009-09-30 09:49:11 -0500 (Wed, 30 Sep 2009)
	  | 25 lines Change the SSRC by default when our media stream
	  changes Be default, change SSRC when doing an audio stream
	  changes Asterisk doesn't honor marker bit when reinvited to
	  already-bridged RTP streams,resulting in far-end stack discarding
	  packets with "old" timestamps that areactually part of a new
	  stream. This patch sends AST_CONTROL_SRCUPDATE whenever there is
	  a reinvite, unless the 'constantssrc' is set to true in sip.conf.
	  The original issue reported to Digium support detailed the
	  following situation: ITSP <-> Asterisk 1.4.26.2 <-> SIP-based
	  Application Server Call comes in fromITSP, Asterisk dials the app
	  server which sends a re-invite back toAsterisk--not to negotiate
	  to send media directly to the ITSP, but to indicatethat it's
	  changing the stream it's sending to Asterisk. The app
	  servergenerates a new SSRC, sequence numbers, timestamps, and
	  sets the marker bit on the new stream. Asterisk passes through
	  the teimstamp of the new stream, butdoes not reset the SSRC,
	  sequence numbers, or set the marker bit. When the timestamp on
	  the new stream is older than the timestamp on the originalstream,
	  the ITSP (which doesn't know there has been any change) discards
	  the newframes because it thinks they are too old. This patch
	  addresses this by changing the SSRC on a stream update unless
	  constantssrc=true is set in sip.conf. Review:
	  https://reviewboard.asterisk.org/r/374/ ........ ................

2009-09-30 16:57 +0000 [r221202]  Tilghman Lesher <tlesher@digium.com>

	* main/channel.c, /: Merged revisions 221201 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r221201 | tilghman | 2009-09-30 11:56:42 -0500 (Wed, 30 Sep 2009)
	  | 14 lines Merged revisions 221200 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r221200 | tilghman | 2009-09-30 11:55:21 -0500 (Wed, 30 Sep 2009)
	  | 7 lines Avoid a potential NULL dereference. (closes issue
	  #15865) Reported by: kobaz Patches: 20090915__issue15865.diff.txt
	  uploaded by tilghman (license 14) Tested by: kobaz ........
	  ................

2009-09-30 14:52 +0000 [r221087]  Sean Bright <sean@malleable.com>

	* apps/app_voicemail.c, /: Merged revisions 221085 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk ........
	  r221085 | seanbright | 2009-09-30 10:47:58 -0400 (Wed, 30 Sep
	  2009) | 9 lines Clarify documentation for VoiceMailMain()'s a()
	  option. We require box numbers, not names as the documentation
	  implies. (issue #14740) Reported by: pj Patches:
	  __20090729-app_voicemail-documentation.patch uploaded by lmadsen
	  (license 10) Tested by: seanbright, lmadsen ........

2009-09-30 04:34 +0000 [r220976-221045]  Tilghman Lesher <tlesher@digium.com>

	* /, funcs/func_lock.c: Recorded merge of revisions 221044 via
	  svnmerge from https://origsvn.digium.com/svn/asterisk/trunk
	  ........ r221044 | tilghman | 2009-09-29 23:32:36 -0500 (Tue, 29
	  Sep 2009) | 8 lines Allow locks to be inherited through a
	  masquerade without causing starvation. (closes issue #14859)
	  Reported by: atis Patches: 20090821__issue14859.diff.txt uploaded
	  by tilghman (license 14) 20090925__issue14859__1.6.1.diff.txt
	  uploaded by tilghman (license 14) Tested by: atis, tilghman
	  ........

	* /, channels/chan_sip.c: Merged revisions 220906 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r220906 | tilghman | 2009-09-29 14:57:37 -0500 (Tue, 29 Sep 2009)
	  | 16 lines Merged revisions 220873 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r220873 | tilghman | 2009-09-29 12:59:26 -0500 (Tue, 29 Sep 2009)
	  | 9 lines Reduce CPU usage related to building a peer merely for
	  devicestates. This fixes a 100% CPU problem in the SIP driver,
	  found by profiling the driver while the problem was occurring.
	  (closes issue #14309) Reported by: pkempgen Patches:
	  20090924__issue14309.diff.txt uploaded by tilghman (license 14)
	  Tested by: pkempgen, vrban ........ ................

2009-09-29 20:25 +0000 [r220940]  Matthew Nicholson <mnicholson@digium.com>

	* apps/app_chanspy.c: Avoid a deadlock in chanspy, just in case the
	  spyee is masqueraded and chanspy_ds_chan_fixup() is called with
	  the channel locked. (closes issue #15965) Reported by: atis
	  Patches: chanspy-deadlock-fix1.diff uploaded by mnicholson
	  (license 96) Tested by: atis

2009-09-29 17:04 +0000 [r220834]  Jeff Peeler <jpeeler@digium.com>

	* apps/app_voicemail.c, /: Merged revisions 220833 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk ........
	  r220833 | jpeeler | 2009-09-29 11:58:29 -0500 (Tue, 29 Sep 2009)
	  | 12 lines Make deletion of temporary greetings work properly
	  with IMAP_STORAGE When imapgreetings was set to yes, the message
	  was being deleted but wasn't actually being expunged. When
	  imapgreetings was set to no, the file based message was not being
	  deleted at all. All good now! (closes issue #14949) Reported by:
	  noahisaac Patches: vm_tempgreeting_removal.patch uploaded by
	  noahisaac (license 748), modified by me ........

2009-09-28 19:13 +0000 [r220723]  Sean Bright <sean@malleable.com>

	* /, Makefile.rules: Merged revisions 220721 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r220721 | seanbright | 2009-09-28 15:11:20 -0400 (Mon, 28 Sep
	  2009) | 10 lines Merged revisions 220717 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r220717 | seanbright | 2009-09-28 15:09:25 -0400 (Mon, 28 Sep
	  2009) | 3 lines When selecting DONT_OPTIMIZE in menuselect,
	  explicitly pass -O0 to the compiler so we override any default
	  optimization levels for a particular install. ........
	  ................

2009-09-26 15:11 +0000 [r220587]  Tilghman Lesher <tlesher@digium.com>

	* /, include/asterisk/aes.h: Merged revisions 220586 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk ........
	  r220586 | tilghman | 2009-09-26 10:10:28 -0500 (Sat, 26 Sep 2009)
	  | 2 lines Allow AES to compile, when OpenSSL is not present.
	  ........

2009-09-24 20:42 +0000 [r220372]  David Vossel <dvossel@digium.com>

	* main/tcptls.c, /: Merged revisions 220365 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r220365 |
	  dvossel | 2009-09-24 15:37:20 -0500 (Thu, 24 Sep 2009) | 8 lines
	  fixes tcptls_session memory leak caused by ref count error
	  (closes issue #15939) Reported by: dvossel Review:
	  https://reviewboard.asterisk.org/r/375/ ........

2009-09-24 19:42 +0000 [r220290]  Tilghman Lesher <tlesher@digium.com>

	* apps/app_playback.c, main/pbx.c, /, apps/app_disa.c: Merged
	  revisions 220289 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r220289 | tilghman | 2009-09-24 14:41:02 -0500 (Thu, 24 Sep 2009)
	  | 13 lines Merged revisions 220288 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r220288 | tilghman | 2009-09-24 14:39:41 -0500 (Thu, 24 Sep 2009)
	  | 6 lines Implicitly sending a progress signal breaks some
	  applications. Call Progress() in your dialplan if you explicitly
	  want progress to be sent. (Reverts change 216430, closes issue
	  #15957) Reported by: Pavel Troller on the Asterisk-Dev mailing
	  list
	  http://lists.digium.com/pipermail/asterisk-dev/2009-September/039897.html
	  ........ ................

2009-09-24 18:22 +0000 [r220101-220219]  Sean Bright <sean@malleable.com>

	* Makefile, /: Merged revisions 220217 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r220217 | seanbright | 2009-09-24 14:19:41 -0400 (Thu, 24 Sep
	  2009) | 9 lines Merged revisions 220213 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r220213 | seanbright | 2009-09-24 14:18:18 -0400 (Thu, 24 Sep
	  2009) | 1 line Resolve parallel build warnings. Reported by Klaus
	  Darilion on the asterisk-dev mailing list. ........
	  ................

	* Makefile, build_tools/mkpkgconfig, /: Merged revisions 220100 via
	  svnmerge from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r220100 | seanbright | 2009-09-24 10:44:08 -0400
	  (Thu, 24 Sep 2009) | 9 lines Merged revisions 220099 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/branches/1.4
	  ........ r220099 | seanbright | 2009-09-24 10:41:57 -0400 (Thu,
	  24 Sep 2009) | 2 lines Remove the remaining bashisms in the
	  Makefile/mkpkgconfig ........ ................

2009-09-24 08:37 +0000 [r220029]  Michiel van Baak <michiel@vanbaak.info>

	* build_tools/mkpkgconfig, /: Merged revisions 220028 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r220028 | mvanbaak | 2009-09-24 10:36:18 +0200
	  (Thu, 24 Sep 2009) | 14 lines Merged revisions 220027 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r220027 | mvanbaak | 2009-09-24 10:33:50 +0200 (Thu, 24 Sep 2009)
	  | 7 lines mkpkgconfig does not need bash so make it use /bin/sh
	  This fixes building on all systems that don't have bash at
	  /bin/bash Reported by _ys on #asterisk-dev Tested by _ys on
	  #asterisk-dev ........ ................

2009-09-22 21:47 +0000 [r219819]  Tilghman Lesher <tlesher@digium.com>

	* apps/app_voicemail.c, /: Merged revisions 219818 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r219818 | tilghman | 2009-09-22 16:43:22 -0500
	  (Tue, 22 Sep 2009) | 17 lines Merged revisions 219816 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r219816 | tilghman | 2009-09-22 16:37:03 -0500 (Tue, 22 Sep 2009)
	  | 10 lines When IMAP variables were changed during a reload,
	  Voicemail did not use the new values. This change introduces a
	  configuration version variable, which ensures that connections
	  with the old values are not reused but are allowed to expire
	  normally. (closes issue #15934) Reported by: viniciusfontes
	  Patches: 20090922__issue15934.diff.txt uploaded by tilghman
	  (license 14) Tested by: viniciusfontes ........ ................

2009-09-21 17:03 +0000 [r219724]  David Vossel <dvossel@digium.com>

	* /, channels/chan_iax2.c: Merged revisions 219721 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r219721 | dvossel | 2009-09-21 11:59:05 -0500
	  (Mon, 21 Sep 2009) | 9 lines Merged revisions 219720 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/branches/1.4
	  ........ r219720 | dvossel | 2009-09-21 11:55:53 -0500 (Mon, 21
	  Sep 2009) | 3 lines Reverting merge 219520. This change was not
	  necessary. ........ ................

2009-09-20 18:20 +0000 [r219663]  Tilghman Lesher <tlesher@digium.com>

	* /, main/file.c: Merged revisions 219654 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r219654 | tilghman | 2009-09-20 12:55:49 -0500 (Sun, 20 Sep 2009)
	  | 15 lines Merged revisions 219653 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r219653 | tilghman | 2009-09-20 12:52:05 -0500 (Sun, 20 Sep 2009)
	  | 8 lines Really stop the stream, when ast_closestream() is
	  called. (closes issue #15129) Reported by: bmh Patches:
	  20090918__issue15129.diff.txt uploaded by tilghman (license 14)
	  Review: https://reviewboard.asterisk.org/r/372/ ........
	  ................

2009-09-19 03:06 +0000 [r219588]  Russell Bryant <russell@digium.com>

	* /, channels/chan_iax2.c: Merged revisions 219587 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r219587 | russell | 2009-09-18 21:59:52 -0500
	  (Fri, 18 Sep 2009) | 13 lines Merged revisions 219586 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r219586 | russell | 2009-09-18 21:51:13 -0500 (Fri, 18 Sep 2009)
	  | 6 lines Make sure the iax_pvt exists before dereferencing it.
	  This fixes the latest crash posted on issue 15609. (issue #15609)
	  ........ ................

2009-09-18 23:23 +0000 [r219454-219523]  David Vossel <dvossel@digium.com>

	* /, channels/chan_iax2.c: Merged revisions 219520 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r219520 | dvossel | 2009-09-18 18:20:58 -0500
	  (Fri, 18 Sep 2009) | 15 lines Merged revisions 219519 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r219519 | dvossel | 2009-09-18 18:19:50 -0500 (Fri, 18 Sep 2009)
	  | 9 lines iax2 frame double free The iax frame's retrans sched id
	  was written over right before iax2_frame_free was called. In
	  iax2_frame_free that retrans id is used to delete the sched item.
	  By writing over the retrans field before the sched item could be
	  deleted, it was possible for a retransmit to occur on a freed
	  frame. ........ ................

	* /, channels/chan_sip.c: Merged revisions 219451 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r219451 | dvossel | 2009-09-18 11:20:41 -0500 (Fri, 18 Sep 2009)
	  | 20 lines Merged revisions 219450 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r219450 | dvossel | 2009-09-18 11:19:15 -0500 (Fri, 18 Sep 2009)
	  | 14 lines via-header branches not updated correctly on INVITE
	  INVITE requests must always contain a new unique branch id. When
	  a new branch id is created for an INVITE, the dialog's
	  invite_branch variable must be updated so CANCEL requests use the
	  correct branch id. (closes issue #15262) Reported by: maniax
	  Patches: asterisk-1.6.1.0-sip-branch.patch uploaded by tweety
	  (license 608) invite_new_branch_trunk.diff uploaded by dvossel
	  (license 671) Tested by: maniax, dvossel ........
	  ................

2009-09-18 13:57 +0000 [r219413]  Tilghman Lesher <tlesher@digium.com>

	* apps/app_voicemail.c, /: Merged revisions 219412 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk ........
	  r219412 | tilghman | 2009-09-18 08:54:51 -0500 (Fri, 18 Sep 2009)
	  | 6 lines Missing value setting line for maxsecs/maxmessage
	  (closes issue #15696) Reported by: fhackenberger Patches:
	  maxsecs.patch uploaded by fhackenberger (license 592) ........

2009-09-17 22:36 +0000 [r219365]  Joshua Colp <jcolp@digium.com>

	* /, channels/chan_sip.c: Merged revisions 219324 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r219324 | mmichelson | 2009-09-17 17:22:01 -0500 (Thu, 17 Sep
	  2009) | 12 lines Merged revisions 219320 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r219320 | mmichelson | 2009-09-17 17:20:50 -0500 (Thu, 17 Sep
	  2009) | 6 lines Send a 100 Trying response when we detect a
	  spiral. This was problematic during spiral tests at SIPit...
	  along with some other things as well. ........ ................

2009-09-17 22:01 +0000 [r219305]  David Vossel <dvossel@digium.com>

	* /, channels/chan_sip.c: Merged revisions 219304 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r219304 | dvossel | 2009-09-17 16:59:21 -0500 (Thu, 17 Sep 2009)
	  | 27 lines Merged revisions 219303 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r219303 | dvossel | 2009-09-17 16:29:37 -0500 (Thu, 17 Sep 2009)
	  | 21 lines INVITE w/Replaces deadlock fix This patch cleans up
	  the locking logic in chan_sip.c's handle_invite_replaces()
	  function as well as making use of ast_do_masquerade() rather than
	  forcing the masquerade on an ast_read(). The code had several
	  redundant unlocks that would result in 'freed more times than
	  we've locked!' errors. I cleaned these up as well as moving all
	  the unlock logic to the end of the function. This patch should
	  also resolve the issue people were having with the replacecall
	  channel never being unlocked with one legged calls. (closes issue
	  #15151) Reported by: irroot Patches: invite_w_replaces_1.4.diff
	  uploaded by dvossel (license 671) Tested by: irroot, dvossel
	  Review: https://reviewboard.asterisk.org/r/371/ ........
	  ................

2009-09-17 19:58 +0000 [r219265]  Joshua Colp <jcolp@digium.com>

	* /, channels/chan_sip.c: Merged revisions 219264 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r219264 |
	  file | 2009-09-17 14:57:39 -0500 (Thu, 17 Sep 2009) | 2 lines
	  Ensure no spaces exist before "refresher=" when doing the
	  comparison. ........

2009-09-17  Leif Madsen <lmadsen@digium.com>

	* Released Asterisk 1.6.0.16-rc1

2009-09-17 15:44 +0000 [r219198]  Matthew Nicholson <mnicholson@digium.com>

	* main/channel.c, /, include/asterisk/cdr.h,
	  include/asterisk/channel.h: Merged revisions 219139 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r219139 | mnicholson | 2009-09-17 10:18:01 -0500
	  (Thu, 17 Sep 2009) | 17 lines Merged revisions 219136 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r219136 | mnicholson | 2009-09-17 09:58:39 -0500 (Thu, 17 Sep
	  2009) | 10 lines Prevent a potential race condition and crash
	  when hanging up a channel by removing the channel from the
	  channel list before begining channel tear down. This fix may
	  potentially cause problems with CDR backends that access the
	  channel a CDR is associated with via the channel list. This fix
	  makes the channel unavabile at the time when the CDR backend is
	  invoked. This has been documented in include/asterisk/cdr.h.
	  (closes issue #15316) Reported by: vmarrone Tested by: mnicholson
	  Review: https://reviewboard.asterisk.org/r/362/ ........
	  ................

2009-09-16 23:52 +0000 [r219064]  Tilghman Lesher <tlesher@digium.com>

	* main/config.c, configs/extensions.conf.sample, /: Merged
	  revisions 219061 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r219061 | tilghman | 2009-09-16 18:42:12 -0500 (Wed, 16 Sep 2009)
	  | 15 lines Merged revisions 219023 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r219023 | tilghman | 2009-09-16 18:21:53 -0500 (Wed, 16 Sep 2009)
	  | 8 lines Properly deal with quotes in the arguments of '#exec'
	  includes. (closes issue #15583) Reported by: pkempgen Patches:
	  20090726__issue15583.diff.txt uploaded by tilghman (license 14)
	  20090726__issue15583-1.4-4.diff.txt uploaded by pkempgen (license
	  169) Tested by: pkempgen ........ ................

2009-09-16 19:26 +0000 [r218935]  Mark Michelson <mmichelson@digium.com>

	* /, channels/chan_sip.c: Merged revisions 218933 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r218933 |
	  mmichelson | 2009-09-16 14:25:36 -0500 (Wed, 16 Sep 2009) | 12
	  lines Reverse order of args to fread. This way, we don't always
	  write a null byte into byte 1 of the buffer (closes issue #15905)
	  Reported by: ebroad Patches: freadfix.patch uploaded by ebroad
	  (license 878) Tested by: ebroad ........

2009-09-16 18:44 +0000 [r218931]  Joshua Colp <jcolp@digium.com>

	* /, channels/chan_sip.c: Merged revisions 218918 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r218918 |
	  file | 2009-09-16 13:31:47 -0500 (Wed, 16 Sep 2009) | 5 lines On
	  TCP and TLS connections do not attempt to stop retransmission of
	  the packet internally. This was preventing responses from being
	  properly processed because the packet was not being found causing
	  handle_response to return prematurely. ........

2009-09-16 18:11 +0000 [r218869]  David Brooks <dbrooks@digium.com>

	* main/pbx.c, /: Merged revisions 218868 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r218868 | dbrooks | 2009-09-16 13:06:42 -0500 (Wed, 16 Sep 2009)
	  | 20 lines Merged revisions 218867 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r218867 | dbrooks | 2009-09-16 13:00:45 -0500 (Wed, 16 Sep 2009)
	  | 13 lines Fixes CID pattern matching behavior to mirror that of
	  extension pattern matching. Pattern matching for extensions uses
	  a type of scoring system, giving values for specificity to each
	  character in the pattern. Unfortunately, this is done character
	  by character, in order. This does lead to some less specific
	  patterns being first in line for matching, but it will usually
	  get the job done. This patch merely brings CID matching to the
	  same level as extension matching. This patch does not attempt to
	  tackle the problem shared by extension matching. (closes issue
	  #14708) Reported by: klaus3000 ........ ................

2009-09-16 13:36 +0000 [r218800]  Russell Bryant <russell@digium.com>

	* contrib/firmware/iax/iaxy.bin (removed), /, UPGRADE.txt: Merged
	  revisions 218799 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r218799 | russell | 2009-09-16 08:34:41 -0500 (Wed, 16 Sep 2009)
	  | 16 lines Merged revisions 218798 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r218798 | russell | 2009-09-16 08:33:43 -0500 (Wed, 16 Sep 2009)
	  | 9 lines Remove the IAXy firmware from Asterisk. The firmware
	  can now be found on downloads.digium.com, where the rest of our
	  binary downloads live. This was the last part of our Asterisk
	  tarballs that was considered non-free by Debian. :-) (closes
	  issue #15838) Reported by: paravoid ........ ................

2009-09-15 22:39 +0000 [r218732]  Tilghman Lesher <tlesher@digium.com>

	* apps/app_voicemail.c, /: Merged revisions 218731 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r218731 | tilghman | 2009-09-15 17:33:10 -0500
	  (Tue, 15 Sep 2009) | 13 lines Merged revisions 218730 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r218730 | tilghman | 2009-09-15 17:27:41 -0500 (Tue, 15 Sep 2009)
	  | 6 lines If the user enters the same password as before, don't
	  signal an error when the change does nothing. (closes issue
	  #15492) Reported by: cbbs70a Patches:
	  20090713__issue15492.diff.txt uploaded by tilghman (license 14)
	  ........ ................

2009-09-15 19:31 +0000 [r218690]  David Vossel <dvossel@digium.com>

	* /, channels/chan_sip.c: Merged revisions 218687 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r218687 |
	  dvossel | 2009-09-15 14:22:37 -0500 (Tue, 15 Sep 2009) | 2 lines
	  upward bound checking for port string to int conversion ........

2009-09-15 16:21 +0000 [r218601]  Matthew Nicholson <mnicholson@digium.com>

	* /, channels/chan_sip.c: Merged revisions 218586 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r218586 | mnicholson | 2009-09-15 11:15:02 -0500 (Tue, 15 Sep
	  2009) | 15 lines Merged revisions 218578 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r218578 | mnicholson | 2009-09-15 11:03:54 -0500 (Tue, 15 Sep
	  2009) | 8 lines Send request contact header field with response
	  to registrer queries instead of the address of record. (closes
	  issue #14438) Reported by: ravindrad Patches: regquerypatch
	  uploaded by ravindrad (license 684) Tested by: ravindrad ........
	  ................

2009-09-15 16:05 +0000 [r218580]  Tilghman Lesher <tlesher@digium.com>

	* /, apps/app_followme.c: Merged revisions 218579 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r218579 | tilghman | 2009-09-15 11:04:41 -0500 (Tue, 15 Sep 2009)
	  | 16 lines Merged revisions 218577 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r218577 | tilghman | 2009-09-15 11:01:17 -0500 (Tue, 15 Sep 2009)
	  | 9 lines Ensure FollowMe sets language in channels it creates.
	  Also, not in the original bug report, but related fields are
	  accountcode and musicclass, and the inheritance of datastores.
	  (closes issue #15372) Reported by: Romik Patches:
	  20090828__issue15372.diff.txt uploaded by tilghman (license 14)
	  Tested by: cervajs ........ ................

2009-09-15 15:42 +0000 [r218505-218573]  Mark Michelson <mmichelson@digium.com>

	* /, channels/chan_sip.c: Merged revisions 218566 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r218566 |
	  mmichelson | 2009-09-15 10:40:14 -0500 (Tue, 15 Sep 2009) | 4
	  lines Use a better method of ensuring null-termination of the
	  buffer while reading the SDP when using TCP. ........

	* /, channels/chan_sip.c: Merged revisions 218499,218504 via
	  svnmerge from https://origsvn.digium.com/svn/asterisk/trunk
	  ........ r218499 | mmichelson | 2009-09-15 09:59:50 -0500 (Tue,
	  15 Sep 2009) | 3 lines Fix off-by-one error when reading SDP sent
	  over TCP. ........ r218504 | mmichelson | 2009-09-15 10:05:53
	  -0500 (Tue, 15 Sep 2009) | 3 lines Ensure that SDP read from TCP
	  socket is null-terminated. ........

2009-09-15 15:03 +0000 [r218501]  Kevin P. Fleming <kpfleming@digium.com>

	* /, sounds/Makefile: Merged revisions 218500 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r218500 | kpfleming | 2009-09-15 11:02:21 -0400 (Tue, 15 Sep
	  2009) | 9 lines Merged revisions 218497 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r218497 | kpfleming | 2009-09-15 10:55:58 -0400 (Tue, 15 Sep
	  2009) | 1 line Use proper hostname for downloading sound files.
	  ........ ................

2009-09-14 22:49 +0000 [r218431]  Jeff Peeler <jpeeler@digium.com>

	* channels/chan_dahdi.c: Merged revisions 218430 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r218430 | jpeeler | 2009-09-14 17:38:25 -0500 (Mon, 14 Sep 2009)
	  | 18 lines Merged revisions 218401 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r218401 | jpeeler | 2009-09-14 16:47:11 -0500 (Mon, 14 Sep 2009)
	  | 11 lines Fix handling of DAHDI_EVENT_REMOVED event to prevent
	  crash in do_monitor. After talking to rmudgett about some of his
	  recent iflist locking changes, it was determined that the only
	  place that would destroy a channel without being explicitly to do
	  so was in handle_init_event. The loop to walk the interface list
	  has been modified to wait to destroy the channel until the
	  dahdi_pvt of the channel to be destroyed is no longer needed.
	  (closes issue #15378) Reported by: samy ........ ................

2009-09-14 19:49 +0000 [r218362]  Tilghman Lesher <tlesher@digium.com>

	* apps/app_voicemail.c, /, configs/voicemail.conf.sample,
	  sounds/Makefile: Merged revisions 218361 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r218361 | tilghman | 2009-09-14 14:29:48 -0500 (Mon, 14 Sep 2009)
	  | 11 lines Recorded merge of revisions 218331 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r218331 | tilghman | 2009-09-14 14:16:35 -0500 (Mon, 14 Sep 2009)
	  | 4 lines Don't say "Please try again" if we don't give the user
	  another chance to try again. (issue #15055, SWP-129) Reported by:
	  jthurman ........ ................

2009-09-14 15:22 +0000 [r218244]  Matthew Nicholson <mnicholson@digium.com>

	* /, apps/app_directed_pickup.c: Merged revisions 218224 via
	  svnmerge from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r218224 | mnicholson | 2009-09-14 09:57:23 -0500
	  (Mon, 14 Sep 2009) | 14 lines Merged revisions 218223 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r218223 | mnicholson | 2009-09-14 09:53:57 -0500 (Mon, 14 Sep
	  2009) | 8 lines Ensure we don't pickup ourselves when doing
	  pickup by exten. (closes issue #15100) Reported by: lmsteffan
	  Patches: (modified) pickup.patch uploaded by lmsteffan (license
	  779) ........ ................

2009-09-13 19:10 +0000 [r218216]  Tzafrir Cohen <tzafrir.cohen@xorcom.com>

	* channels/chan_phone.c, /: gcc 4.4: Remove a nop memset size 0
	  that annoys gcc This memset doesn't write beyond the end of the
	  buffer. (tmpbuf has size of 4). Merged revisions 218184 via
	  svnmerge from http://svn.digium.com/svn/asterisk/trunk

2009-09-12 13:10 +0000 [r218108]  Michiel van Baak <michiel@vanbaak.info>

	* main/rtp.c: Use the ip for the new 'rtp set debug ip <foo>'.
	  Since 1.6.X still has the deprecated 'rtp debug ip <foo>' this
	  patch is different from the fix that went into trunk (closes
	  issue #15711) Reported by: davidw Patches:
	  2009082800-rtpdebug.diff.txt uploaded by mvanbaak (license 7)
	  Tested by: davidw

2009-09-11 05:58 +0000 [r217920-218051]  Tilghman Lesher <tlesher@digium.com>

	* /, apps/app_queue.c: Merged revisions 217990 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r217990 | tilghman | 2009-09-10 18:54:51 -0500 (Thu, 10 Sep 2009)
	  | 10 lines Merged revisions 217989 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r217989 | tilghman | 2009-09-10 18:52:22 -0500 (Thu, 10 Sep 2009)
	  | 3 lines Don't ring another channel, if there's not enough time
	  for a queue member to answer. (Fixes AST-228) ........
	  ................

	* contrib/scripts/iax-friends.sql, /, channels/chan_sip.c,
	  channels/chan_iax2.c: Merged revisions 217916 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r217916 |
	  tilghman | 2009-09-10 18:12:16 -0500 (Thu, 10 Sep 2009) | 2 lines
	  Make calltoken support work with realtime users and peers.
	  ........

2009-09-10 22:31 +0000 [r217858-217913]  David Vossel <dvossel@digium.com>

	* channels/chan_sip.c: sip peer matching by address only with
	  TCP/TLS This patch removes the contact header matching logic and
	  adds logic to match all tcp/tls connections by ip only. Thanks to
	  oej for finding the issue and suggesting solutions. Review:
	  https://reviewboard.asterisk.org/r/355/

	* /, channels/chan_iax2.c: Merged revisions 217807 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r217807 | dvossel | 2009-09-10 16:07:47 -0500
	  (Thu, 10 Sep 2009) | 28 lines Merged revisions 217806 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r217806 | dvossel | 2009-09-10 16:06:07 -0500 (Thu, 10 Sep 2009)
	  | 22 lines IAX2 encryption regression The IAX2 Call Token
	  security patch inadvertently broke the use of encryption due to
	  the reorganization of code in the socket_process() function. When
	  encryption is used, an incoming full frame must first be
	  decrypted before the information elements can be parsed. The
	  security release mistakenly moved IE parsing before decryption in
	  order to process the new Call Token IE. To resolve this,
	  decryption of full frames is once again done before looking into
	  the frame. This involves searching for an existing callno,
	  checking the pvt to see if encryption is turned on, and
	  decrypting the packet before the internal fields of the full
	  frame are accessed. (closes issue #15834) Reported by: karesmakro
	  Patches: iax2_encryption_fix_1.4.diff uploaded by dvossel
	  (license 671) Tested by: dvossel, karesmakro Review:
	  https://reviewboard.asterisk.org/r/355/ ........ ................

2009-09-10 19:53 +0000 [r217736]  mnick <mnick@localhost>:

	* /, res/res_musiconhold.c: Merged revisions 217730 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk ........
	  r217730 | mnick | 2009-09-10 14:39:41 -0500 (Thu, 10 Sep 2009) |
	  17 lines Sets the correct musicclass after an announcement
	  (closes issue #15279) Reported by: mbeckwell Patches: patch.txt
	  uploaded by mnick (license ) Tested by: mnick (closes issue
	  #15832) Reported by: mbeckwell Patches: patch.txt uploaded by
	  mnick (license 874) Tested by: mnick ........

2009-09-10 12:16 +0000 [r217596]  Olle Johansson <oej@edvina.net>

	* /, channels/chan_sip.c: Merged revisions 217593 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r217593 |
	  oej | 2009-09-10 14:06:55 +0200 (Tor, 10 Sep 2009) | 8 lines
	  Include ActionID in all events that are responsed to AMI Action
	  SIPShowRegistry (closes issue #15868) Reported by: nic_bellamy
	  Patches: manager_SIPshowregistry_actionid.patch uploaded by nic
	  bellamy (license 299) ........

2009-09-09 20:15 +0000 [r217484]  Tzafrir Cohen <tzafrir.cohen@xorcom.com>

	* /, res/res_phoneprov.c: gcc 4.4 fix: union instead of cast gcc
	  4.4 has more strict rules for aliasing. It doesn't like a struct
	  sockaddr_in pointer pointing to a struct sockaddr. So we make it
	  a union. Merged revisions 217445 via svnmerge from
	  http://svn.digium.com/svn/asterisk/trunk

2009-09-09 11:33 +0000 [r217405]  Olle Johansson <oej@edvina.net>

	* /, channels/chan_sip.c: Merged revisions 217368 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r217368 |
	  oej | 2009-09-09 12:39:43 +0200 (Ons, 09 Sep 2009) | 2 lines Not
	  having any TLS session to write to is a serious XMIT_ERROR.
	  ........

2009-09-08 21:45 +0000 [r217281]  Kevin P. Fleming <kpfleming@digium.com>

	* configure: Commit regenerated configure script that I missed
	  earlier.

2009-09-08 20:31 +0000 [r217209]  Tilghman Lesher <tlesher@digium.com>

	* /, apps/app_meetme.c: Merged revisions 217199 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r217199 | tilghman | 2009-09-08 15:28:41 -0500 (Tue, 08 Sep 2009)
	  | 14 lines Merged revisions 217156 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r217156 | tilghman | 2009-09-08 15:01:45 -0500 (Tue, 08 Sep 2009)
	  | 7 lines When MOH is playing on the channel, announcements sent
	  through the conference are not heard. (closes issue #14588)
	  Reported by: voipas Patches: 20090716__issue14588__2.diff.txt
	  uploaded by tilghman (license 14) Tested by: lmadsen, twisted,
	  tilghman ........ ................

2009-09-08 16:38 +0000 [r217075]  Kevin P. Fleming <kpfleming@digium.com>

	* /, include/asterisk/autoconfig.h.in, configure.ac: Merged
	  revisions 217074 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r217074 |
	  kpfleming | 2009-09-08 11:37:28 -0500 (Tue, 08 Sep 2009) | 9
	  lines Ensure that the default autoconf CFLAGS are not used. A
	  recent change to the configure script that allows the user to
	  specify CFLAGS and/or LDFLAGS to the script had the unfortunate
	  side effect of letting autoconf's default CFLAGS (-g -O2) feed in
	  to the rest of the build system, thereby overriding the
	  DONT_OPTIMIZE setting in menuselect. That problem is now
	  corrected. ........

2009-09-08 15:35 +0000 [r217034]  Tilghman Lesher <tlesher@digium.com>

	* /, res/res_limit.c: Merged revisions 217033 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r217033 |
	  tilghman | 2009-09-08 10:30:18 -0500 (Tue, 08 Sep 2009) | 4 lines
	  Remove what appears to be an unnecessary define. (closes issue
	  #15851) Reported by: tzafrir ........

2009-09-08 14:28 +0000 [r216996]  David Vossel <dvossel@digium.com>

	* /, channels/chan_sip.c: Merged revisions 216993 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r216993 |
	  dvossel | 2009-09-08 09:26:30 -0500 (Tue, 08 Sep 2009) | 14 lines
	  caller id number empty parse_uri was not being given the correct
	  scheme's, as a result, uri parsing did not parse the username
	  correctly. One of the side effects of this is an empty caller id.
	  (closes issue #15839) Reported by: ebroad Patches:
	  blank_cidv2.patch uploaded by ebroad (license 878)
	  parse_uri_fix.diff uploaded by dvossel (license 671) Tested by:
	  ebroad, dvossel ........

2009-09-07 16:38 +0000 [r216645-216843]  Olle Johansson <oej@edvina.net>

	* /, channels/chan_sip.c: Merged revisions 216842 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r216842 |
	  oej | 2009-09-07 18:35:12 +0200 (MÃ¥n, 07 Sep 2009) | 2 lines
	  Make sure we reset global_exclude_static at channel reload
	  ........

	* /, channels/chan_sip.c: Merged revisions 216695 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r216695 |
	  oej | 2009-09-07 15:06:19 +0200 (MÃ¥n, 07 Sep 2009) | 8 lines If
	  there is no session timer in the INVITE, set it to default value
	  (not unset minimum = -1) Patch by oej closes issue #15621
	  Reported by: fnordian Tested by: atis ........

	* configs/sip.conf.sample: fix documentation so it agrees with code

	* channels/chan_sip.c, CHANGES: Add doc and turn off premature
	  media filter by default

	* apps/app_playback.c, main/pbx.c, /, channels/chan_sip.c,
	  apps/app_disa.c, configs/sip.conf.sample: Merged revisions 216438
	  via svnmerge from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r216438 | oej | 2009-09-04 16:02:34 +0200 (Fre,
	  04 Sep 2009) | 35 lines Merged revisions 216430 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r216430 | oej | 2009-09-04 15:45:48 +0200 (Fre, 04 Sep 2009) | 27
	  lines Make apps send PROGRESS control frame for early media and
	  fix too early media issue in SIP The issue at hand is that some
	  legacy (dying) PBX systems send empty media frames on PRI links
	  *before* any call progress. The SIP channel receives these frames
	  and by default signals 183 Session progress and starts sending
	  media. This will cause phones to play silence and ignore the
	  later 180 ringing message. A bad user experience. The fix is
	  twofold: - We discovered that asterisk apps that support early
	  media ("noanswer") did not send any PROGRESS frame to indicate
	  early media. Fixed. - We introduce a setting in chan_sip so that
	  users can disable any relay of media frames before the outbound
	  channel actually indicates any sort of call progress. In 1.4,
	  1.6.0 and 1.6.1, this will be disabled for backward
	  compatibility. In later versions of Asterisk, this will be
	  enabled. We don't assume that it will change your Asterisk phone
	  experience - only for the better. We encourage third-party
	  application developers to make sure that if they have
	  applications that wants to send early media, add a PROGRESS
	  control frame transmission to make sure that all channel drivers
	  actually will start sending early media. This has not been the
	  default in Asterisk previous to this patch, so if you got
	  inspiration from our code, you need to update accordingly. Sorry
	  for the trouble and thanks for your support. This code has been
	  running for a few months in a large scale installation (over 250
	  servers with PRI and/or BRI links to old PBX systems). That's no
	  proof that this is an excellent patch, but, well, it's tested :-)
	  ........ ................

2009-09-04 19:32 +0000 [r216595]  Sean Bright <sean@malleable.com>

	* apps/app_voicemail.c, /: Merged revisions 216593 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk ........
	  r216593 | seanbright | 2009-09-04 15:29:02 -0400 (Fri, 04 Sep
	  2009) | 1 line Use ast_free() instead of free(). ........

2009-09-04 17:32 +0000 [r216548]  Tilghman Lesher <tlesher@digium.com>

	* main/pbx.c, /, UPGRADE-1.6.txt: Merged revisions 216547 via
	  svnmerge from https://origsvn.digium.com/svn/asterisk/trunk
	  ........ r216547 | tilghman | 2009-09-04 12:31:44 -0500 (Fri, 04
	  Sep 2009) | 3 lines Enable turning off the application delimiter
	  warning with the 'dontwarn' option. Suggested on the -dev list,
	  and implemented in an alternate way by me. ........

2009-09-04 15:07 +0000 [r216507]  Michiel van Baak <michiel@vanbaak.info>

	* /, main/utils.c: Merged revisions 216506 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r216506 | mvanbaak | 2009-09-04 17:05:05 +0200 (Fri, 04 Sep 2009)
	  | 9 lines Merged revisions 216435 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r216435 | mvanbaak | 2009-09-04 15:56:10 +0200 (Fri, 04 Sep 2009)
	  | 2 lines make asterisk compile under devmode with DEBUG_THREADS
	  enabled on OpenBSD ........ ................

2009-09-04 10:49 +0000 [r216265]  Russell Bryant <russell@digium.com>

	* doc/IAX2-security.txt (added), /: Merged revisions 216264 via
	  svnmerge from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r216264 | russell | 2009-09-04 05:48:44 -0500
	  (Fri, 04 Sep 2009) | 16 lines Merged revisions 216263 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4
	  ................ r216263 | russell | 2009-09-04 05:48:00 -0500
	  (Fri, 04 Sep 2009) | 9 lines Merged revisions 216262 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/branches/1.2
	  ........ r216262 | russell | 2009-09-04 05:47:37 -0500 (Fri, 04
	  Sep 2009) | 2 lines Add a plain text version of the IAX2 security
	  document. ........ ................ ................

2009-09-04 06:11 +0000 [r216223]  Michiel van Baak <michiel@vanbaak.info>

	* main/astobj2.c, /: Merged revisions 216222 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r216222 |
	  mvanbaak | 2009-09-04 08:08:33 +0200 (Fri, 04 Sep 2009) | 3 lines
	  make sure 'start' is always initialized. Makes asterisk compile
	  with --enable-dev-mode ........

2009-09-03 19:42 +0000 [r216011-216097]  Russell Bryant <russell@digium.com>

	* UPGRADE.txt: tweak

	* /, UPGRADE.txt: Merged revisions 216092 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r216092 | russell | 2009-09-03 14:38:35 -0500 (Thu, 03 Sep 2009)
	  | 16 lines Merged revisions 216085 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4
	  ................ r216085 | russell | 2009-09-03 14:36:46 -0500
	  (Thu, 03 Sep 2009) | 9 lines Merged revisions 216080 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/branches/1.2
	  ........ r216080 | russell | 2009-09-03 14:35:23 -0500 (Thu, 03
	  Sep 2009) | 2 lines Add a note about IAX2 to UPGRADE.txt.
	  ........ ................ ................

	* /, doc/IAX2-security.pdf (added): Merged revisions 216009 via
	  svnmerge from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r216009 | russell | 2009-09-03 13:45:54 -0500
	  (Thu, 03 Sep 2009) | 16 lines Merged revisions 216008 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4
	  ................ r216008 | russell | 2009-09-03 13:44:58 -0500
	  (Thu, 03 Sep 2009) | 9 lines Merged revisions 216005 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/branches/1.2
	  ........ r216005 | russell | 2009-09-03 13:42:24 -0500 (Thu, 03
	  Sep 2009) | 2 lines Add IAX2 security document related to
	  AST-2009-006. ........ ................ ................

2009-09-03 18:40 +0000 [r216003]  David Vossel <dvossel@digium.com>

	* channels/iax2-parser.c, main/astobj2.c, configs/iax.conf.sample,
	  include/asterisk/acl.h, channels/iax2-parser.h, /,
	  include/asterisk/astobj2.h, channels/iax2.h, main/acl.c,
	  channels/chan_iax2.c: Merged revisions 215955 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r215955 |
	  dvossel | 2009-09-03 11:31:54 -0500 (Thu, 03 Sep 2009) | 6 lines
	  Merge code associated with AST-2009-006 (closes issue #12912)
	  Reported by: rathaus Tested by: tilghman, russell, dvossel,
	  dbrooks ........

2009-09-03  Leif Madsen <lmadsen@digium.com>

	* Asterisk 1.6.0.15 released

	* AST-2009-006

2009-08-28  Leif Madsen <lmadsen@digium.com>

	* Asterisk 1.6.0.14 released

2009-08-11  Tilghman Lesher <tlesher@digium.com>

	* Released 1.6.0.14-rc1

2009-08-10 19:51 +0000 [r211551-211587]  Tilghman Lesher <tlesher@digium.com>

	* doc/CODING-GUIDELINES, /: Merged revisions 211584 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r211584 | tilghman | 2009-08-10 14:49:41 -0500
	  (Mon, 10 Aug 2009) | 9 lines Merged revisions 211583 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/branches/1.4
	  ........ r211583 | tilghman | 2009-08-10 14:48:48 -0500 (Mon, 10
	  Aug 2009) | 1 line Conversion specifiers, not format specifiers
	  ........ ................

	* res/res_config_curl.c, apps/app_waitforring.c,
	  channels/chan_misdn.c, funcs/func_channel.c, apps/app_macro.c,
	  pbx/pbx_config.c, apps/app_chanspy.c, apps/app_mixmonitor.c,
	  res/res_odbc.c, main/asterisk.c, apps/app_voicemail.c,
	  doc/CODING-GUIDELINES, utils/muted.c, apps/app_meetme.c,
	  main/utils.c, cdr/cdr_pgsql.c, res/res_musiconhold.c,
	  apps/app_followme.c, channels/misdn_config.c, utils/frame.c,
	  main/channel.c, main/cdr.c, res/ael/pval.c, funcs/func_enum.c,
	  channels/chan_phone.c, apps/app_osplookup.c,
	  apps/app_setcallerid.c, main/manager.c, funcs/func_odbc.c,
	  apps/app_minivm.c, res/res_agi.c, res/res_config_ldap.c,
	  apps/app_rpt.c, channels/chan_mgcp.c, apps/app_adsiprog.c,
	  funcs/func_dialplan.c, main/dnsmgr.c, channels/chan_sip.c,
	  res/res_limit.c, apps/app_waitforsilence.c, agi/eagi-test.c,
	  apps/app_waituntil.c, main/acl.c, apps/app_queue.c,
	  channels/chan_oss.c, agi/eagi-sphinx-test.c,
	  channels/chan_usbradio.c, res/snmp/agent.c, pbx/pbx_dundi.c,
	  apps/app_sms.c, utils/extconf.c, apps/app_verbose.c,
	  apps/app_stack.c, apps/app_dahdibarge.c, funcs/func_rand.c,
	  apps/app_readfile.c, main/frame.c, /, apps/app_record.c,
	  funcs/func_strings.c, cdr/cdr_adaptive_odbc.c,
	  apps/app_alarmreceiver.c, channels/chan_iax2.c,
	  main/indications.c, main/config.c, main/cli.c,
	  pbx/pbx_loopback.c, channels/chan_dahdi.c, pbx/pbx_spool.c,
	  res/res_smdi.c, channels/chan_skinny.c, main/features.c,
	  main/http.c, main/pbx.c, apps/app_privacy.c,
	  codecs/codec_speex.c, funcs/func_math.c, channels/chan_agent.c,
	  apps/app_morsecode.c, apps/app_disa.c, funcs/func_cut.c,
	  channels/iax2-provision.c, pbx/dundi-parser.c,
	  apps/app_talkdetect.c: AST-2009-005

2009-08-10 14:10 +0000 [r211348]  Joshua Colp <jcolp@digium.com>

	* /, channels/chan_sip.c: Merged revisions 211347 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r211347 |
	  file | 2009-08-10 11:07:44 -0300 (Mon, 10 Aug 2009) | 5 lines Fix
	  retrieval of the port used for the video stream when adding SDP
	  to a SIP message. (closes issue #15121) Reported by: jsmith
	  ........

2009-08-09 15:43 +0000 [r211233-211276]  Tilghman Lesher <tlesher@digium.com>

	* /, main/astfd.c: Merged revisions 211275 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r211275 | tilghman | 2009-08-09 10:42:02 -0500 (Sun, 09 Aug 2009)
	  | 9 lines Merged revisions 211274 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r211274 | tilghman | 2009-08-09 10:41:01 -0500 (Sun, 09 Aug 2009)
	  | 2 lines Small oops. Clear the flags which have been checked.
	  ........ ................

	* apps/app_stack.c, /: Merged revisions 211232 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r211232 |
	  tilghman | 2009-08-09 02:11:22 -0500 (Sun, 09 Aug 2009) | 4 lines
	  Check for NULL frame, before dereferencing pointer. (closes issue
	  #15617) Reported by: rain ........

2009-08-07 20:14 +0000 [r211114]  Russell Bryant <russell@digium.com>

	* apps/app_chanspy.c, /: Merged revisions 211113 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r211113 | russell | 2009-08-07 15:12:21 -0500 (Fri, 07 Aug 2009)
	  | 11 lines Recorded merge of revisions 211112 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r211112 | russell | 2009-08-07 15:11:31 -0500 (Fri, 07 Aug 2009)
	  | 4 lines Resolve a deadlock involving app_chanspy and
	  masquerades. (ABE-1936) ........ ................

2009-08-07 18:18 +0000 [r211044]  Tilghman Lesher <tlesher@digium.com>

	* /, apps/app_queue.c: Merged revisions 211040 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r211040 | tilghman | 2009-08-07 13:17:41 -0500 (Fri, 07 Aug 2009)
	  | 21 lines Merged revisions 211038 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r211038 | tilghman | 2009-08-07 13:16:28 -0500 (Fri, 07 Aug 2009)
	  | 14 lines QUEUE_MEMBER_LIST _really_ wants the interface name,
	  not the membername. This is a partial revert of revision 82590,
	  which was an attempted cleanup, but in reality, it broke
	  QUEUE_MEMBER_LIST, which has always been intended as a method by
	  which component interfaces could be queried from the queue.
	  Membername isn't useful here, because that field cannot be used
	  to obtain further information about the member. See the
	  documentation on QUEUE_MEMBER_LIST, RemoveQueueMember,
	  QUEUE_MEMBER_PENALTY, and the various AMI commands which take a
	  member argument for further justification. (closes issue #15664)
	  Reported by: rain Patches: app_queue-queue_member_list.diff
	  uploaded by rain (license 327) ........ ................

2009-08-07 13:08 +0000 [r210993]  Kevin P. Fleming <kpfleming@digium.com>

	* main/udptl.c, /: Merged revisions 210992 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r210992 |
	  kpfleming | 2009-08-07 08:08:00 -0500 (Fri, 07 Aug 2009) | 13
	  lines Workaround broken T.38 endpoints that offer tiny
	  MaxDatagram sizes. Some T.38 endpoints treat T38FaxMaxDatagram as
	  the maximum IFP size that should be sent to them, rather than the
	  maximum packet payload size. If such an endpoint also requests
	  UDPRedundancy as the error correction mode, we'll end up
	  calculating a tiny maximum IFP size, so small as to be unusable.
	  This patch sets a lower bound on what we'll consider the remote's
	  maximum IFP size to be, assuming that endpoints that do this
	  really can accept larger packets than they've offered to accept.
	  (closes issue #15649) Reported by: dazza76 ........

2009-08-06 21:46 +0000 [r210909-210915]  Tilghman Lesher <tlesher@digium.com>

	* main/channel.c, /: Merged revisions 210914 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r210914 | tilghman | 2009-08-06 16:46:01 -0500 (Thu, 06 Aug 2009)
	  | 14 lines Merged revisions 210913 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r210913 | tilghman | 2009-08-06 16:45:01 -0500 (Thu, 06 Aug 2009)
	  | 7 lines Because channel information can be accessed outside of
	  the channel thread, we must lock the channel prior to modifying
	  it. (closes issue #15397) Reported by: caspy Patches:
	  20090714__issue15397.diff.txt uploaded by tilghman (license 14)
	  Tested by: caspy ........ ................

	* apps/app_stack.c, include/asterisk/app.h, /, main/app.c: Merged
	  revisions 210908 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r210908 |
	  tilghman | 2009-08-06 16:29:26 -0500 (Thu, 06 Aug 2009) | 9 lines
	  Allow Gosub to recognize quote delimiters without consuming them.
	  (closes issue #15557) Reported by: rain Patches:
	  20090723__issue15557.diff.txt uploaded by tilghman (license 14)
	  Tested by: rain Review: https://reviewboard.asterisk.org/r/316/
	  ........

2009-08-06 17:47 +0000 [r210818]  Joshua Colp <jcolp@digium.com>

	* /, channels/chan_sip.c: Merged revisions 210817 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r210817 |
	  file | 2009-08-06 14:47:04 -0300 (Thu, 06 Aug 2009) | 11 lines
	  Accept additional T.38 reinvites after an initial one has been
	  handled. Discussion of this subject has yielded that it is not
	  actually acceptable to change T.38 parameters after the initial
	  reinvite but declining is harsh and can cause the fax to fail
	  when it may be possible to allow it to continue. This patch
	  changes things so that additional T.38 reinvites are accepted but
	  parameter changes ignored. This gives the fax a fighting chance.
	  (closes issue #15610) Reported by: huangtx2009 ........

2009-08-05 20:07 +0000 [r210647]  Richard Mudgett <rmudgett@digium.com>

	* channels/chan_dahdi.c, /: Merged revisions 210640 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r210640 | rmudgett | 2009-08-05 14:40:03 -0500
	  (Wed, 05 Aug 2009) | 21 lines Merged revisions 210575 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r210575 | rmudgett | 2009-08-05 14:18:56 -0500 (Wed, 05 Aug 2009)
	  | 14 lines Dialplan starts execution before the channel setup is
	  complete. * Issue 15655: For the case where dialing is complete
	  for an incoming call, dahdi_new() was asked to start the PBX and
	  then the code set more channel variables. If the dialplan hungup
	  before these channel variables got set, asterisk would likely
	  crash. * Fixed potential for overlap incoming call to erroneously
	  set channel variables as global dialplan variables if the
	  ast_channel structure failed to get allocated. * Added missing
	  set of CALLINGSUBADDR in the dialing is complete case. (closes
	  issue #15655) Reported by: alecdavis ........ ................

2009-08-05 18:57 +0000 [r210568]  Leif Madsen <lmadsen@digium.com>

	* doc/tex/imapstorage.tex, /: Merged revisions 210564 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r210564 | lmadsen | 2009-08-05 13:49:58 -0500
	  (Wed, 05 Aug 2009) | 19 lines Merged revisions 210563 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r210563 | lmadsen | 2009-08-05 13:46:21 -0500 (Wed, 05 Aug 2009)
	  | 11 lines Update imapstorage.txt documentation. Updated the
	  imapstorage.txt documentation to reflect that issues with
	  c-client versions older than 2007 seem to cause crashing issues
	  that are not seen with more recent versions. Documentation has
	  been updated to reflect this. (closes issue #14496) Reported by:
	  vbcrlfuser Patches: __20090727-imap-documentation-patch.txt
	  uploaded by lmadsen (license 10) Tested by: lmadsen, mmichelson,
	  dbrooks ........ ................

2009-08-04 14:54 +0000 [r210239]  Kevin P. Fleming <kpfleming@digium.com>

	* Makefile, /: Merged revisions 210238 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r210238 | kpfleming | 2009-08-04 09:53:00 -0500 (Tue, 04 Aug
	  2009) | 16 lines Merged revisions 210237 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r210237 | kpfleming | 2009-08-04 09:51:39 -0500 (Tue, 04 Aug
	  2009) | 10 lines Eliminate spurious compiler warnings from system
	  headers on *BSD platforms. Ensure that system headers located in
	  /usr/local/include are actually treated as system headers by the
	  compiler, and not as local headers which are subject to warnings
	  from the -Wundef compiler option and others. (closes issue
	  #15606) Reported by: mvanbaak ........ ................

2009-08-01 11:31 +0000 [r209840-209896]  Russell Bryant <russell@digium.com>

	* main/db1-ast/mpool/mpool.c, /: Merged revisions 209887 via
	  svnmerge from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r209887 | russell | 2009-08-01 06:29:25 -0500
	  (Sat, 01 Aug 2009) | 12 lines Merged revisions 209879 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r209879 | russell | 2009-08-01 06:27:25 -0500 (Sat, 01 Aug 2009)
	  | 5 lines Resolve a valgrind warning about a read from
	  uninitialized memory. (issue #15396) Reported by: aragon ........
	  ................

	* apps/app_milliwatt.c, /: Merged revisions 209839 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r209839 | russell | 2009-08-01 06:02:07 -0500
	  (Sat, 01 Aug 2009) | 20 lines Merged revisions 209838 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r209838 | russell | 2009-08-01 05:59:05 -0500 (Sat, 01 Aug 2009)
	  | 13 lines Modify how Playtones() is used in Milliwatt() to
	  resolve gain issue. When Milliwatt() was changed internally to
	  use Playtones() so that the proper tone was used, it introduced a
	  drop in gain in the output signal. So, use the playtones API
	  directly and specify a volume argument such that the output
	  matches the gain of the original Milliwatt() code. (closes issue
	  #15386) Reported by: rue_mohr Patches: issue_15386.rev2.diff
	  uploaded by russell (license 2) Tested by: rue_mohr ........
	  ................

2009-08-01 01:13 +0000 [r209762]  Kevin P. Fleming <kpfleming@digium.com>

	* channels/misdn/isdn_lib.c, utils/frame.c, /, main/Makefile,
	  channels/misdn/ie.c, main/event.c: Merged revisions 209760-209761
	  via svnmerge from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r209760 | kpfleming | 2009-07-31 20:03:07 -0500
	  (Fri, 31 Jul 2009) | 13 lines Merged revisions 209759 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r209759 | kpfleming | 2009-07-31 19:52:00 -0500 (Fri, 31 Jul
	  2009) | 7 lines Minor changes inspired by testing with latest
	  GCC. The latest GCC (what will become 4.5.x) has a few new
	  warnings, that in these cases found some either downright buggy
	  code, or at least seriously poorly designed code that could be
	  improved. ........ ................ r209761 | kpfleming |
	  2009-07-31 20:04:06 -0500 (Fri, 31 Jul 2009) | 1 line Revert
	  accidental Makefile change. ................

2009-07-31 21:56 +0000 [r209712]  Russell Bryant <russell@digium.com>

	* /, main/event.c: Merged revisions 209711 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r209711 |
	  russell | 2009-07-31 16:53:31 -0500 (Fri, 31 Jul 2009) | 2 lines
	  Fix some places where ast_event_type was used instead of
	  ast_event_ie_type. ........

2009-07-30 16:37 +0000 [r209555-209587]  David Brooks <dbrooks@digium.com>

	* channels/chan_dahdi.c: Merged revisions 209554 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r209554 |
	  dbrooks | 2009-07-30 11:07:05 -0500 (Thu, 30 Jul 2009) | 6 lines
	  Fixes numerous spelling errors. Patch submitted by alecdavis.
	  (closes issue #15595) Reported by: alecdavis ........

	* include/asterisk/abstract_jb.h,
	  contrib/init.d/rc.debian.asterisk, /, apps/app_sms.c,
	  codecs/lpc10/pitsyn.c, channels/chan_console.c: Merged revisions
	  209554 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r209554 |
	  dbrooks | 2009-07-30 11:07:05 -0500 (Thu, 30 Jul 2009) | 6 lines
	  Fixes numerous spelling errors. Patch submitted by alecdavis.
	  (closes issue #15595) Reported by: alecdavis ........

2009-07-28 12:01 +0000 [r209394]  Kevin P. Fleming <kpfleming@digium.com>

	* apps/app_fax.c: Correct error in backport of latest app_fax
	  fixes.

2009-07-28 00:19 +0000 [r209325]  Tilghman Lesher <tlesher@digium.com>

	* /, sounds/sounds.xml: Merged revisions 209317 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r209317 | tilghman | 2009-07-27 19:14:12 -0500 (Mon, 27 Jul 2009)
	  | 9 lines Merged revisions 209315 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r209315 | tilghman | 2009-07-27 19:12:03 -0500 (Mon, 27 Jul 2009)
	  | 2 lines Publish French extra sounds ........ ................

2009-07-27 21:44 +0000 [r209259-209280]  Kevin P. Fleming <kpfleming@digium.com>

	* /, apps/app_fax.c: Merged revisions 209279 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r209279 |
	  kpfleming | 2009-07-27 16:43:36 -0500 (Mon, 27 Jul 2009) | 7
	  lines Cleanup T.38 negotiation changes. Convert LOG_NOTICE
	  messages about T.38 negotiation in debug level 1 messages, clean
	  up some looping logic, and correct an improper use of ast_free()
	  for freeing an ast_frame. ........

	* /, apps/app_fax.c: Merged revisions 209256 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r209256 |
	  kpfleming | 2009-07-27 16:21:43 -0500 (Mon, 27 Jul 2009) | 10
	  lines Make T.38 switchover in ReceiveFAX synchronous. In receive
	  mode, if the channel that ReceiveFAX is running on supports T.38,
	  we should *always* attempt to switch T.38, rather than listening
	  for an incoming CNG tone and only triggering on that. The channel
	  may be using a low-bitrate codec that distorts the CNG tone, the
	  sending FAX endpoint may not send CNG at all, or there could be a
	  variety of other reasons that we don't detect it, but in all
	  those cases if T.38 is available we certainly want to use it.
	  ........

2009-07-27 20:23 +0000 [r209221]  David Brooks <dbrooks@digium.com>

	* channels/chan_dahdi.c, channels/chan_vpb.cc, res/res_smdi.c, /,
	  include/asterisk/module.h, main/features.c, res/res_agi.c,
	  res/res_jabber.c: Merged revisions 209098 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r209098 |
	  dbrooks | 2009-07-27 11:33:50 -0500 (Mon, 27 Jul 2009) | 6 lines
	  Fixing typos. Replaces "recieved" with "received" and "initilize"
	  with "initialize" (closes issue #15571) Reported by: alecdavis
	  ........

2009-07-27 20:16 +0000 [r209133-209198]  Mark Michelson <mmichelson@digium.com>

	* /, res/res_musiconhold.c: Merged revisions 209197 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk ........
	  r209197 | mmichelson | 2009-07-27 15:11:42 -0500 (Mon, 27 Jul
	  2009) | 9 lines Honor channel's music class when using realtime
	  music on hold. (closes issue #15051) Reported by: alexh Patches:
	  15051.patch uploaded by mmichelson (license 60) Tested by: alexh
	  ........

	* main/udptl.c, /, configs/udptl.conf.sample: Merged revisions
	  209132 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r209132 | mmichelson | 2009-07-27 12:50:04 -0500 (Mon, 27 Jul
	  2009) | 24 lines Merged revisions 209131 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r209131 | mmichelson | 2009-07-27 12:44:06 -0500 (Mon, 27 Jul
	  2009) | 18 lines Allow for UDPTL to use only even-numbered ports
	  if desired. There are some VoIP providers out there that will not
	  accept SDP offers with odd numbered UDPTL ports. While it is my
	  personal opinion that these VoIP providers are misinterpreting
	  RFC 2327, it really is not a big deal to play along with their
	  silly little games. Of course, since restricting UDPTL ports to
	  only even numbers reduces the range of available ports by half,
	  so the option to use only even port numbers is off by default. A
	  user can enable the behavior by setting use_even_ports=yes in
	  udptl.conf. (closes issue #15182) Reported by: CGMChris Patches:
	  15182.patch uploaded by mmichelson (license 60) Tested by:
	  CGMChris ........ ................

2009-07-27 16:06 +0000 [r209061]  David Brooks <dbrooks@digium.com>

	* res/res_smdi.c, pbx/pbx_dundi.c: Just replacing typos "recieved"
	  with "received". From issue #15360, forgot to apply to trunk and
	  other branches.

2009-07-27 15:39 +0000 [r209057]  Kevin P. Fleming <kpfleming@digium.com>

	* Makefile, /: Merged revisions 209056 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r209056 |
	  kpfleming | 2009-07-27 10:38:59 -0500 (Mon, 27 Jul 2009) | 10
	  lines Restore explicit export of ASTCFLAGS/ASTLDFLAGS and
	  underscore-variants to sub-makes. During the recent Makefile
	  improvements I made, it seemed the 'make' was automatically
	  carrying down the ASTCFLAGS/ASTLDFLAGS settings to sub-makes, so
	  I removed the explict export of them. However, there are some
	  circumstances where make does this, and some where it does not,
	  so I've brought them back to ensure they are always exported. I
	  also removed an extraneous double setting of _ASTLDFLAGS on *BSD
	  platforms. ........

2009-07-27 01:21 +0000 [r208925]  Jeff Peeler <jpeeler@digium.com>

	* /, main/translate.c, channels/chan_iax2.c: Merged revisions
	  208924 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r208924 | jpeeler | 2009-07-26 20:20:37 -0500 (Sun, 26 Jul 2009)
	  | 9 lines Merged revisions 208923 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r208923 | jpeeler | 2009-07-26 20:18:31 -0500 (Sun, 26 Jul 2009)
	  | 2 lines Fix logic errors from 208746 ........ ................

2009-07-25 06:24 +0000 [r208752]  Jeff Peeler <jpeeler@digium.com>

	* /, channels/chan_skinny.c, main/translate.c,
	  channels/chan_iax2.c: Merged revisions 208749 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r208749 | jpeeler | 2009-07-25 01:23:18 -0500 (Sat, 25 Jul 2009)
	  | 13 lines Merged revisions 208746 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r208746 | jpeeler | 2009-07-25 01:19:50 -0500 (Sat, 25 Jul 2009)
	  | 7 lines Fix compiling under dev-mode with gcc 4.4.0. Mostly
	  trivial changes, but I did not know of any other way to fix the
	  "dereferencing type-punned pointer will break strict-aliasing
	  rules" error without creating a tmp variable in chan_skinny.
	  ........ ................

2009-07-24 18:49 +0000 [r208594]  Russell Bryant <russell@digium.com>

	* apps/app_dial.c, /: Merged revisions 208593 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r208593 | russell | 2009-07-24 13:42:32 -0500 (Fri, 24 Jul 2009)
	  | 14 lines Merged revisions 208592 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r208592 | russell | 2009-07-24 13:38:24 -0500 (Fri, 24 Jul 2009)
	  | 7 lines Do not log an ERROR if autoservice_stop() returns -1.
	  This does not indicate an error. A return of -1 just means that
	  the channel has been hung up. (reported in #asterisk-dev)
	  ........ ................

2009-07-24 18:31 +0000 [r208589]  Mark Michelson <mmichelson@digium.com>

	* /, channels/chan_sip.c: Merged revisions 208588 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r208588 | mmichelson | 2009-07-24 13:31:04 -0500 (Fri, 24 Jul
	  2009) | 16 lines Merged revisions 208587 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r208587 | mmichelson | 2009-07-24 13:26:50 -0500 (Fri, 24 Jul
	  2009) | 10 lines Only send a BYE when hanging up a channel that
	  is up. For cases where Asterisk sends an INVITE and receives a
	  non 2XX final response, Asterisk would follow the INVITE
	  transaction by immediately sending a BYE, which was unnecessary.
	  (closes issue #14575) Reported by: chris-mac ........
	  ................

2009-07-24 15:04 +0000 [r208468-208549]  Kevin P. Fleming <kpfleming@digium.com>

	* main/udptl.c, /, channels/chan_sip.c, include/asterisk/udptl.h:
	  Merged revisions 208548 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r208548 |
	  kpfleming | 2009-07-24 10:02:53 -0500 (Fri, 24 Jul 2009) | 8
	  lines Resolve a T.38 negotiation issue left over from the
	  udptl-updates merge. The udptl-updates branch that was merged
	  yesterday failed to properly send back T.38 SDP responses with
	  the correct error correction mode, if the incoming SDP from the
	  other end caused us to change error correction modes. This patch
	  corrects that situation. ........

	* UPGRADE.txt: Use correct formatting for T.38 change note in
	  UPGRADE.txt

	* main/rtp.c, main/channel.c, main/udptl.c, main/frame.c, /,
	  channels/chan_sip.c, apps/app_fax.c, UPGRADE.txt,
	  include/asterisk/udptl.h, include/asterisk/frame.h: Merged
	  revisions 208464 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r208464 |
	  kpfleming | 2009-07-23 16:57:24 -0500 (Thu, 23 Jul 2009) | 46
	  lines Rework of T.38 negotiation and UDPTL API to address
	  interoperability problems Over the past couple of months, a
	  number of issues with Asterisk negotiating (and successfully
	  completing) T.38 sessions with various endpoints have been found.
	  This patch attempts to address many of them, primarily focused
	  around ensuring that the endpoints' MaxDatagram size is honored,
	  and in addition by ensuring that T.38 session parameter
	  negotiation is performed correctly according to the ITU T.38
	  Recommendation. The major changes here are: 1) T.38 applications
	  in Asterisk (app_fax) only generate/receive IFP packets, they do
	  not ever work with UDPTL packets. As a result of this, they
	  cannot be allowed to generate packets that would overflow the
	  other endpoints' MaxDatagram size after the UDPTL stack adds any
	  error correction information. With this patch, the application is
	  told the maximum *IFP* size it can generate, based on a
	  calculation using the far end MaxDatagram size and the active
	  error correction mode on the T.38 session. The same is true for
	  sending *our* MaxDatagram size to the remote endpoint; it is
	  computed from the value that the application says it can accept
	  (for a single IFP packet) combined with the active error
	  correction mode. 2) All treatment of T.38 session parameters as
	  'capabilities' in chan_sip has been removed; these parameters are
	  not at all like audio/video stream capabilities. There are strict
	  rules to follow for computing an answer to a T.38 offer, and
	  chan_sip now follows those rules, using the desired parameters
	  from the application (or channel) that wants to accept the T.38
	  negotiation. 3) chan_sip now stores and forwards
	  ast_control_t38_parameters structures for tracking 'our' and
	  'their' T.38 session parameters; this greatly simplifies
	  negotiation, especially for pass-through calls. 4) Since T.38
	  negotiation without specifying parameters or receiving the final
	  negotiated parameters is not very worthwhile, the AST_CONTROL_T38
	  control frame has been removed. A note has been added to
	  UPGRADE.txt about this removal, since any out-of-tree
	  applications that use it will no longer function properly until
	  they are upgraded to use AST_CONTROL_T38_PARAMETERS. Review:
	  https://reviewboard.asterisk.org/r/310/ ........

2009-07-23 19:35 +0000 [r208389]  Mark Michelson <mmichelson@digium.com>

	* /, channels/chan_sip.c: Merged revisions 208388 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r208388 | mmichelson | 2009-07-23 14:34:49 -0500 (Thu, 23 Jul
	  2009) | 24 lines Merged revisions 208386 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r208386 | mmichelson | 2009-07-23 14:24:21 -0500 (Thu, 23 Jul
	  2009) | 17 lines Fix a problem where a 491 response could be sent
	  out of dialog. This generalizes the fix for issue 13849. The
	  initial fix corrected the problem that Asterisk would reply with
	  a 491 if a reinvite were received from an endpoint and we had not
	  yet received an ACK from that endpoint for the initial INVITE it
	  had sent us. This expansion also allows Asterisk to appropriately
	  handle an INVITE with authorization credentials if Asterisk had
	  not received an ACK from the previous transaction in which
	  Asterisk had responded to an unauthorized INVITE with a 407.
	  (closes issue #14239) Reported by: klaus3000 Patches: 14239.patch
	  uploaded by mmichelson (license 60) Tested by: klaus3000 ........
	  ................

2009-07-23 19:23 +0000 [r208384]  Jeff Peeler <jpeeler@digium.com>

	* channels/chan_dahdi.c, /: Merged revisions 208383 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r208383 | jpeeler | 2009-07-23 14:21:50 -0500
	  (Thu, 23 Jul 2009) | 12 lines Merged revisions 208380 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r208380 | jpeeler | 2009-07-23 14:19:53 -0500 (Thu, 23 Jul 2009)
	  | 6 lines Only set the priindication setting when not performing
	  a reload (closes issue #14696) Reported by: fdecher ........
	  ................

2009-07-23 16:30 +0000 [r208264-208316]  Mark Michelson <mmichelson@digium.com>

	* /, channels/chan_sip.c: Merged revisions 208314 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r208314 | mmichelson | 2009-07-23 11:29:37 -0500 (Thu, 23 Jul
	  2009) | 9 lines Merged revisions 208312 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r208312 | mmichelson | 2009-07-23 11:29:18 -0500 (Thu, 23 Jul
	  2009) | 3 lines Remove inaccurate XXX comment. ........
	  ................

	* /, channels/chan_sip.c: Merged revisions 208263 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r208263 | mmichelson | 2009-07-23 10:46:34 -0500 (Thu, 23 Jul
	  2009) | 15 lines Merged revisions 208262 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r208262 | mmichelson | 2009-07-23 10:43:07 -0500 (Thu, 23 Jul
	  2009) | 8 lines Properly handle 183 responses which do not
	  contain an SDP. (closes issue #15442) Reported by: ffloimair
	  Patches: 15442.patch uploaded by mmichelson (license 60) Tested
	  by: tkarl, ffloimair ........ ................

2009-07-21 22:47 +0000 [r207947]  Tilghman Lesher <tlesher@digium.com>

	* /, funcs/func_strings.c: Merged revisions 207946 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r207946 | tilghman | 2009-07-21 17:45:32 -0500
	  (Tue, 21 Jul 2009) | 15 lines Merged revisions 207945 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r207945 | tilghman | 2009-07-21 17:38:54 -0500 (Tue, 21 Jul 2009)
	  | 8 lines Force an error if a blank is passed to QUOTE (because
	  the documentation states the argument is not optional). This
	  change makes URIENCODE and QUOTE behave similarly, since the
	  documentation states that the argument is not optional, for both.
	  (closes issue #15439) Reported by: pkempgen Patches:
	  20090706__issue15439.diff.txt uploaded by tilghman (license 14)
	  ........ ................

2009-07-21 20:27 +0000 [r207783-207860]  Jeff Peeler <jpeeler@digium.com>

	* channels/chan_dahdi.c, /: Merged revisions 207854 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r207854 | jpeeler | 2009-07-21 15:26:02 -0500
	  (Tue, 21 Jul 2009) | 16 lines Merged revisions 207827 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r207827 | jpeeler | 2009-07-21 15:16:55 -0500 (Tue, 21 Jul 2009)
	  | 9 lines Wait for wink before dialing when using E&M wink
	  signaling There was already code for other signaling types in
	  dahdi_handle_event to handle dialing if a dial operation dial
	  string was present. Simply add SIG_EMWINK to the list. (closes
	  issue #14434) Reported by: araasch ........ ................

	* channels/chan_dahdi.c: Revert r207636, this approach could
	  potentially block for an unacceptable amount of time.

2009-07-21 14:30 +0000 [r207725]  Mark Michelson <mmichelson@digium.com>

	* main/manager.c, /: Merged revisions 207723 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r207723 | mmichelson | 2009-07-21 09:29:40 -0500 (Tue, 21 Jul
	  2009) | 11 lines Merged revisions 207714 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r207714 | mmichelson | 2009-07-21 09:26:00 -0500 (Tue, 21 Jul
	  2009) | 5 lines Document default timeout for AMI originations.
	  AST-224 ........ ................

2009-07-21 13:39 +0000 [r207683]  Kevin P. Fleming <kpfleming@digium.com>

	* funcs/Makefile, codecs/lpc10/Makefile, main/db1-ast/Makefile,
	  Makefile, agi/Makefile, codecs/Makefile, utils/Makefile, /,
	  main/Makefile, codecs/gsm/Makefile, Makefile.moddir_rules,
	  Makefile.rules, pbx/Makefile, res/Makefile, channels/Makefile:
	  Merged revisions 207680 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r207680 | kpfleming | 2009-07-21 08:28:04 -0500 (Tue, 21 Jul
	  2009) | 18 lines Merged revisions 207647 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r207647 | kpfleming | 2009-07-21 08:04:44 -0500 (Tue, 21 Jul
	  2009) | 12 lines Ensure that user-provided CFLAGS and LDFLAGS are
	  honored. This commit changes the build system so that
	  user-provided flags (in ASTCFLAGS and ASTLDFLAGS) are supplied to
	  the compiler/linker *after* all flags provided by the build
	  system itself, so that the user can effectively override the
	  build system's flags if desired. In addition, ASTCFLAGS and
	  ASTLDFLAGS can now be provided *either* in the environment before
	  running 'make', or as variable assignments on the 'make' command
	  line. As a result, the use of COPTS and LDOPTS is no longer
	  necessary, so they are no longer documented, but are still
	  supported so as not to break existing build systems that supply
	  them when building Asterisk. ........ ................

2009-07-21 04:38 +0000 [r207636]  Jeff Peeler <jpeeler@digium.com>

	* channels/chan_dahdi.c: Wait for wink before dialing when using
	  E&M wink signaling This patch adds a new dahdi_wait function to
	  specifically wait for the wink event. If the wink is not
	  eventually received the channel is hung up. (closes issue #14434)
	  Reported by: araasch Patches: emwinkmod uploaded by araasch
	  (license 693)

2009-07-20 19:55 +0000 [r207425]  Mark Michelson <mmichelson@digium.com>

	* /, channels/chan_sip.c: Merged revisions 207424 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r207424 | mmichelson | 2009-07-20 14:48:12 -0500 (Mon, 20 Jul
	  2009) | 39 lines Merged revisions 207423 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r207423 | mmichelson | 2009-07-20 14:39:59 -0500 (Mon, 20 Jul
	  2009) | 33 lines Answer video SDP offers properly when
	  videosupport is not enabled. Copied from Review board: In issue
	  12434, the reporter describes a situation in which audio and
	  video is offered on the call, but because videosupport is
	  disabled in sip.conf, Asterisk gives no response at all to the
	  video offer. According to RFC 3264, all media offers should have
	  a corresponding answer. For offers we do not intend to actually
	  reply to with meaningful values, we should still reply with the
	  port for the media stream set to 0. In this patch, we take note
	  of what types of media have been offered and save the information
	  on the sip_pvt. The SDP in the response will take into account
	  whether media was offered. If we are not otherwise going to
	  answer a media offer, we will insert an appropriate m= line with
	  the port set to 0. It is important to note that this patch is
	  pretty much a bandage being applied to a broken bone. The patch
	  *only* helps for situations where video is offered but
	  videosupport is disabled and when udptl_pt is disabled but T.38
	  is offered. Asterisk is not guaranteed to respond to every media
	  offer. Notable cases are when multiple streams of the same type
	  are offered. The 2 media stream limit is still present with this
	  patch, too. In trunk and the 1.6.X branches, things will be a bit
	  different since Asterisk also supports text in SDPs as well.
	  (closes issue #12434) Reported by: mnnojd Review:
	  https://reviewboard.asterisk.org/r/311 Review:
	  https://reviewboard.asterisk.org/r/313 ........ ................

2009-07-20 16:37 +0000 [r207362]  Russell Bryant <russell@digium.com>

	* main/channel.c, /: Merged revisions 207361 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r207361 | russell | 2009-07-20 11:36:15 -0500 (Mon, 20 Jul 2009)
	  | 16 lines Merged revisions 207360 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r207360 | russell | 2009-07-20 11:26:24 -0500 (Mon, 20 Jul 2009)
	  | 9 lines Only do the chan->fdno check in ast_read() in a
	  developer build. I changed this check to only happen in a
	  dev-mode build. I also added a comment explaining what is going
	  on. I also made it so that detection of this situation does not
	  affect ast_read() operation. (closes issue #14723) Reported by:
	  seadweller ........ ................

2009-07-18 01:35 +0000 [r207286]  Richard Mudgett <rmudgett@digium.com>

	* channels/misdn/isdn_lib.c, channels/misdn_config.c,
	  channels/misdn/isdn_lib_intern.h, channels/misdn/isdn_lib.h,
	  doc/tex/misdn.tex, channels/chan_misdn.c, main/callerid.c,
	  configs/misdn.conf.sample: Merged revisions 145293,158010 from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 to make
	  merging easier. These changes are already on trunk.
	  ................ r145293 | rmudgett | 2008-09-30 18:55:24 -0500
	  (Tue, 30 Sep 2008) | 54 lines channels/chan_misdn.c
	  channels/misdn/isdn_lib.c * Miscellaneous other fixes from trunk
	  to make merging easier later. ........ r145200 | rmudgett |
	  2008-09-30 16:00:54 -0500 (Tue, 30 Sep 2008) | 7 lines *
	  Miscellaneous formatting changes to make v1.4 and trunk more
	  merge compatible in the mISDN area. channels/chan_misdn.c *
	  Eliminated redundant code in cb_events() EVENT_SETUP ........
	  r144257 | crichter | 2008-09-24 03:42:55 -0500 (Wed, 24 Sep 2008)
	  | 9 lines improved helptext of misdn_set_opt. ........ r142181 |
	  rmudgett | 2008-09-09 12:30:52 -0500 (Tue, 09 Sep 2008) | 1 line
	  Cleaned up comment ........ r138738 | rmudgett | 2008-08-18
	  16:07:28 -0500 (Mon, 18 Aug 2008) | 30 lines
	  channels/chan_misdn.c * Made bearer2str() use
	  allowed_bearers_array[] * Made use the causes.h defines instead
	  of hardcoded numbers. * Made use Asterisk presentation indicator
	  values if either of the mISDN presentation or screen options are
	  negative. * Updated the misdn_set_opt application option
	  descriptions. * Renamed the awkward Caller ID presentation
	  misdn_set_opt application option value not_screened to
	  restricted. Deprecated the not_screened option value.
	  channels/misdn/isdn_lib.c * Made use the causes.h defines instead
	  of hardcoded numbers. * Fixed some spelling errors and typos. *
	  Added all defined facility code strings to fac2str().
	  channels/misdn/isdn_lib.h * Added doxygen comments to struct
	  misdn_bchannel. channels/misdn/isdn_lib_intern.h * Added doxygen
	  comments to struct misdn_stack. channels/misdn_config.c
	  configs/misdn.conf.sample * Updated the mISDN presentation and
	  screen parameter descriptions. doc/misdn.txt (doc/tex/misdn.tex)
	  * Updated the misdn_set_opt application option descriptions. *
	  Fixed some spelling errors and typos. ................ r158010 |
	  rmudgett | 2008-11-19 19:46:09 -0600 (Wed, 19 Nov 2008) | 9 lines
	  Merged revision 157977 from
	  https://origsvn.digium.com/svn/asterisk/team/group/issue8824
	  ........ Fixes JIRA ABE-1726 The dial extension could be empty if
	  you are using MISDN_KEYPAD to control ISDN provider features.
	  ................

2009-07-17 19:38 +0000 [r207097-207157]  Jeff Peeler <jpeeler@digium.com>

	* channels/chan_dahdi.c, /: Merged revisions 207156 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r207156 | jpeeler | 2009-07-17 14:37:38 -0500
	  (Fri, 17 Jul 2009) | 14 lines Merged revisions 207155 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r207155 | jpeeler | 2009-07-17 14:36:19 -0500 (Fri, 17 Jul 2009)
	  | 7 lines Fix format specifier to print out an unsigned long
	  long. Yep, it's even ifdefed out code. But it made it to the RR
	  list... (closes issue #14726) Reported by: lmadsen ........
	  ................

	* configs/chan_dahdi.conf.sample, /: Merged revisions 207095 via
	  svnmerge from https://origsvn.digium.com/svn/asterisk/trunk
	  ........ r207095 | jpeeler | 2009-07-17 14:16:35 -0500 (Fri, 17
	  Jul 2009) | 2 lines Update some missing allowed options for
	  overlapdial ........

2009-07-17 17:53 +0000 [r206871-207032]  David Vossel <dvossel@digium.com>

	* /, channels/chan_sip.c: Merged revisions 207029 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r207029 |
	  dvossel | 2009-07-17 12:51:44 -0500 (Fri, 17 Jul 2009) | 6 lines
	  sip option flags handled incorrectly (closes issue #15376)
	  Reported by: Takehiko Ooshima Tested by: dvossel,
	  Takehiko_Ooshima ........

	* /, channels/chan_sip.c: Merged revisions 206939 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r206939 | dvossel | 2009-07-17 11:13:22 -0500 (Fri, 17 Jul 2009)
	  | 20 lines Merged revisions 206938 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r206938 | dvossel | 2009-07-17 11:05:06 -0500 (Fri, 17 Jul 2009)
	  | 14 lines SIP incorrect From: header information when callpres
	  is prohib Some ITSP make use of the "Anonymous" display name to
	  detect a requirement to withhold caller id across the PSTN. This
	  does not work if the display name is "Unknown". (closes issue
	  #14465) Reported by: Nick_Lewis Patches:
	  chan_sip.c-callerpres.patch uploaded by Nick (license 657)
	  chan_sip.c-callerpres_trunk.patch uploaded by dvossel (license
	  671) Tested by: Nick_Lewis, dvossel ........ ................

	* configs/iax.conf.sample, /: Merged revisions 206873 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r206873 | dvossel | 2009-07-16 16:33:51 -0500
	  (Thu, 16 Jul 2009) | 12 lines Merged revisions 206872 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r206872 | dvossel | 2009-07-16 16:33:19 -0500 (Thu, 16 Jul 2009)
	  | 6 lines error in iax.conf related IP-based access control
	  (closes issue #15518) Reported by: pkempgen ........
	  ................

	* /, main/callerid.c: Merged revisions 206868 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r206868 | dvossel | 2009-07-16 16:25:22 -0500 (Thu, 16 Jul 2009)
	  | 14 lines Merged revisions 206867 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r206867 | dvossel | 2009-07-16 16:24:16 -0500 (Thu, 16 Jul 2009)
	  | 8 lines avoid segfault caused by user error If the CALLERPRES()
	  dialplan function is set to nothing, a segfault occurs. This is
	  user error to begin with, but I'd rather see a cli warning
	  message than have Asterisk crash on me. ........ ................

2009-07-16 16:52 +0000 [r206809]  Tilghman Lesher <tlesher@digium.com>

	* funcs/func_realtime.c, /: Merged revisions 206808 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r206808 | tilghman | 2009-07-16 11:51:05 -0500
	  (Thu, 16 Jul 2009) | 13 lines Merged revisions 206807 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r206807 | tilghman | 2009-07-16 11:27:35 -0500 (Thu, 16 Jul 2009)
	  | 6 lines Fix a memory leak. (closes issue #15517) Reported by:
	  adomjan Patches: func_realtime.c-ast_variable_destroy.diff
	  uploaded by adomjan (license 487) ........ ................

2009-07-15 22:06 +0000 [r206775]  David Vossel <dvossel@digium.com>

	* /, channels/chan_sip.c: Merged revisions 206768 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r206768 |
	  dvossel | 2009-07-15 17:04:13 -0500 (Wed, 15 Jul 2009) | 8 lines
	  Session timer were not activated if Supported header field in
	  INVITE had both "timer" and other options. (closes issue #15403)
	  Reported by: makoto Patches: sip-session-timer.patch uploaded by
	  makoto (license ........

2009-07-15 21:34 +0000 [r206762]  Richard Mudgett <rmudgett@digium.com>

	* channels/misdn/isdn_lib.c, channels/misdn/isdn_lib_intern.h, /:
	  Merged revisions 206707 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r206707 | rmudgett | 2009-07-15 16:14:41 -0500 (Wed, 15 Jul 2009)
	  | 33 lines Merged revisions 206706 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4
	  ................ r206706 | rmudgett | 2009-07-15 15:44:55 -0500
	  (Wed, 15 Jul 2009) | 26 lines Merged revision 206700 from
	  https://origsvn.digium.com/svn/asterisk/be/branches/C.2-...
	  .......... Fixed chan_misdn crash because mISDNuser library is
	  not thread safe. With Asterisk the mISDNuser library is driven by
	  two threads concurrently: 1.
	  channels/misdn/isdn_lib.c::manager_event_handler() 2.
	  channels/misdn/isdn_lib.c::misdn_lib_isdn_event_catcher() Calls
	  into the library are done concurrently and recursively from
	  isdn_lib.c. Both threads can fiddle with the master/child
	  layer3_proc_t lists. One thread may traverse the list when the
	  other interrupts it and then removes the list element which the
	  first thread was currently handling. This is exactly what caused
	  the crash. About 60 calls were needed to a Gigaset CX475 before
	  it occurred once. This patch adds locking when calling into the
	  mISDNuser library. This also fixes some cb_log calls with wrong
	  port parameter. JIRA ABE-1913 Patches: misdn-locking.patch
	  (Modified with mostly cosmetic changes) ..........
	  ................ ................

2009-07-15 20:21 +0000 [r206705]  David Vossel <dvossel@digium.com>

	* /, channels/chan_sip.c: Merged revisions 206702 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r206702 |
	  dvossel | 2009-07-15 15:20:01 -0500 (Wed, 15 Jul 2009) | 10 lines
	  callerid(num) is wrong when username is missing A domain only sip
	  uri <sip:123.123.123.123> would return 123.123.123.123 as callid
	  num. Now, if the username is missing from a uri, the callerid num
	  field is left empty. (closes issue #15476) Reported by: viraptor
	  ........

2009-07-15 16:02 +0000 [r206637]  Sean Bright <sean@malleable.com>

	* /, codecs/codec_dahdi.c: Merged revisions 206636 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r206636 | seanbright | 2009-07-15 12:00:24 -0400
	  (Wed, 15 Jul 2009) | 9 lines Merged revisions 206635 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/branches/1.4
	  ........ r206635 | seanbright | 2009-07-15 11:57:51 -0400 (Wed,
	  15 Jul 2009) | 1 line Only print debug info in codec_dahdi if we
	  are asking for it. ........ ................

2009-07-14 20:22 +0000 [r206585]  Tilghman Lesher <tlesher@digium.com>

	* /, contrib/scripts/meetme.sql: Recorded merge of revisions 206567
	  via svnmerge from https://origsvn.digium.com/svn/asterisk/trunk
	  ........ r206567 | tilghman | 2009-07-14 15:14:45 -0500 (Tue, 14
	  Jul 2009) | 6 lines Document all meetme realtime fields, and in
	  the process, make some field lengths more consistent. (closes
	  issue #15493) Reported by: lasko Patches: meetme.diff uploaded by
	  lasko (license 833) ........

2009-07-14 18:17 +0000 [r206555]  Richard Mudgett <rmudgett@digium.com>

	* channels/misdn/isdn_lib.c, channels/misdn/isdn_lib.h,
	  channels/chan_misdn.c, /: Merged revisions 206489 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r206489 | rmudgett | 2009-07-14 12:01:48 -0500
	  (Tue, 14 Jul 2009) | 35 lines Merged revisions 206487 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r206487 | rmudgett | 2009-07-14 11:44:47 -0500 (Tue, 14 Jul 2009)
	  | 28 lines Fixes several call transfer issues with chan_misdn. *
	  issue #14355 - Crash if attempt to transfer a call to an
	  application. Masquerade the other pair of the four asterisk
	  channels involved in the two calls. The held call already must be
	  a bridged call (not an applicaton) or it would have been
	  rejected. * issue #14692 - Held calls are not automatically
	  cleared after transfer. Allow the core to initate disconnect of
	  held calls to the ISDN port. This also fixes a similar case where
	  the party on hold hangs up before being transferred or taken off
	  hold. * JIRA ABE-1903 - Orphaned held calls left in
	  music-on-hold. Do not simply block passing the hangup event on
	  held calls to asterisk core. * Fixed to allow held calls to be
	  transferred to ringing calls. Previously, held calls could only
	  be transferred to connected calls. * Eliminated unused call
	  states to simplify hangup code. * Eliminated most uses of
	  "holded" because it is not a word. (closes issue #14355) (closes
	  issue #14692) Reported by: sodom Patches:
	  misdn_xfer_v14_r205839.patch uploaded by rmudgett (license 664)
	  Tested by: rmudgett ........ ................

2009-07-14 14:54 +0000 [r206387]  Russell Bryant <russell@digium.com>

	* /, channels/chan_iax2.c: Merged revisions 206386 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r206386 | russell | 2009-07-14 09:51:44 -0500
	  (Tue, 14 Jul 2009) | 20 lines Merged revisions 206385 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4
	  ................ r206385 | russell | 2009-07-14 09:48:00 -0500
	  (Tue, 14 Jul 2009) | 13 lines Merged revisions 206384 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.2 ........
	  r206384 | russell | 2009-07-14 09:45:47 -0500 (Tue, 14 Jul 2009)
	  | 6 lines Ensure apathetic replies are sent out on the proper
	  socket. chan_iax2 supports multiple address bindings. The
	  send_apathetic_reply() function did not attempt to send its
	  response on the same socket that the incoming message came in on.
	  ........ ................ ................

2009-07-14 01:25 +0000 [r206369]  Richard Mudgett <rmudgett@digium.com>

	* channels/misdn/isdn_lib.c, channels/chan_misdn.c, /: Merged
	  revisions 206341 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r206341 | rmudgett | 2009-07-13 19:48:59 -0500 (Mon, 13 Jul 2009)
	  | 11 lines Merged revisions 206284 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r206284 | rmudgett | 2009-07-13 19:17:28 -0500 (Mon, 13 Jul 2009)
	  | 4 lines Fix some memory leaks in chan_misdn. JIRA ABE-1911
	  ........ ................

2009-07-10 22:50 +0000 [r206017]  David Vossel <dvossel@digium.com>

	* /, channels/chan_sip.c: Merged revisions 205985 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r205985 |
	  dvossel | 2009-07-10 16:42:10 -0500 (Fri, 10 Jul 2009) | 16 lines
	  SIP register not using peer's outbound proxy If callbackextension
	  is defined for a peer it successfully causes a registration to
	  occur, but the registration ignores the outboundproxy settings
	  for the peer. This patch allows the peer to be passed to
	  obproxy_get() in transmit_register(). (closes issue #14344)
	  Reported by: Nick_Lewis Patches:
	  callbackextension_peer_trunk.diff uploaded by dvossel (license
	  671) Tested by: dvossel Review:
	  https://reviewboard.asterisk.org/r/294/ ........

2009-07-10 18:44 +0000 [r205940]  Kevin P. Fleming <kpfleming@digium.com>

	* main/udptl.c, /: Merged revisions 205939 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r205939 |
	  kpfleming | 2009-07-10 13:44:09 -0500 (Fri, 10 Jul 2009) | 1 line
	  Update comments about the level of T.38 support in Asterisk.
	  ........

2009-07-10 17:44 +0000 [r205879-205880]  Mark Michelson <mmichelson@digium.com>

	* channels/chan_sip.c: Fix build.

	* /, channels/chan_sip.c: Merged revisions 205878 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r205878 | mmichelson | 2009-07-10 12:39:57 -0500 (Fri, 10 Jul
	  2009) | 30 lines Merged revisions 205877 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4
	  ................ r205877 | mmichelson | 2009-07-10 12:39:13 -0500
	  (Fri, 10 Jul 2009) | 23 lines Merged revisions 205776 via
	  svnmerge from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r205776 | mmichelson | 2009-07-10 10:56:45 -0500
	  (Fri, 10 Jul 2009) | 16 lines Merged revisions 205775 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r205775 | mmichelson | 2009-07-10 10:51:36 -0500 (Fri, 10 Jul
	  2009) | 10 lines Ensure that outbound NOTIFY requests are
	  properly routed through stateful proxies. With this change, we
	  make note of Record-Route headers present in any SUBSCRIBE
	  request that we receive so that our outbound NOTIFY requests will
	  have the proper Route headers in them. (closes issue #14725)
	  Reported by: ibc ........ ................ ................
	  ................

2009-07-10 16:48 +0000 [r205843]  David Vossel <dvossel@digium.com>

	* /, channels/chan_sip.c: Merged revisions 205840 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r205840 | dvossel | 2009-07-10 11:42:04 -0500 (Fri, 10 Jul 2009)
	  | 37 lines Merged revisions 205804 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r205804 | dvossel | 2009-07-10 11:23:59 -0500 (Fri, 10 Jul 2009)
	  | 31 lines SIP registration auth loop caused by stale nonce If an
	  endpoint sends two registration requests in a very short period
	  of time with the same nonce, both receive 401 responses from
	  Asterisk, each with a different nonce (the second 401 containing
	  the current nonce and the first one being stale). If the endpoint
	  responds to the first 401, it does not match the current nonce so
	  Asterisk sends a third 401 with a newly generated nonce (which
	  updates the current nonce)... Now if the endpoint responds to the
	  second 401, it does not match the current nonce either and
	  Asterisk sends a fourth 401 with a newly generated nonce... This
	  loop goes on and on. There appears to be a simple fix for this.
	  If the nonce from the request does not match our nonce, but is a
	  good response to a previous nonce, instead of sending a 401 with
	  a newly generated nonce, use the current one instead. This breaks
	  the loop as the nonce is not updated until a response is
	  received. Additional logic has been added to make sure no nonce
	  can be responded to twice though. (closes issue #15102) Reported
	  by: Jamuel Patches: patch-bug_0015102 uploaded by Jamuel (license
	  809) nonce_sip.diff uploaded by dvossel (license 671) Tested by:
	  Jamuel Review: https://reviewboard.asterisk.org/r/289/ ........
	  ................

2009-07-10 15:57 +0000 [r205777]  Mark Michelson <mmichelson@digium.com>

	* /, channels/chan_sip.c: Merged revisions 205776 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r205776 | mmichelson | 2009-07-10 10:56:45 -0500 (Fri, 10 Jul
	  2009) | 16 lines Merged revisions 205775 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r205775 | mmichelson | 2009-07-10 10:51:36 -0500 (Fri, 10 Jul
	  2009) | 10 lines Ensure that outbound NOTIFY requests are
	  properly routed through stateful proxies. With this change, we
	  make note of Record-Route headers present in any SUBSCRIBE
	  request that we receive so that our outbound NOTIFY requests will
	  have the proper Route headers in them. (closes issue #14725)
	  Reported by: ibc ........ ................

2009-07-10 15:35 +0000 [r205771]  Kevin P. Fleming <kpfleming@digium.com>

	* /, apps/app_fax.c: Merged revisions 205770 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r205770 |
	  kpfleming | 2009-07-10 10:28:11 -0500 (Fri, 10 Jul 2009) | 12
	  lines Fix some remaining T.38 negotiation problems in app_fax.
	  Revision 205696 did not quite fix all the issues with the T.38
	  negotiation changes and app_fax; this patch corrects them, along
	  with a couple of other minor issues. (closes issue #15480)
	  Reported by: dimas Patches: test2-15480.patch uploaded by dimas
	  (license 88) ........

2009-07-09 23:46 +0000 [r205729]  Richard Mudgett <rmudgett@digium.com>

	* channels/chan_dahdi.c: Merged revisions 205728 via svn merge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r205728 | rmudgett | 2009-07-09 18:37:53 -0500 (Thu, 09 Jul 2009)
	  | 21 lines No audio on calls from Asterisk to various ISDN
	  devices until DTMF sent by caller. Add missing clearing of the
	  dialing flag when the ISDN call is CONNECTED. (i.e. When libpri
	  generates the event PRI_EVENT_ANSWER.) (closes issue #15420)
	  Reported by: scottbmilne Patches: bug15420-1.4.25.1-diff2.txt
	  uploaded by alecdavis (license 585) Tested by: scottbmilne,
	  alecdavis (closes issue #15416) Reported by: avinoash (closes
	  issue #15389) Reported by: alecdavis This patch should also fix
	  the following issue: (issue #15205) Reported by: vinsik ........

2009-07-09 21:26 +0000 [r205697]  Kevin P. Fleming <kpfleming@digium.com>

	* /, channels/chan_sip.c, apps/app_fax.c, include/asterisk/frame.h:
	  Merged revisions 205696 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r205696 |
	  kpfleming | 2009-07-09 16:20:23 -0500 (Thu, 09 Jul 2009) | 16
	  lines Repair ability of SendFAX/ReceiveFAX to respond to T.38
	  switchover. Recent changes in T.38 negotiation in Asterisk caused
	  these applications to not respond when the other endpoint
	  initiated a switchover to T.38; this resulted in the T.38
	  switchover failing, and the FAX attempt to be made using an audio
	  connection, instead of T.38 (which would usually cause the FAX to
	  fail completely). This patch corrects this problem, and the
	  applications will now correctly respond to the T.38 switchover
	  request. In addition, the response will include the appopriate
	  T.38 session parameters based on what the other end offered and
	  what our end is capable of. (closes issue #14849) Reported by:
	  afosorio ........

2009-07-09 16:21 +0000 [r205597-205608]  David Vossel <dvossel@digium.com>

	* include/asterisk/time.h, /: Merged revisions 205600 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r205600 | dvossel | 2009-07-09 11:19:09 -0500
	  (Thu, 09 Jul 2009) | 9 lines Merged revisions 205599 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/branches/1.4
	  ........ r205599 | dvossel | 2009-07-09 11:18:09 -0500 (Thu, 09
	  Jul 2009) | 2 lines Changing ast_samp2tv to not use floating
	  point. ........ ................

	* main/rtp.c, /, channels/chan_iax2.c, include/asterisk/frame.h:
	  Merged revisions 205479 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r205479 | dvossel | 2009-07-08 18:19:09 -0500 (Wed, 08 Jul 2009)
	  | 16 lines Merged revisions 205471 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r205471 | dvossel | 2009-07-08 18:15:54 -0500 (Wed, 08 Jul 2009)
	  | 10 lines Fixes 8khz assumptions Many calculations assume 8khz
	  is the codec rate. This is not always the case. This patch only
	  addresses chan_iax.c and res_rtp_asterisk.c, but I am sure there
	  are other areas that make this assumption as well. Review:
	  https://reviewboard.asterisk.org/r/306/ ........ ................

2009-07-09 08:32 +0000 [r205533]  Michiel van Baak <michiel@vanbaak.info>

	* /, main/ssl.c: Merged revisions 205532 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r205532 |
	  mvanbaak | 2009-07-09 10:31:24 +0200 (Thu, 09 Jul 2009) | 5 lines
	  pthread_self returns a pthread_t which is not an unsigned int on
	  all pthread implementations. Casting it to an unsigned int fixes
	  compiler warnings. Tested on OpenBSD and Linux both 32 and 64 bit
	  ........

2009-07-08 22:17 +0000 [r205415]  David Vossel <dvossel@digium.com>

	* include/asterisk/devicestate.h, main/pbx.c, /,
	  main/devicestate.c, include/asterisk/pbx.h: Merged revisions
	  205412 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r205412 | dvossel | 2009-07-08 17:15:06 -0500 (Wed, 08 Jul 2009)
	  | 12 lines Merged revisions 205409 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r205409 | dvossel | 2009-07-08 16:35:12 -0500 (Wed, 08 Jul 2009)
	  | 6 lines moving ast_devstate_to_extenstate to pbx.c from
	  devicestate.c ast_devstate_to_extenstate belongs in pbx.c. This
	  change fixes a compile time error with chan_vpb as well. ........
	  ................

2009-07-08 19:27 +0000 [r205351]  Mark Michelson <mmichelson@digium.com>

	* /, apps/app_queue.c: Merged revisions 205350 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r205350 | mmichelson | 2009-07-08 14:26:55 -0500 (Wed, 08 Jul
	  2009) | 20 lines Merged revisions 205349 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r205349 | mmichelson | 2009-07-08 14:26:13 -0500 (Wed, 08 Jul
	  2009) | 14 lines Prevent phantom calls to queue members. If a
	  caller were to hang up while a periodic announcement or position
	  were being said, the return value for those functions would
	  incorrectly indicate that the caller was still in the queue. With
	  these changes, the problem does not occur. (closes issue #14631)
	  Reported by: latinsud Patches: queue_announce_ghost_call2.diff
	  uploaded by latinsud (license 745) (with small modification from
	  me) ........ ................

2009-07-08 18:20 +0000 [r205296]  Jason Parker <jparker@digium.com>

	* config.guess, config.sub, /: Merged revisions 205291 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r205291 | qwell | 2009-07-08 13:19:46 -0500
	  (Wed, 08 Jul 2009) | 9 lines Merged revisions 205288 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/branches/1.4
	  ........ r205288 | qwell | 2009-07-08 13:19:03 -0500 (Wed, 08 Jul
	  2009) | 1 line Update config.guess and config.sub from the
	  savannah.gnu.org git repo. ........ ................

2009-07-08 17:01 +0000 [r205224]  Tilghman Lesher <tlesher@digium.com>

	* main/say.c: oops, fixing build

2009-07-08 16:56 +0000 [r205220]  David Vossel <dvossel@digium.com>

	* include/asterisk/time.h, /: Merged revisions 205216 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r205216 | dvossel | 2009-07-08 11:54:24 -0500
	  (Wed, 08 Jul 2009) | 17 lines Merged revisions 205215 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r205215 | dvossel | 2009-07-08 11:53:40 -0500 (Wed, 08 Jul 2009)
	  | 10 lines ast_samp2tv needs floating point for 16khz audio In
	  ast_samp2tv(), (1000000 / _rate) = 62.5 when _rate is 16000. The
	  .5 is currently stripped off because we don't calculate using
	  floating points. This causes madness with 16khz audio. (issue
	  ABE-1899) Review: https://reviewboard.asterisk.org/r/305/
	  ........ ................

2009-07-08 16:28 +0000 [r205200]  Tilghman Lesher <tlesher@digium.com>

	* /, main/say.c: Merged revisions 205196 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r205196 | tilghman | 2009-07-08 11:27:50 -0500 (Wed, 08 Jul 2009)
	  | 9 lines Merged revisions 205188 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r205188 | tilghman | 2009-07-08 11:26:15 -0500 (Wed, 08 Jul 2009)
	  | 2 lines Add redirection warnings for the invalid language codes
	  previously removed. ........ ................

2009-07-08 15:56 +0000 [r205139-205152]  Russell Bryant <russell@digium.com>

	* /, main/ssl.c: Merged revisions 205151 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r205151 |
	  russell | 2009-07-08 10:56:28 -0500 (Wed, 08 Jul 2009) | 2 lines
	  Use tabs instead of spaces for indentation. ........

	* main/asterisk.c, /, main/Makefile, res/res_crypto.c, main/ssl.c
	  (added), include/asterisk/_private.h, res/res_jabber.c: Merged
	  revisions 205120 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r205120 |
	  russell | 2009-07-08 10:17:19 -0500 (Wed, 08 Jul 2009) | 16 lines
	  Move OpenSSL initialization to a single place, make library usage
	  thread-safe. While doing some reading about OpenSSL, I noticed a
	  couple of things that needed to be improved with our usage of
	  OpenSSL. 1) We had initialization of the library done in multiple
	  modules. This has now been moved to a core function that gets
	  executed during Asterisk startup. We already link OpenSSL into
	  the core for TCP/TLS functionality, so this was the most logical
	  place to do it. 2) OpenSSL is not thread-safe by default.
	  However, making it thread safe is very easy. We just have to
	  provide a couple of callbacks. One callback returns a thread ID.
	  The other handles locking. For more information, start with the
	  "Is OpenSSL thread-safe?" question on the FAQ page of
	  openssl.org. ........

2009-07-08 14:35 +0000 [r205117]  David Vossel <dvossel@digium.com>

	* channels/chan_sip.c, include/asterisk/sched.h: SIP Dialog ref
	  counting This patch adds reference counting for sip dialogs into
	  1.6.0. When proc_session_timer() is called from the scheduler
	  thread it has no guarantee the session timer's dialog won't be
	  freed from underneath it. Now the session timer holds a reference
	  to the dialog, preventing it from being destroyed during the
	  middle of proc_session_timer(). (closes issue #13623) Reported
	  by: Nik Soggia Review: https://reviewboard.asterisk.org/r/302/

2009-07-06 15:17 +0000 [r204980]  Tilghman Lesher <tlesher@digium.com>

	* main/say.c: Restore Hungarian (mistakenly removed during merge)

2009-07-06 13:39 +0000 [r204949]  Kevin P. Fleming <kpfleming@digium.com>

	* main/channel.c, /: Merged revisions 204948 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r204948 |
	  kpfleming | 2009-07-06 08:38:29 -0500 (Mon, 06 Jul 2009) | 7
	  lines Improve handling of AST_CONTROL_T38 and
	  AST_CONTROL_T38_PARAMETERS for non-T.38-capable channels. This
	  change allows applications that request T.38 negotiation on a
	  channel that does not support it to get the proper indication
	  that it is not supported, rather than thinking that negotiation
	  was started when it was not. ........

2009-07-02 22:03 +0000 [r204836]  Richard Mudgett <rmudgett@digium.com>

	* channels/chan_misdn.c, /: Merged revisions 204835 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r204835 | rmudgett | 2009-07-02 17:01:28 -0500
	  (Thu, 02 Jul 2009) | 17 lines Merged revisions 204834 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r204834 | rmudgett | 2009-07-02 16:59:43 -0500 (Thu, 02 Jul 2009)
	  | 10 lines Removed confusing warning message "Got Busy in
	  Connected State" If an incoming mISDN call is answered with the
	  Answer application and a subsequent Dial gets a busy endpoint
	  then it is valid for that already connected channel to get the
	  busy indication. Asterisk will play the busy tones until the
	  dialplan plays something else or hangs up the call. (closes issue
	  #11974) Reported by: fvdb ........ ................

2009-07-02 18:07 +0000 [r204652-204754]  David Vossel <dvossel@digium.com>

	* include/asterisk/devicestate.h, main/pbx.c, /,
	  main/devicestate.c: Merged revisions 204710 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r204710 | dvossel | 2009-07-02 11:03:44 -0500 (Thu, 02 Jul 2009)
	  | 21 lines Merged revisions 204681 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r204681 | dvossel | 2009-07-02 10:05:57 -0500 (Thu, 02 Jul 2009)
	  | 14 lines Improved mapping of extension states from combined
	  device states. This fixes a few issues with incorrect extension
	  states and adds a cli command, core show device2extenstate, to
	  display all possible state mappings. (closes issue #15413)
	  Reported by: legart Patches: exten_helper.diff uploaded by
	  dvossel (license 671) Tested by: dvossel, legart, amilcar Review:
	  https://reviewboard.asterisk.org/r/301/ ........ ................

	* channels/chan_sip.c: removes fake dialog_unref and dialog_ref
	  function calls. dialog_unref() and dialog_ref() in 1.6.0 where
	  only place holders for reference counting once it was
	  implemented. The functions did nothing but return the pointer on
	  ref and NULL on unref. These calls have been removed to make way
	  for a patch that actually does dialog ref counting.

2009-06-30 21:21 +0000 [r204581]  Tilghman Lesher <tlesher@digium.com>

	* /, main/say.c, UPGRADE.txt: Merged revisions 204563 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r204563 | tilghman | 2009-06-30 15:41:04 -0500
	  (Tue, 30 Jun 2009) | 13 lines Merged revisions 204556 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r204556 | tilghman | 2009-06-30 15:23:51 -0500 (Tue, 30 Jun 2009)
	  | 6 lines More incorrect language codes, plus ensuring that
	  regionalizations use the specified language, and not English for
	  grammar. (closes issue #15022) Reported by: greenfieldtech
	  Patches: 20090519__issue15022.diff.txt uploaded by tilghman
	  (license 14) ........ ................

2009-06-30 18:50 +0000 [r204476]  Jason Parker <jparker@digium.com>

	* /, main/say.c: Merged revisions 204475 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r204475 | qwell | 2009-06-30 13:48:35 -0500 (Tue, 30 Jun 2009) |
	  9 lines Merged revisions 204474 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r204474 | qwell | 2009-06-30 13:47:06 -0500 (Tue, 30 Jun 2009) |
	  1 line Fix ast_say_counted_noun to correctly handle Polish. Fix a
	  comment typo in passing. ........ ................

2009-06-30 18:44 +0000 [r204471]  Tilghman Lesher <tlesher@digium.com>

	* apps/app_voicemail.c, /, main/say.c, UPGRADE.txt: Recorded merge
	  of revisions 204470 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r204470 | tilghman | 2009-06-30 13:36:24 -0500 (Tue, 30 Jun 2009)
	  | 18 lines Recorded merge of revisions 204469 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r204469 | tilghman | 2009-06-30 13:23:35 -0500 (Tue, 30 Jun 2009)
	  | 11 lines "tw" is the language specification for Twi (from
	  Ghana) not Taiwanese. (closes issue #15346) Reported by: volivier
	  Patches: 20090617__issue15346__1.4.diff.txt uploaded by tilghman
	  (license 14) 20090617__issue15346__trunk.diff.txt uploaded by
	  tilghman (license 14) 20090617__issue15346__1.6.0.diff.txt
	  uploaded by tilghman (license 14)
	  20090617__issue15346__1.6.1.diff.txt uploaded by tilghman
	  (license 14) 20090617__issue15346__1.6.2.diff.txt uploaded by
	  tilghman (license 14) Tested by: volivier ........
	  ................

2009-06-29 22:52 +0000 [r204248-204302]  Mark Michelson <mmichelson@digium.com>

	* /, channels/chan_sip.c: Merged revisions 204301 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r204301 | mmichelson | 2009-06-29 17:50:35 -0500 (Mon, 29 Jun
	  2009) | 15 lines Merged revisions 204300 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r204300 | mmichelson | 2009-06-29 17:45:34 -0500 (Mon, 29 Jun
	  2009) | 9 lines Add error message so that it is clear why a SIP
	  peer was not processed when a DNS lookup fails on a host or
	  outboundproxy. (closes issue #13432) Reported by: p_lindheimer
	  Patches: outboundproxy.patch uploaded by p (license 558) ........
	  ................

	* /, channels/chan_sip.c: Merged revisions 204247 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r204247 | mmichelson | 2009-06-29 16:48:54 -0500 (Mon, 29 Jun
	  2009) | 32 lines Merged revisions 204243,204246 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r204243 | mmichelson | 2009-06-29 16:23:43 -0500 (Mon, 29 Jun
	  2009) | 22 lines Fix a problem where chan_sip would ignore "old"
	  but valid responses. chan_sip has had a problem for quite a long
	  time that would manifest when Asterisk would send multiple SIP
	  responses on the same dialog before receiving a response. The
	  problem occurred because chan_sip only kept track of the highest
	  outgoing sequence number used on the dialog. If Asterisk sent two
	  requests out, and a response arrived for the first request sent,
	  then Asterisk would ignore the response. The result was that
	  Asterisk would continue retransmitting the requests and ignoring
	  the responses until the maximum number of retransmissions had
	  been reached. The fix here is to rearrange the code a bit so that
	  instead of simply comparing the sequence number of the response
	  to our latest outgoing sequence number, we walk our list of
	  outstanding packets and determine if there is a match. If there
	  is, we continue. If not, then we ignore the response. In doing
	  this, I found a few completely useless variables that I have now
	  removed. (closes issue #11231) Reported by: flefoll Review:
	  https://reviewboard.asterisk.org/r/298 ........ r204246 |
	  mmichelson | 2009-06-29 16:37:05 -0500 (Mon, 29 Jun 2009) | 3
	  lines Fix build oops. ........ ................

2009-06-27 01:14 +0000 [r203910]  Richard Mudgett <rmudgett@digium.com>

	* channels/chan_dahdi.c, /: Merged revisions 203909 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r203909 | rmudgett | 2009-06-26 20:07:52 -0500
	  (Fri, 26 Jun 2009) | 23 lines Merged revisions 203908 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r203908 | rmudgett | 2009-06-26 19:55:12 -0500 (Fri, 26 Jun 2009)
	  | 16 lines The ISDN CPE side should not exclusively pick B
	  channels normally. Before this patch, Asterisk unconditionally
	  picked B channels exclusively on the CPE side and normally
	  allowed alternative B channels on the network side. Now Asterisk
	  does the opposite. Reasons for the CPE side to normally not pick
	  B channels exclusively: * For CPE point-to-multipoint mode (i.e.
	  phone side), the CPE side does not have enough information to
	  exclusively pick B channels. (There may be other devices on the
	  line.) * Q.931 gives preference to the network side picking B
	  channels. * Some telcos require the CPE side to not pick B
	  channels exclusively. (closes issue #14383) Reported by:
	  mbrancaleoni ........ ................

2009-06-26 22:12 +0000 [r203855]  Jeff Peeler <jpeeler@digium.com>

	* channels/chan_dahdi.c, /: Merged revisions 203853 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r203853 | jpeeler | 2009-06-26 17:11:31 -0500
	  (Fri, 26 Jun 2009) | 12 lines Merged revisions 203848 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r203848 | jpeeler | 2009-06-26 17:09:19 -0500 (Fri, 26 Jun 2009)
	  | 5 lines Make sure to recreate the dahdi pseudo channel after
	  dahdi restart (closes issue #14477) Reported by: timking ........
	  ................

2009-06-26 21:25 +0000 [r203780-203818]  Russell Bryant <russell@digium.com>

	* /, main/file.c: Merged revisions 203802 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r203802 | russell | 2009-06-26 16:21:48 -0500 (Fri, 26 Jun 2009)
	  | 22 lines Merged revisions 203785 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r203785 | russell | 2009-06-26 16:16:39 -0500 (Fri, 26 Jun 2009)
	  | 15 lines Don't fast forward past the end of a message. This is
	  nice change for users of the voicemail application. If someone
	  gets a little carried away with fast forwarding through a
	  message, they can easily get to the end and accidentally exit the
	  voicemail application by hitting the fast forward key during the
	  following prompt. This adds some safety by not allowing a fast
	  forward past the end of a message. (closes issue #14554) Reported
	  by: lacoursj Patches: 21761.patch uploaded by lacoursj (license
	  707) Tested by: lacoursj ........ ................

	* /, channels/chan_sip.c: Merged revisions 203779 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r203779 |
	  russell | 2009-06-26 15:45:00 -0500 (Fri, 26 Jun 2009) | 5 lines
	  Ensure the TCP read buffer is fully initialized before handling
	  each packet. (closes issue #14452) Reported by: umberto71
	  ........

2009-06-26 20:16 +0000 [r203722]  David Brooks <dbrooks@digium.com>

	* apps/app_voicemail.c, /: Merged revisions 203721 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk ........
	  r203721 | dbrooks | 2009-06-26 15:13:51 -0500 (Fri, 26 Jun 2009)
	  | 16 lines Fixing voicemail's error in checking max silence vs
	  min message length Max silence was represented in milliseconds,
	  yet vmminsecs (minmessage) was represented as seconds. Also, the
	  inequality was reversed. The warning, if triggered, was "Max
	  silence should be less than minmessage or you may get empty
	  messages", which should have been logged if max silence was
	  greater than minmessage, but the check was for less than. Also,
	  conforming if statement to coding guidelines. closes issue
	  #15331) Reported by: markd Review:
	  https://reviewboard.asterisk.org/r/293/ ........

2009-06-26 19:54 +0000 [r203717]  Jeff Peeler <jpeeler@digium.com>

	* channels/chan_dahdi.c: reverse whitespace change 203711 that was
	  based on looking at sig_analog (which has about a 1000 line
	  indentation change that is not worth doing here)

2009-06-26 19:49 +0000 [r203716]  David Vossel <dvossel@digium.com>

	* /, channels/chan_iax2.c: Merged revisions 203710 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk ........
	  r203710 | dvossel | 2009-06-26 14:47:11 -0500 (Fri, 26 Jun 2009)
	  | 7 lines moving debug message from level 0 to 1. (closes issue
	  #15404) Reported by: leobrown Patches: iax_codec_debug.patch
	  uploaded by leobrown (license 541) ........

2009-06-26 19:47 +0000 [r203711]  Jeff Peeler <jpeeler@digium.com>

	* channels/chan_dahdi.c: whitespace fix

2009-06-26 19:29 +0000 [r203701]  Joshua Colp <jcolp@digium.com>

	* main/rtp.c, main/channel.c, main/frame.c, /, channels/chan_sip.c,
	  apps/app_fax.c, configs/sip.conf.sample,
	  include/asterisk/frame.h: Merged revisions 203699 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk ........
	  r203699 | file | 2009-06-26 16:27:24 -0300 (Fri, 26 Jun 2009) | 2
	  lines Improve T.38 negotiation by exchanging session parameters
	  between application and channel. ........

2009-06-26 19:25 +0000 [r203698]  Jeff Peeler <jpeeler@digium.com>

	* channels/chan_dahdi.c, /: Merged revisions 203672 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk ........
	  r203672 | jpeeler | 2009-06-26 14:03:25 -0500 (Fri, 26 Jun 2009)
	  | 16 lines Check if polarityonanswerdelay has elapsed before
	  setting a channel as answered after a polarity reversal.
	  Previously on a polarity switch event chan_dahdi would set the
	  channel immediately as answered. This would cause problems if a
	  polarity reversal occurred when the line was picked up as the
	  dial would not have yet occurred. Now if the polarity reversal
	  occurs before delay has elapsed after coming off hook or an
	  answer, it is ignored. Also, some refactoring was done in
	  _handle_event. (closes issue #13917) Reported by: alecdavis
	  Patches: chan_dahdi.bug13917.feb09.diff2.txt uploaded by
	  alecdavis (license 585) Tested by: alecdavis ........

2009-06-25 21:47 +0000 [r203447]  David Vossel <dvossel@digium.com>

	* main/ast_expr2.fl, main/ast_expr2.c, /: Merged revisions 203444
	  via svnmerge from https://origsvn.digium.com/svn/asterisk/trunk
	  ........ r203444 | dvossel | 2009-06-25 16:45:32 -0500 (Thu, 25
	  Jun 2009) | 4 lines fixes a few redundant conditions (issue
	  #15269) ........

2009-06-25 21:18 +0000 [r203387]  Terry Wilson <twilson@digium.com>

	* main/cli.c, /: Merged revisions 203381 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r203381 | twilson | 2009-06-25 16:15:11 -0500 (Thu, 25 Jun 2009)
	  | 11 lines Merged revisions 203380 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r203380 | twilson | 2009-06-25 16:13:10 -0500 (Thu, 25 Jun 2009)
	  | 4 lines I didn't see that Mark already fixed the underlying
	  issue! Yay for removing useless code. ........ ................

2009-06-25 21:06 +0000 [r203117-203377]  Russell Bryant <russell@digium.com>

	* /, main/features.c: Merged revisions 203376 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r203376 | russell | 2009-06-25 16:04:55 -0500 (Thu, 25 Jun 2009)
	  | 16 lines Merged revisions 203375 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r203375 | russell | 2009-06-25 16:02:18 -0500 (Thu, 25 Jun 2009)
	  | 9 lines Fix a case where CDR answer time could be before the
	  start time involving parking. (closes issue #13794) Reported by:
	  davidw Patches: 13794.patch uploaded by murf (license 17)
	  13794.patch.160 uploaded by murf (license 17) Tested by: murf,
	  dbrooks ........ ................

	* /, channels/chan_sip.c: Merged revisions 203116 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r203116 | russell | 2009-06-25 11:04:10 -0500 (Thu, 25 Jun 2009)
	  | 18 lines Merged revisions 203115 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r203115 | russell | 2009-06-25 11:02:16 -0500 (Thu, 25 Jun 2009)
	  | 11 lines Resolve a crash related to a T.38 reinvite race
	  condition. This change resolves a crash observed locally during
	  some T.38 testing. A call was set up using a call file, and when
	  the T.38 reinvite came in, the channel state was still
	  AST_STATE_DOWN. The reason is explained by a comment in the code
	  that previously lived in the handling of AST_STATE_RINGING. This
	  change modifies the logic to handle the same race condition for
	  any channel state that is not UP. (closes ABE-1895) ........
	  ................

2009-06-24 21:18 +0000 [r203044]  Richard Mudgett <rmudgett@digium.com>

	* channels/chan_dahdi.c, /: Merged revisions 203037 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r203037 | rmudgett | 2009-06-24 16:08:55 -0500
	  (Wed, 24 Jun 2009) | 15 lines Merged revisions 203036 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r203036 | rmudgett | 2009-06-24 16:01:43 -0500 (Wed, 24 Jun 2009)
	  | 8 lines Improved chan_dahdi.conf pritimer error checking. Valid
	  format is: pritimer=timer_name,timer_value * Fixed segfault if
	  the ',' is missing. * Completely check the range returned by
	  pri_timer2idx() to prevent possible access outside array bounds.
	  ........ ................

2009-06-24 18:29 +0000 [r202968]  Mark Michelson <mmichelson@digium.com>

	* /, channels/chan_sip.c: Merged revisions 202967 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r202967 | mmichelson | 2009-06-24 13:29:10 -0500 (Wed, 24 Jun
	  2009) | 9 lines Merged revisions 202966 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
